#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cryptd_alloc_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_skcipher_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_skcipher, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_shash_desc, "_gpl", "");
KSYMTAB_FUNC(cryptd_ahash_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_ahash, "_gpl", "");
KSYMTAB_FUNC(cryptd_alloc_aead, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_child, "_gpl", "");
KSYMTAB_FUNC(cryptd_aead_queued, "_gpl", "");
KSYMTAB_FUNC(cryptd_free_aead, "_gpl", "");

SYMBOL_CRC(cryptd_alloc_skcipher, 0xd4ee0b6c, "_gpl");
SYMBOL_CRC(cryptd_skcipher_child, 0xd15e4c98, "_gpl");
SYMBOL_CRC(cryptd_skcipher_queued, 0x69859e4b, "_gpl");
SYMBOL_CRC(cryptd_free_skcipher, 0x38e0b392, "_gpl");
SYMBOL_CRC(cryptd_alloc_ahash, 0x78e67bf6, "_gpl");
SYMBOL_CRC(cryptd_ahash_child, 0xeeaaa3b6, "_gpl");
SYMBOL_CRC(cryptd_shash_desc, 0x947c8d6d, "_gpl");
SYMBOL_CRC(cryptd_ahash_queued, 0xadea4a8c, "_gpl");
SYMBOL_CRC(cryptd_free_ahash, 0xc2bd420d, "_gpl");
SYMBOL_CRC(cryptd_alloc_aead, 0x89269f2d, "_gpl");
SYMBOL_CRC(cryptd_aead_child, 0x905f8bb1, "_gpl");
SYMBOL_CRC(cryptd_aead_queued, 0x41c09116, "_gpl");
SYMBOL_CRC(cryptd_free_aead, 0x64fd7e43, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x499043d3, "crypto_init_queue" },
	{ 0x92997ed8, "_printk" },
	{ 0x852a6848, "crypto_register_template" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x14f87ea8, "crypto_enqueue_request" },
	{ 0xfdbd7a17, "crypto_get_attr_type" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x9a11a0fc, "crypto_attr_alg_name" },
	{ 0x4bb54bf8, "crypto_grab_aead" },
	{ 0x6bb212e8, "crypto_grab_shash" },
	{ 0x865830a0, "shash_no_setkey" },
	{ 0xa7a6f52d, "ahash_register_instance" },
	{ 0x10a1107, "crypto_grab_skcipher" },
	{ 0xfcf79178, "skcipher_register_instance" },
	{ 0x1dd54037, "aead_register_instance" },
	{ 0x49391bd5, "crypto_skcipher_decrypt" },
	{ 0x33a9e90b, "crypto_skcipher_encrypt" },
	{ 0xb08af59f, "shash_ahash_digest" },
	{ 0xd821a667, "shash_ahash_finup" },
	{ 0x6e6a0b9e, "crypto_shash_final" },
	{ 0xe7fac42, "shash_ahash_update" },
	{ 0x9c3fa204, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xacba5252, "crypto_alloc_skcipher" },
	{ 0x7420ab79, "crypto_destroy_tfm" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1565dfca, "crypto_alloc_ahash" },
	{ 0x15829054, "crypto_alloc_aead" },
	{ 0x97af58e4, "crypto_skcipher_setkey" },
	{ 0x90eb99ff, "crypto_spawn_tfm2" },
	{ 0x7898cf4d, "crypto_drop_spawn" },
	{ 0x37a0cba, "kfree" },
	{ 0x8240780d, "crypto_shash_setkey" },
	{ 0x40c1d651, "crypto_shash_import" },
	{ 0xe075eddf, "crypto_shash_export" },
	{ 0x1a2462e9, "crypto_clone_shash" },
	{ 0xf647a9d7, "crypto_aead_setauthsize" },
	{ 0xce8ed679, "crypto_aead_setkey" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x7217deaf, "crypto_dequeue_request" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x5561fcd0, "crypto_unregister_template" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "599213A1F76BD65EF8E49D5");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
