#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gpuvm_range_valid, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_object_alloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_init, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_vm, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_objects, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prepare_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_array, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_exec_lock_range, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_validate, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_resv_add_fence, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_put, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_obtain_prealloc, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_extobj_add, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_evict, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_insert, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remove, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_link, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unlink, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_first, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_prev, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_find_next, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_interval_empty, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_remap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_map_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_sm_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_prefetch_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuvm_bo_unmap_ops_create, "_gpl", "");
KSYMTAB_FUNC(drm_gpuva_ops_free, "_gpl", "");

SYMBOL_CRC(drm_gpuvm_range_valid, 0x15c3cde6, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_object_alloc, 0xbefd5c0d, "_gpl");
SYMBOL_CRC(drm_gpuvm_init, 0x2ad410a0, "_gpl");
SYMBOL_CRC(drm_gpuvm_put, 0x3d3d4d89, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_vm, 0x50235887, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_objects, 0xcb6461a2, "_gpl");
SYMBOL_CRC(drm_gpuvm_prepare_range, 0x5f230a2f, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock, 0xf2211de0, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_array, 0xc790f2a7, "_gpl");
SYMBOL_CRC(drm_gpuvm_exec_lock_range, 0xfe596534, "_gpl");
SYMBOL_CRC(drm_gpuvm_validate, 0xbb281ef1, "_gpl");
SYMBOL_CRC(drm_gpuvm_resv_add_fence, 0x0b81c1d0, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_create, 0xddf8467a, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_put, 0x2dfc1264, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_find, 0x0ef68823, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain, 0xb45236a5, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_obtain_prealloc, 0x9edb1b26, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_extobj_add, 0x4f4c4da4, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_evict, 0x33919369, "_gpl");
SYMBOL_CRC(drm_gpuva_insert, 0x2fe0470e, "_gpl");
SYMBOL_CRC(drm_gpuva_remove, 0xbc156c38, "_gpl");
SYMBOL_CRC(drm_gpuva_link, 0x46bcaffd, "_gpl");
SYMBOL_CRC(drm_gpuva_unlink, 0xcb23596a, "_gpl");
SYMBOL_CRC(drm_gpuva_find_first, 0x98320ea7, "_gpl");
SYMBOL_CRC(drm_gpuva_find, 0x9f1aa6c9, "_gpl");
SYMBOL_CRC(drm_gpuva_find_prev, 0x1fb48ccb, "_gpl");
SYMBOL_CRC(drm_gpuva_find_next, 0x24a899d9, "_gpl");
SYMBOL_CRC(drm_gpuvm_interval_empty, 0x6a2c9e8d, "_gpl");
SYMBOL_CRC(drm_gpuva_map, 0x3caa624e, "_gpl");
SYMBOL_CRC(drm_gpuva_remap, 0x68209896, "_gpl");
SYMBOL_CRC(drm_gpuva_unmap, 0x00cef0a2, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map, 0x4917365b, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap, 0xa92fcb36, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_map_ops_create, 0xc2fac54d, "_gpl");
SYMBOL_CRC(drm_gpuvm_sm_unmap_ops_create, 0xd7e2f6b7, "_gpl");
SYMBOL_CRC(drm_gpuvm_prefetch_ops_create, 0xc868b732, "_gpl");
SYMBOL_CRC(drm_gpuvm_bo_unmap_ops_create, 0x09c66962, "_gpl");
SYMBOL_CRC(drm_gpuva_ops_free, 0xd3e78be8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9cbc21db, "drm_gem_object_release" },
	{ 0x37a0cba, "kfree" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xf82ec573, "rb_prev" },
	{ 0xc57984f7, "drm_exec_prepare_array" },
	{ 0x935db61b, "dma_resv_add_fence" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xeec6c6f9, "drm_gem_private_object_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xca9360b5, "rb_next" },
	{ 0xd5fda699, "dev_driver_string" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x27a32137, "drm_exec_prepare_obj" },
	{ 0x283172dc, "drm_exec_lock_obj" },
	{ 0x5794777d, "drm_exec_init" },
	{ 0xafe4c73b, "drm_exec_cleanup" },
	{ 0x40186f5d, "drm_exec_fini" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "drm_exec");


MODULE_INFO(srcversion, "AE6034294DD56076A1A429C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
