#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iio_dmaengine_buffer_free, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");
KSYMTAB_FUNC(devm_iio_dmaengine_buffer_setup_ext, "_gpl", "IIO_DMAENGINE_BUFFER");

SYMBOL_CRC(iio_dmaengine_buffer_free, 0xd169f6e4, "_gpl");
SYMBOL_CRC(iio_dmaengine_buffer_setup_ext, 0xcc8075d5, "_gpl");
SYMBOL_CRC(devm_iio_dmaengine_buffer_setup_ext, 0xa41e928e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa16387b4, "iio_buffer_put" },
	{ 0xd37c1bcc, "iio_dma_buffer_release" },
	{ 0x37a0cba, "kfree" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8a31e57, "iio_dma_buffer_block_done" },
	{ 0xbac8aeea, "sg_nents_for_len" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x7ec0dcf8, "iio_dma_buffer_block_list_abort" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xdff124, "dma_request_chan" },
	{ 0x42b4f6ce, "dma_get_slave_caps" },
	{ 0xb5df44a0, "iio_dma_buffer_init" },
	{ 0x6e556899, "iio_device_attach_buffer" },
	{ 0x6aea64a7, "__devm_add_action" },
	{ 0x87c32cd2, "iio_dma_buffer_read" },
	{ 0x2db690da, "iio_dma_buffer_usage" },
	{ 0x87b96a97, "iio_dma_buffer_write" },
	{ 0x2da759d7, "iio_dma_buffer_request_update" },
	{ 0xe8de1431, "iio_dma_buffer_set_bytes_per_datum" },
	{ 0x963c6c84, "iio_dma_buffer_set_length" },
	{ 0xd26667af, "iio_dma_buffer_enable" },
	{ 0xd2b47568, "iio_dma_buffer_disable" },
	{ 0xc5cc7e0f, "iio_dma_buffer_attach_dmabuf" },
	{ 0x23624a, "iio_dma_buffer_detach_dmabuf" },
	{ 0xe32347d5, "iio_dma_buffer_enqueue_dmabuf" },
	{ 0xfc01d8e2, "iio_dma_buffer_lock_queue" },
	{ 0x3e18c96e, "iio_dma_buffer_unlock_queue" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa962cf3e, "iio_dma_buffer_exit" },
	{ 0x94cf896, "dma_release_channel" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-buffer-dma");


MODULE_INFO(srcversion, "E2D5B553B5B6FCFE229A861");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
