#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hid_sensor_power_state, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_remove_trigger, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_setup_trigger, "", "IIO_HID");
KSYMTAB_DATA(hid_sensor_pm_ops, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_power_state, 0x9b8a68e9, "");
SYMBOL_CRC(hid_sensor_remove_trigger, 0xdc7cc403, "");
SYMBOL_CRC(hid_sensor_setup_trigger, 0x385a2c52, "");
SYMBOL_CRC(hid_sensor_pm_ops, 0xd119ea27, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8a047996, "__pm_runtime_use_autosuspend" },
	{ 0x46d2f348, "__pm_runtime_suspend" },
	{ 0x4e5d8063, "__pm_runtime_set_status" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x53b6ca5f, "iio_trigger_unregister" },
	{ 0x9428f0b3, "iio_trigger_free" },
	{ 0x5b90804b, "iio_triggered_buffer_cleanup" },
	{ 0x418a1f22, "__pm_runtime_disable" },
	{ 0x4dbafdde, "sensor_hub_device_close" },
	{ 0x6d9560d2, "hid_sensor_get_usage_index" },
	{ 0xfb122686, "sensor_hub_get_feature" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x5f11e43b, "sensor_hub_set_feature" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0x6d358b47, "sensor_hub_device_open" },
	{ 0x9a258b8b, "hid_sensor_read_poll_value" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x94b22331, "hid_sensor_set_report_latency" },
	{ 0x1f2ff3c3, "hid_sensor_get_report_latency" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x26f6b499, "iio_str_to_fixpoint" },
	{ 0x2a3c47b9, "hid_sensor_batch_mode_supported" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0xad43130f, "iio_triggered_buffer_setup_ext" },
	{ 0x6ae4665b, "iio_device_id" },
	{ 0xf1a2b9b7, "__iio_trigger_alloc" },
	{ 0xd0c9b9b, "iio_trigger_register" },
	{ 0x7f25d639, "get_device" },
	{ 0x56a7a580, "__module_get" },
	{ 0x97af1219, "pm_runtime_set_autosuspend_delay" },
	{ 0x56470118, "__warn_printk" },
	{ 0x90f50aea, "_dev_err" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc21b200e, "pm_runtime_enable" },
	{ 0x1c6c04bc, "__pm_runtime_resume" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer,hid-sensor-hub,hid-sensor-iio-common");


MODULE_INFO(srcversion, "E6C5AD7E4C6A1C7582A12C4");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
