#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(bmp280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_chip_info, "", "IIO_BMP280");
KSYMTAB_DATA(bmp180_chip_info, "", "IIO_BMP280");
KSYMTAB_FUNC(bmp280_common_probe, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_dev_pm_ops, "", "");
KSYMTAB_DATA(bmp180_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bme280_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp380_regmap_config, "", "IIO_BMP280");
KSYMTAB_DATA(bmp580_regmap_config, "", "IIO_BMP280");

SYMBOL_CRC(bmp280_chip_info, 0x57cf42ff, "");
SYMBOL_CRC(bme280_chip_info, 0x202a633b, "");
SYMBOL_CRC(bmp380_chip_info, 0xcac0a389, "");
SYMBOL_CRC(bmp580_chip_info, 0x3202e83f, "");
SYMBOL_CRC(bmp180_chip_info, 0x2bae6724, "");
SYMBOL_CRC(bmp280_common_probe, 0xe8ffbbab, "");
SYMBOL_CRC(bmp280_dev_pm_ops, 0xe1b66a29, "");
SYMBOL_CRC(bmp180_regmap_config, 0x5d1414bd, "");
SYMBOL_CRC(bmp280_regmap_config, 0xb792c9df, "");
SYMBOL_CRC(bme280_regmap_config, 0x9a5a7f6f, "");
SYMBOL_CRC(bmp380_regmap_config, 0x58c07f3e, "");
SYMBOL_CRC(bmp580_regmap_config, 0x56bcc3bb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6f8cc3a3, "dev_err_probe" },
	{ 0xd28e054d, "iio_trigger_notify_done" },
	{ 0x46d2f348, "__pm_runtime_suspend" },
	{ 0x6aea64a7, "__devm_add_action" },
	{ 0xdf76bbeb, "iio_pollfunc_store_time" },
	{ 0x8a047996, "__pm_runtime_use_autosuspend" },
	{ 0x418a1f22, "__pm_runtime_disable" },
	{ 0xe4d16810, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xbe498d90, "regmap_write" },
	{ 0x3a5be03, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x72570af8, "gpiod_set_value" },
	{ 0xf0cf8ef1, "devm_nvmem_register" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x1774dcd2, "devm_iio_triggered_buffer_setup_ext" },
	{ 0xa6257a2f, "complete" },
	{ 0x97af1219, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5d5a9fd2, "iio_push_to_buffers" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x671cebb5, "devm_gpiod_get_optional" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4e5d8063, "__pm_runtime_set_status" },
	{ 0xd66c8184, "add_device_randomness" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc21b200e, "pm_runtime_enable" },
	{ 0x6bf62c9c, "regulator_bulk_disable" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0x90f50aea, "_dev_err" },
	{ 0x8e7747a8, "irq_get_irq_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd09c21a1, "__devm_iio_device_register" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x453af64a, "devm_iio_device_alloc" },
	{ 0xf88f9ee3, "_dev_warn" },
	{ 0x9d197783, "regulator_bulk_set_supply_names" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdbb4c147, "regulator_bulk_enable" },
	{ 0x2d9fbacd, "devm_regulator_bulk_get" },
	{ 0x715717d, "iio_get_time_ns" },
	{ 0x155f970f, "regmap_read" },
	{ 0x28d0c4e8, "regmap_bulk_write" },
	{ 0x1c6c04bc, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1d4e3b76, "regmap_bulk_read" },
	{ 0x6d249741, "regmap_update_bits_base" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "industrialio,industrialio-triggered-buffer");


MODULE_INFO(srcversion, "3B329A381C77EF259650548");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
