#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ib_uverbs_get_ucontext_file, "", "");
KSYMTAB_FUNC(rdma_user_mmap_disassociate, "", "");
KSYMTAB_FUNC(flow_resources_alloc, "", "");
KSYMTAB_FUNC(ib_uverbs_flow_resources_free, "", "");
KSYMTAB_FUNC(flow_resources_add, "", "");
KSYMTAB_FUNC(ib_copy_ah_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_qp_attr_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_to_user, "", "");
KSYMTAB_FUNC(ib_copy_path_rec_from_user, "", "");
KSYMTAB_FUNC(uverbs_uobject_put, "", "");
KSYMTAB_DATA(uverbs_idr_class, "", "");
KSYMTAB_FUNC(uverbs_uobject_fd_release, "", "");
KSYMTAB_DATA(uverbs_fd_class, "", "");
KSYMTAB_FUNC(uverbs_destroy_def_handler, "", "");
KSYMTAB_FUNC(_uverbs_alloc, "", "");
KSYMTAB_FUNC(uverbs_get_flags64, "", "");
KSYMTAB_FUNC(uverbs_get_flags32, "", "");
KSYMTAB_FUNC(uverbs_copy_to, "", "");
KSYMTAB_FUNC(_uverbs_get_const_signed, "", "");
KSYMTAB_FUNC(_uverbs_get_const_unsigned, "", "");
KSYMTAB_FUNC(uverbs_copy_to_struct_or_zero, "", "");
KSYMTAB_FUNC(uverbs_finalize_uobj_create, "", "");
KSYMTAB_FUNC(ib_umem_find_best_pgsz, "", "");
KSYMTAB_FUNC(ib_umem_get, "", "");
KSYMTAB_FUNC(ib_umem_release, "", "");
KSYMTAB_FUNC(ib_umem_copy_from, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_map_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_unmap_pages, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned_with_dma_device, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_get_pinned, "", "");
KSYMTAB_FUNC(ib_umem_dmabuf_revoke, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_implicit, "", "");
KSYMTAB_FUNC(ib_umem_odp_alloc_child, "", "");
KSYMTAB_FUNC(ib_umem_odp_get, "", "");
KSYMTAB_FUNC(ib_umem_odp_release, "", "");
KSYMTAB_FUNC(ib_umem_odp_map_dma_and_lock, "", "");
KSYMTAB_FUNC(ib_umem_odp_unmap_dma_pages, "", "");

SYMBOL_CRC(ib_uverbs_get_ucontext_file, 0x63181aaf, "");
SYMBOL_CRC(rdma_user_mmap_disassociate, 0xc4bb49c4, "");
SYMBOL_CRC(flow_resources_alloc, 0xa925d2c1, "");
SYMBOL_CRC(ib_uverbs_flow_resources_free, 0x93311b25, "");
SYMBOL_CRC(flow_resources_add, 0x6a5b465c, "");
SYMBOL_CRC(ib_copy_ah_attr_to_user, 0xcedff78b, "");
SYMBOL_CRC(ib_copy_qp_attr_to_user, 0x07a7c02a, "");
SYMBOL_CRC(ib_copy_path_rec_to_user, 0x36c34dc6, "");
SYMBOL_CRC(ib_copy_path_rec_from_user, 0x754b0000, "");
SYMBOL_CRC(uverbs_uobject_put, 0x0c97fecd, "");
SYMBOL_CRC(uverbs_idr_class, 0xff0e24f8, "");
SYMBOL_CRC(uverbs_uobject_fd_release, 0x3c7d8407, "");
SYMBOL_CRC(uverbs_fd_class, 0x91b590d8, "");
SYMBOL_CRC(uverbs_destroy_def_handler, 0x94394d45, "");
SYMBOL_CRC(_uverbs_alloc, 0xd35ad162, "");
SYMBOL_CRC(uverbs_get_flags64, 0x2d51de49, "");
SYMBOL_CRC(uverbs_get_flags32, 0x7d5b61f7, "");
SYMBOL_CRC(uverbs_copy_to, 0x63ec5d17, "");
SYMBOL_CRC(_uverbs_get_const_signed, 0x31e1857b, "");
SYMBOL_CRC(_uverbs_get_const_unsigned, 0x16b59b75, "");
SYMBOL_CRC(uverbs_copy_to_struct_or_zero, 0x369505bc, "");
SYMBOL_CRC(uverbs_finalize_uobj_create, 0x21df884e, "");
SYMBOL_CRC(ib_umem_find_best_pgsz, 0x07216b9b, "");
SYMBOL_CRC(ib_umem_get, 0x64fc0e5a, "");
SYMBOL_CRC(ib_umem_release, 0x08e377cd, "");
SYMBOL_CRC(ib_umem_copy_from, 0xb4c5a2cc, "");
SYMBOL_CRC(ib_umem_dmabuf_map_pages, 0x7567b291, "");
SYMBOL_CRC(ib_umem_dmabuf_unmap_pages, 0x6a9b36c0, "");
SYMBOL_CRC(ib_umem_dmabuf_get, 0xdaa4437a, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned_with_dma_device, 0xbacbe026, "");
SYMBOL_CRC(ib_umem_dmabuf_get_pinned, 0x5e808db0, "");
SYMBOL_CRC(ib_umem_dmabuf_revoke, 0xb0d9b162, "");
SYMBOL_CRC(ib_umem_odp_alloc_implicit, 0xbece199e, "");
SYMBOL_CRC(ib_umem_odp_alloc_child, 0x6dc37757, "");
SYMBOL_CRC(ib_umem_odp_get, 0xcdc63d7e, "");
SYMBOL_CRC(ib_umem_odp_release, 0xe9b4c7c9, "");
SYMBOL_CRC(ib_umem_odp_map_dma_and_lock, 0xfa2b3829, "");
SYMBOL_CRC(ib_umem_odp_unmap_dma_pages, 0x99e9fe15, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9a9a0884, "ib_query_port" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xf07b07f6, "sg_free_append_table" },
	{ 0x8d304f20, "nla_put" },
	{ 0x9100507e, "ww_mutex_lock" },
	{ 0xb3fadfbc, "fasync_helper" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x9efe4df6, "ib_qp_usecnt_inc" },
	{ 0x11b50cba, "dma_buf_put" },
	{ 0xffb7c514, "ida_free" },
	{ 0x3221df67, "__bitmap_subset" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x4dffca8b, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x4297ac9, "cleanup_srcu_struct" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xdd511234, "ib_destroy_qp_user" },
	{ 0x992de6f8, "rdma_nl_get_privileged_qkey" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x22c9bb94, "rdma_restrack_set_name" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x482d87ee, "rdma_create_user_ah" },
	{ 0xe2eae6b1, "rdma_destroy_ah_user" },
	{ 0xf111aae7, "dma_buf_pin" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xc3e98ba, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0xd0f275d3, "__mmdrop" },
	{ 0xcf203c40, "rdma_restrack_del" },
	{ 0xa0ebc08, "__xa_cmpxchg" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x25fdda0a, "set_page_dirty" },
	{ 0x745a981, "xa_erase" },
	{ 0x8747046c, "__mmap_lock_do_trace_start_locking" },
	{ 0xe1e5a1ef, "ib_rdmacg_uncharge" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7230beea, "fdget" },
	{ 0x4096975f, "igrab" },
	{ 0xc407b53f, "ib_dma_virt_map_sg" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x8979297c, "mmput" },
	{ 0x5c38b73a, "dma_map_sgtable" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0xd9491c14, "xa_destroy" },
	{ 0x8fa25c24, "xa_find" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xeb566bcb, "__tracepoint_mmap_lock_start_locking" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xa7de6441, "__mmap_lock_do_trace_released" },
	{ 0x63473a43, "ib_alloc_xrcd_user" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xaa4b457e, "__srcu_read_unlock" },
	{ 0xa220ce3f, "rdma_set_cq_moderation" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x948d21e0, "alloc_pages_noprof" },
	{  0x5a261, "ib_dealloc_xrcd_user" },
	{ 0x1cc2b99f, "dma_buf_detach" },
	{ 0xcebc5205, "stream_open" },
	{ 0x668831f5, "mmu_interval_notifier_insert" },
	{ 0xcdf5bba5, "mmput_async" },
	{ 0xabf53b48, "rep_stos_alternative" },
	{ 0x7e5374cb, "ib_open_qp" },
	{ 0x52ecb902, "ib_dealloc_pd_user" },
	{ 0x79f43f19, "rdma_get_gid_attr" },
	{ 0x609ca8d8, "dma_unmap_sg_attrs" },
	{ 0x2dc3a573, "rdma_port_get_link_layer" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x2572349a, "rdma_restrack_new" },
	{ 0x3fd78f3b, "register_chrdev_region" },
	{ 0x2985cef3, "rdma_query_gid_table" },
	{ 0x3f2ac6db, "get_task_pid" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x75ce46c5, "rdma_restrack_put" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xd333503f, "ib_attach_mcast" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0xa0761bf9, "rdma_umap_priv_init" },
	{ 0x53b954a2, "up_read" },
	{ 0xcc5d22d9, "can_do_mlock" },
	{ 0xfed42a29, "ib_destroy_wq_user" },
	{ 0x1460f9a5, "put_pid" },
	{ 0xb307c89e, "class_register" },
	{ 0x85b3539c, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x54b23e67, "sg_pcopy_to_buffer" },
	{ 0xc4c7ef60, "rdma_user_mmap_entry_put" },
	{ 0x37013621, "pin_user_pages_fast" },
	{ 0xe63848c2, "mmu_interval_notifier_remove" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xc5aaf695, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0xdff34826, "anon_inode_getfile" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x98c983e2, "ib_unregister_client" },
	{ 0xfc8e77df, "show_class_attr_string" },
	{ 0x9a5ad0f2, "unpin_user_pages_dirty_lock" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5cdfc4f2, "dev_set_name" },
	{ 0x78a4681d, "ibdev_warn" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0x6e692a5a, "mmu_interval_read_begin" },
	{ 0x5ffdbd91, "ib_create_qp_user" },
	{ 0xcecd4f2, "dma_resv_wait_timeout" },
	{ 0x67c87176, "cdev_device_del" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x98261d7a, "get_pid_task" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0xc0f2447, "kill_fasync" },
	{ 0x5301722c, "dma_unmap_page_attrs" },
	{ 0xbea88b52, "__mmap_lock_do_trace_acquire_returned" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xa4f96ee0, "fget" },
	{ 0x44a3a127, "__put_task_struct" },
	{ 0xcc9a6c7c, "ib_query_srq" },
	{ 0x75b89f9c, "ww_mutex_unlock" },
	{ 0x28aaef01, "device_initialize" },
	{ 0xef88878c, "__dynamic_ibdev_dbg" },
	{ 0xff1501a1, "ib_rdmacg_try_charge" },
	{ 0x25f6a629, "fd_install" },
	{ 0x69acdf38, "memcpy" },
	{ 0x40429230, "sg_alloc_append_table_from_pages" },
	{ 0x37a0cba, "kfree" },
	{ 0x89df7949, "unpin_user_page_range_dirty_lock" },
	{ 0x9613fe92, "iput" },
	{ 0x678c04d7, "dma_buf_unpin" },
	{ 0x81b0230c, "zap_vma_ptes" },
	{ 0x3da86ede, "ib_dereg_mr_user" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x9fac472e, "__tracepoint_mmap_lock_acquire_returned" },
	{ 0xe2964344, "__wake_up" },
	{ 0xaa2f79b8, "synchronize_srcu" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x7477279a, "rdma_dev_access_netns" },
	{ 0x7f25d639, "get_device" },
	{ 0xa37113f0, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x360886f9, "__tracepoint_mmap_lock_released" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xc3ff38c2, "down_read_trylock" },
	{ 0x89ba0e78, "dma_buf_dynamic_attach" },
	{ 0xa356af11, "class_create_file_ns" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0x19ed176f, "ib_destroy_srq_user" },
	{ 0x568a433e, "rdma_read_gid_attr_ndev_rcu" },
	{ 0x101edcc9, "hmm_range_fault" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x68e28690, "dma_map_page_attrs" },
	{ 0x815f2897, "empty_zero_page" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x431d384a, "cdev_device_add" },
	{ 0x6d334118, "__get_user_8" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x76428595, "rdma_restrack_add" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe2d187d9, "put_device" },
	{ 0x41efdeaf, "radix_tree_lookup_slot" },
	{ 0xefb75f53, "ib_modify_qp_with_udata" },
	{ 0x8dcf857c, "ib_register_event_handler" },
	{ 0x16ffb077, "ib_detach_mcast" },
	{ 0x73ebfa2a, "dma_buf_map_attachment" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0xe41c46a2, "__free_pages" },
	{ 0x6c9a02a6, "ib_unregister_event_handler" },
	{ 0xc6cbbc89, "capable" },
	{ 0x968b9681, "module_put" },
	{ 0x77a71148, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb0ac3dc2, "compat_ptr_ioctl" },
	{ 0xe7c5a0d1, "ib_create_srq_user" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6a4f623b, "mmu_notifier_synchronize" },
	{ 0xa953f5c1, "__task_pid_nr_ns" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe325f6fd, "init_srcu_struct" },
	{ 0xe87b165a, "fput" },
	{ 0x655a37de, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0x90f50aea, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0x45bd16cb, "dma_buf_unmap_attachment" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x11f1cff1, "__srcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x3c8d422e, "rdma_put_gid_attr" },
	{ 0x138d06cc, "init_on_alloc" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x241219b1, "dma_buf_get" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "B4B528E9B9DD490879CEA3B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
