#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usb_cypress_load_firmware, "", "");
KSYMTAB_FUNC(dvb_usb_get_hexline, "", "");
KSYMTAB_FUNC(dvb_usb_device_init, "", "");
KSYMTAB_FUNC(dvb_usb_device_exit, "", "");
KSYMTAB_FUNC(dvb_usb_generic_rw, "", "");
KSYMTAB_FUNC(dvb_usb_generic_write, "", "");
KSYMTAB_FUNC(dvb_usb_nec_rc_key_to_event, "", "");

SYMBOL_CRC(usb_cypress_load_firmware, 0xbe21fb6f, "");
SYMBOL_CRC(dvb_usb_get_hexline, 0x8b6f5395, "");
SYMBOL_CRC(dvb_usb_device_init, 0x79249a1d, "");
SYMBOL_CRC(dvb_usb_device_exit, 0x1c35b19a, "");
SYMBOL_CRC(dvb_usb_generic_rw, 0xab30f412, "");
SYMBOL_CRC(dvb_usb_generic_write, 0x6130ca7b, "");
SYMBOL_CRC(dvb_usb_nec_rc_key_to_event, 0xecc547f1, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x16b585e2, "input_unregister_device" },
	{ 0x37a0cba, "kfree" },
	{ 0x5082b2bd, "__media_device_register" },
	{ 0x2c256e1f, "input_scancode_to_scalar" },
	{ 0x1527d276, "dvb_register_adapter" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf84cbbf2, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0xf3a7bb3b, "usb_clear_halt" },
	{ 0xe79490e8, "usb_bulk_msg" },
	{ 0x6067ff25, "input_register_device" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x736f1f6a, "usb_submit_urb" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0x3754b3f1, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xd55d14d, "media_device_cleanup" },
	{ 0x6a9f708a, "dvb_dmx_swfilter_204" },
	{ 0x9263a063, "dvb_dmx_release" },
	{ 0x65fba913, "usb_free_coherent" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8f601aac, "rc_register_device" },
	{ 0xae7e74ce, "usb_control_msg" },
	{ 0x9f4be1d4, "dvb_net_init" },
	{ 0x8c54b0f8, "dvb_dmx_swfilter" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0xa17d26c2, "dvb_dmxdev_release" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x1b9ecd5d, "rc_free_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xa4235824, "dvb_dmx_swfilter_raw" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xcb23a168, "input_event" },
	{ 0x205aa50b, "dvb_frontend_detach" },
	{ 0x4ed47754, "i2c_add_adapter" },
	{ 0xb5149afe, "dvb_net_release" },
	{ 0x72cdc474, "rc_allocate_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe9734e71, "dvb_unregister_frontend" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x9a1e5581, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x990ab6b, "__media_device_usb_init" },
	{ 0xe727a5bd, "dvb_register_frontend" },
	{ 0xd90edded, "dvb_create_media_graph" },
	{ 0xe9cf8d9b, "dvb_unregister_adapter" },
	{ 0x54abe4ff, "dvb_dmx_init" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc9b4e6c1, "rc_unregister_device" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc237de0b, "input_allocate_device" },
	{ 0x6b587461, "dvb_dmxdev_init" },
	{ 0x21344796, "usb_alloc_urb" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x383969b5, "media_device_unregister" },
	{ 0x98c88c1b, "usb_free_urb" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x785521f6, "usb_alloc_coherent" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xb7c6125c, "request_firmware" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "mc,dvb-core,usbcore,rc-core");


MODULE_INFO(srcversion, "083703896CC43B04798B56C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
