#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(v4l2_async_nf_init, "", "");
KSYMTAB_FUNC(v4l2_async_subdev_nf_init, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_nf_register, "", "");
KSYMTAB_FUNC(v4l2_async_nf_unregister, "", "");
KSYMTAB_FUNC(v4l2_async_nf_cleanup, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_fwnode_remote, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_nf_add_i2c, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_subdev_endpoint_add, "_gpl", "");
KSYMTAB_FUNC(v4l2_async_connection_unique, "_gpl", "");
KSYMTAB_FUNC(__v4l2_async_register_subdev, "", "");
KSYMTAB_FUNC(v4l2_async_unregister_subdev, "", "");

SYMBOL_CRC(v4l2_async_nf_init, 0x10dd293a, "");
SYMBOL_CRC(v4l2_async_subdev_nf_init, 0x80458482, "_gpl");
SYMBOL_CRC(v4l2_async_nf_register, 0x191ca213, "");
SYMBOL_CRC(v4l2_async_nf_unregister, 0x723cf9b6, "");
SYMBOL_CRC(v4l2_async_nf_cleanup, 0x49c62885, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode, 0xf9f11d7d, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_fwnode_remote, 0x9541f776, "_gpl");
SYMBOL_CRC(__v4l2_async_nf_add_i2c, 0x0cb40a5f, "_gpl");
SYMBOL_CRC(v4l2_async_subdev_endpoint_add, 0x84c41787, "_gpl");
SYMBOL_CRC(v4l2_async_connection_unique, 0xc07426ee, "_gpl");
SYMBOL_CRC(__v4l2_async_register_subdev, 0xd1e8c742, "");
SYMBOL_CRC(v4l2_async_unregister_subdev, 0x854e9a97, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ccbb94c, "i2c_verify_client" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x9eecd57c, "debugfs_create_dir" },
	{ 0xeb48b6ce, "debugfs_create_file" },
	{ 0xb80a8a8c, "single_open" },
	{ 0x91d3b7e4, "debugfs_remove" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xf7f44377, "fwnode_handle_get" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x7af98a40, "v4l2_device_unregister_subdev" },
	{ 0x66454354, "seq_printf" },
	{ 0x73bdbb06, "fwnode_property_present" },
	{ 0xb9121c3c, "fwnode_graph_get_port_parent" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x94272a86, "fwnode_graph_get_remote_endpoint" },
	{ 0x37a0cba, "kfree" },
	{ 0x5997518c, "v4l2_subdev_put_privacy_led" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0xba27fafb, "__dev_fwnode" },
	{ 0xd8f4287f, "__v4l2_device_register_subdev" },
	{ 0xc792c1a4, "media_create_ancillary_link" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xf88f9ee3, "_dev_warn" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x90f50aea, "_dev_err" },
	{ 0xc2fef6ed, "seq_lseek" },
	{ 0x85bb2849, "seq_read" },
	{ 0xd4496f5b, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "videodev,mc");


MODULE_INFO(srcversion, "5BA6B5B7A07FBD1A4525A8B");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
