#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mana_gd_send_request, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_dma_region, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_create_mana_eq, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_destroy_queue, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_register_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_gd_deregister_device, "", "NET_MANA");
KSYMTAB_FUNC(mana_uncfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_cfg_vport, "", "NET_MANA");
KSYMTAB_FUNC(mana_create_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_destroy_wq_obj, "", "NET_MANA");
KSYMTAB_FUNC(mana_get_primary_netdev_rcu, "", "NET_MANA");

SYMBOL_CRC(mana_gd_send_request, 0xb3afd055, "");
SYMBOL_CRC(mana_gd_destroy_dma_region, 0xa9f32648, "");
SYMBOL_CRC(mana_gd_create_mana_eq, 0x05ff0ab7, "");
SYMBOL_CRC(mana_gd_destroy_queue, 0x2e7b7d7d, "");
SYMBOL_CRC(mana_gd_register_device, 0x75b61ccc, "");
SYMBOL_CRC(mana_gd_deregister_device, 0xbb84a364, "");
SYMBOL_CRC(mana_uncfg_vport, 0x01c7a7f3, "");
SYMBOL_CRC(mana_cfg_vport, 0x39a14027, "");
SYMBOL_CRC(mana_create_wq_obj, 0xe4b9dc6c, "");
SYMBOL_CRC(mana_destroy_wq_obj, 0x92629001, "");
SYMBOL_CRC(mana_get_primary_netdev_rcu, 0x695130eb, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x2f79361e, "pci_unregister_driver" },
	{ 0x467df16d, "netdev_rss_key_fill" },
	{ 0x7312a503, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x43e6b70, "pskb_expand_head" },
	{ 0xd5fda699, "dev_driver_string" },
	{ 0x10fc91e1, "dev_addr_mod" },
	{ 0xd4570bf9, "xdp_rxq_info_reg_mem_model" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x49413f93, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x68e28690, "dma_map_page_attrs" },
	{ 0xf6084620, "napi_complete_done" },
	{ 0xceb4a2f0, "__alloc_pages_noprof" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xefbf67f3, "skb_checksum_help" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe2d187d9, "put_device" },
	{ 0xa916b694, "strnlen" },
	{ 0x617935a2, "netif_device_detach" },
	{ 0x618911fc, "numa_node" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0x4823114b, "napi_gro_receive" },
	{ 0x89911086, "netif_device_attach" },
	{ 0x126fd3de, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x8f6313f1, "__skb_get_hash_net" },
	{ 0xa04f945a, "cpus_read_lock" },
	{ 0xc8a91f5b, "cpumask_local_spread" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x90f50aea, "_dev_err" },
	{ 0x58ee08bc, "xdp_build_skb_from_frame" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xc069d2ce, "netif_set_real_num_tx_queues" },
	{ 0x33adec4d, "__auxiliary_device_add" },
	{ 0x3ffffd72, "netif_set_real_num_rx_queues" },
	{ 0x6626afca, "down" },
	{ 0x668361e1, "netdev_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xb9a8df7b, "dma_alloc_attrs" },
	{ 0x32e544b0, "pcie_flr" },
	{ 0x9afd5577, "napi_enable" },
	{ 0xbba7d99d, "register_netdev" },
	{ 0xffb7c514, "ida_free" },
	{ 0x1fe5da2b, "free_netdev" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x72a2b046, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x430d8bc0, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xb40a4639, "__SCK__tp_func_xdp_exception" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xea7e5408, "pci_iounmap" },
	{ 0x2ef3ee43, "netif_tx_wake_queue" },
	{ 0x9076d124, "device_del" },
	{ 0xfaad7b04, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0xf88f9ee3, "_dev_warn" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0xd5dc5f74, "pci_set_master" },
	{ 0xa5436c25, "skb_dequeue_tail" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xe79042ae, "__bitmap_weight_andnot" },
	{ 0xb86f74c5, "free_cpumask_var" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35ffdce, "dma_set_coherent_mask" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x18095330, "dma_free_attrs" },
	{ 0x999e8297, "vfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x5c96fb42, "pci_release_regions" },
	{ 0x9aef5f69, "bpf_prog_add" },
	{ 0x26e6be91, "xdp_rxq_info_unreg" },
	{ 0xd5d678c8, "page_pool_alloc_pages" },
	{ 0xca5ebe1c, "napi_build_skb" },
	{ 0x23d6ec98, "netdev_master_upper_dev_get_rcu" },
	{ 0xdc1d3f03, "__folio_put" },
	{ 0xe8865ae0, "__xdp_rxq_info_reg" },
	{ 0x49ab754c, "xdp_set_features_flag" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xac6519d, "netif_carrier_off" },
	{ 0xcbf63e7d, "netif_carrier_on" },
	{ 0x3b814ca, "bpf_dispatcher_xdp_func" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xdfbd1921, "pci_disable_device" },
	{ 0xa19437c, "dma_set_mask" },
	{ 0x6dc8615b, "xdp_master_redirect" },
	{ 0xfdfe84f8, "__napi_schedule_irqoff" },
	{ 0x713d4240, "napi_schedule_prep" },
	{ 0x888eedea, "napi_consume_skb" },
	{ 0x48593770, "napi_disable" },
	{ 0xb5b06095, "dev_kfree_skb_any_reason" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xcf3b69b3, "netdev_stats_to_stats64" },
	{ 0xd371b0df, "vcalloc_noprof" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xec76b054, "pci_free_irq_vectors" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x6e433aa6, "netdev_info" },
	{ 0x3b83610f, "cpu_sibling_map" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xdd5569f, "__tracepoint_xdp_exception" },
	{ 0x61179ad6, "alloc_etherdev_mqs" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0x8fa9d9e8, "__SCT__tp_func_xdp_exception" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x34018c19, "bpf_prog_put" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe66a7db0, "pci_enable_device" },
	{ 0xfbd7c139, "skb_put" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x473dd806, "auxiliary_device_init" },
	{ 0x43e0d924, "pci_iomap" },
	{ 0x171bea01, "pci_alloc_irq_vectors" },
	{ 0x120e5a8b, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x28d7edb7, "bpf_warn_invalid_xdp_action" },
	{ 0x5112dfdd, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x5301722c, "dma_unmap_page_attrs" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x265928b7, "__pci_register_driver" },
	{ 0xcf2a6966, "up" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x84838ebe, "pci_request_regions" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xe23b37f, "alloc_cpumask_var_node" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0xebbaa92b, "page_pool_destroy" },
	{ 0x2a728b4d, "xdp_do_redirect" },
	{ 0x4c0d8aa6, "eth_validate_addr" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x9a386732, "netdev_warn" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xc8ae53cc, "pci_irq_vector" },
	{ 0x4aa492fe, "__netif_napi_del" },
	{ 0x852bbca9, "unregister_netdevice_queue" },
	{ 0x18fb2caf, "cpus_read_unlock" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0x1e3817a3, "sched_numa_hop_mask" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");

MODULE_ALIAS("pci:v00001414d000000B9sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v00001414d000000BAsv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "C284D011CE12620AE1E804E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
