#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9176341e, "mdio_i2c_alloc" },
	{ 0xdc9646ab, "__mdiobus_register" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6aea64a7, "__devm_add_action" },
	{ 0x21f81722, "device_get_match_data" },
	{ 0xba27fafb, "__dev_fwnode" },
	{ 0x349bb9c8, "fwnode_find_reference" },
	{ 0x6ee9899a, "i2c_get_adapter_by_fwnode" },
	{ 0x3f0b2ac7, "device_property_read_u32_array" },
	{ 0x671cebb5, "devm_gpiod_get_optional" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4dd5b757, "sfp_register_socket" },
	{ 0x9227dde2, "gpiod_to_irq" },
	{ 0x9eecd57c, "debugfs_create_dir" },
	{ 0xeb48b6ce, "debugfs_create_file" },
	{ 0xa0c1e469, "devm_kasprintf" },
	{ 0x3a5be03, "devm_request_threaded_irq" },
	{ 0x91d3b7e4, "debugfs_remove" },
	{ 0xb6787346, "sfp_unregister_socket" },
	{ 0xc2fef6ed, "seq_lseek" },
	{ 0x85bb2849, "seq_read" },
	{ 0xd4496f5b, "single_release" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xbcf10131, "__platform_driver_register" },
	{ 0x6a074271, "devm_free_irq" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0x4ea1b085, "get_phy_device" },
	{ 0xa9cc04a1, "phy_device_register" },
	{ 0x7828b769, "sfp_add_phy" },
	{ 0xee3a7e00, "phy_device_remove" },
	{ 0xee1f2dd9, "phy_device_free" },
	{ 0x90f50aea, "_dev_err" },
	{ 0xc9570871, "gpiod_get_value_cansleep" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x78cdd1f2, "gpiod_direction_input" },
	{ 0x7d264357, "gpiod_direction_output" },
	{ 0x5f2e62eb, "mdiobus_unregister" },
	{ 0xd881fdb6, "mdiobus_free" },
	{ 0x89e7a198, "i2c_put_adapter" },
	{ 0x37a0cba, "kfree" },
	{ 0xa95b5c77, "hwmon_sanitize_name" },
	{ 0x4a6e6e8d, "hwmon_device_register_with_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0xf88f9ee3, "_dev_warn" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0x5b0b56dd, "i2c_transfer" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x69acdf38, "memcpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xb80a8a8c, "single_open" },
	{ 0x66454354, "seq_printf" },
	{ 0x645de8fd, "platform_driver_unregister" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66b97421, "sfp_link_up" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0x8df92f66, "memchr_inv" },
	{ 0x6129fb93, "sfp_remove_phy" },
	{ 0xda320d31, "sfp_module_start" },
	{ 0x419e7efd, "sfp_module_stop" },
	{ 0x9819e7bb, "hwmon_device_unregister" },
	{ 0x648f59a9, "sfp_module_insert" },
	{ 0x6b413c9b, "sfp_link_down" },
	{ 0x58def6ca, "sfp_module_remove" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "mdio-i2c,libphy");

MODULE_ALIAS("of:N*T*Csff,sff");
MODULE_ALIAS("of:N*T*Csff,sffC*");
MODULE_ALIAS("of:N*T*Csff,sfp");
MODULE_ALIAS("of:N*T*Csff,sfpC*");

MODULE_INFO(srcversion, "50AC8288B3B7CB0E16A1B62");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
