#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(lbs_cmd_copyback, "_gpl", "");
KSYMTAB_FUNC(lbs_host_sleep_cfg, "_gpl", "");
KSYMTAB_FUNC(__lbs_cmd, "_gpl", "");
KSYMTAB_DATA(lbs_debug, "_gpl", "");
KSYMTAB_FUNC(lbs_host_to_card_done, "_gpl", "");
KSYMTAB_FUNC(lbs_suspend, "_gpl", "");
KSYMTAB_FUNC(lbs_resume, "_gpl", "");
KSYMTAB_FUNC(lbs_add_card, "_gpl", "");
KSYMTAB_FUNC(lbs_remove_card, "_gpl", "");
KSYMTAB_FUNC(lbs_start_card, "_gpl", "");
KSYMTAB_FUNC(lbs_stop_card, "_gpl", "");
KSYMTAB_FUNC(lbs_queue_event, "_gpl", "");
KSYMTAB_FUNC(lbs_notify_command_response, "_gpl", "");
KSYMTAB_FUNC(lbs_process_rxed_packet, "_gpl", "");
KSYMTAB_FUNC(lbs_send_tx_feedback, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware_async, "_gpl", "");
KSYMTAB_FUNC(lbs_get_firmware, "_gpl", "");

SYMBOL_CRC(lbs_cmd_copyback, 0xfbe6ab3f, "_gpl");
SYMBOL_CRC(lbs_host_sleep_cfg, 0x42e7c9e4, "_gpl");
SYMBOL_CRC(__lbs_cmd, 0x19bbe911, "_gpl");
SYMBOL_CRC(lbs_debug, 0xf64277de, "_gpl");
SYMBOL_CRC(lbs_host_to_card_done, 0xc83a31d7, "_gpl");
SYMBOL_CRC(lbs_suspend, 0x821daf96, "_gpl");
SYMBOL_CRC(lbs_resume, 0xfbee95e9, "_gpl");
SYMBOL_CRC(lbs_add_card, 0x7a3b6ee6, "_gpl");
SYMBOL_CRC(lbs_remove_card, 0xc3afb2fb, "_gpl");
SYMBOL_CRC(lbs_start_card, 0x03de1d51, "_gpl");
SYMBOL_CRC(lbs_stop_card, 0x22d994bd, "_gpl");
SYMBOL_CRC(lbs_queue_event, 0x3babb127, "_gpl");
SYMBOL_CRC(lbs_notify_command_response, 0xaa128f7b, "_gpl");
SYMBOL_CRC(lbs_process_rxed_packet, 0xc932ed0f, "_gpl");
SYMBOL_CRC(lbs_send_tx_feedback, 0x226e47db, "_gpl");
SYMBOL_CRC(lbs_get_firmware_async, 0x96e5d76a, "_gpl");
SYMBOL_CRC(lbs_get_firmware, 0x0c599268, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x90f50aea, "_dev_err" },
	{ 0xd2c76c3b, "cfg80211_ibss_joined" },
	{ 0x1664b1ad, "request_firmware_nowait" },
	{ 0xc2851e90, "simple_open" },
	{ 0xb247fd8f, "skb_pull" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcf43a647, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x86ac2ed2, "cfg80211_michael_mic_failure" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbeb34e81, "skb_push" },
	{ 0x91d3b7e4, "debugfs_remove" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xbba7d99d, "register_netdev" },
	{ 0x4d325d8d, "wiphy_unregister" },
	{ 0x1fe5da2b, "free_netdev" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x20884a64, "kthread_stop" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x2ef3ee43, "netif_tx_wake_queue" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x191927b1, "netif_rx" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x43835a40, "netdev_alert" },
	{ 0xed21fc61, "kthread_create_on_node" },
	{ 0xeb48b6ce, "debugfs_create_file" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x1d07e365, "memdup_user_nul" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xac6519d, "netif_carrier_off" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0xcbf63e7d, "netif_carrier_on" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x1b9f805e, "cfg80211_inform_bss_data" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x754d539c, "strlen" },
	{ 0xb5b06095, "dev_kfree_skb_any_reason" },
	{ 0x5cba2be4, "ieee80211_bss_get_elem" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0x9eecd57c, "debugfs_create_dir" },
	{ 0xa82b91e3, "generic_file_llseek" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0xa28e1f37, "cfg80211_connect_done" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x329f03e7, "__cfg80211_get_bss" },
	{ 0xe5afdb8b, "wiphy_free" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x4a04db78, "ieee80211_get_num_supported_channels" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x6e433aa6, "netdev_info" },
	{ 0x73e90460, "device_remove_file" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xcfbcfdbd, "cfg80211_scan_done" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4a4ffdbe, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x40bb9b7f, "unregister_netdev" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb7c6125c, "request_firmware" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x3ebcec9c, "regulatory_hint" },
	{ 0x37a0cba, "kfree" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x4c0d8aa6, "eth_validate_addr" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x225be07b, "dev_kfree_skb_irq_reason" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x189fa193, "cfg80211_disconnected" },
	{ 0xcc5005fe, "msleep_interruptible" },
	{ 0xa3a9d69c, "ether_setup" },
	{ 0x7312a503, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x43e6b70, "pskb_expand_head" },
	{ 0xd8def94b, "wake_up_process" },
	{ 0x10fc91e1, "dev_addr_mod" },
	{ 0x49413f93, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xde7b4dc6, "alloc_netdev_mqs" },
	{ 0x7ebc7afd, "wiphy_new_nm" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x79b82a71, "cfg80211_find_vendor_elem" },
	{ 0xaa0d8ed9, "wiphy_register" },
	{ 0xa916b694, "strnlen" },
	{ 0x6d6e9a10, "cfg80211_put_bss" },
	{ 0x617935a2, "netif_device_detach" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0x89911086, "netif_device_attach" },
	{ 0x7a4b612a, "ieee80211_get_channel_khz" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d6cba30, "cfg80211_find_elem_match" },
	{ 0x1d788112, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "cfg80211");


MODULE_INFO(srcversion, "16BA492FC8EBB2531B34EC3");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
