#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76_set_irq_mask, "_gpl", "");
KSYMTAB_FUNC(mt76_mmio_init, "_gpl", "");
KSYMTAB_FUNC(__mt76_poll, "_gpl", "");
KSYMTAB_FUNC(____mt76_poll_msec, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_get_min_avg_rssi, "_gpl", "");
KSYMTAB_FUNC(__mt76_worker_fn, "_gpl", "");
KSYMTAB_DATA(__tracepoint_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__traceiter_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_mac_txdone, "_gpl", "");
KSYMTAB_DATA(__tracepoint_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__traceiter_dev_irq, "_gpl", "");
KSYMTAB_DATA(__SCK__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(__SCT__tp_func_dev_irq, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_txwi, "_gpl", "");
KSYMTAB_FUNC(mt76_put_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_free_pending_rxwi, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_rx_poll, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_attach, "_gpl", "");
KSYMTAB_FUNC(mt76_dma_cleanup, "_gpl", "");
KSYMTAB_DATA(mt76_rates, "_gpl", "");
KSYMTAB_FUNC(mt76_set_stream_caps, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_register_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_phy, "_gpl", "");
KSYMTAB_FUNC(mt76_create_page_pool, "_gpl", "");
KSYMTAB_FUNC(mt76_alloc_device, "_gpl", "");
KSYMTAB_FUNC(mt76_register_device, "_gpl", "");
KSYMTAB_FUNC(mt76_unregister_device, "_gpl", "");
KSYMTAB_FUNC(mt76_free_device, "_gpl", "");
KSYMTAB_FUNC(mt76_rx, "_gpl", "");
KSYMTAB_FUNC(mt76_has_tx_pending, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey_active_time, "_gpl", "");
KSYMTAB_FUNC(mt76_update_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_update_channel, "_gpl", "");
KSYMTAB_FUNC(mt76_get_survey, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_key_setup, "", "");
KSYMTAB_FUNC(mt76_rx_signal, "", "");
KSYMTAB_FUNC(mt76_rx_poll_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_sta_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_state, "_gpl", "");
KSYMTAB_FUNC(mt76_sta_pre_rcu_remove, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_init, "_gpl", "");
KSYMTAB_FUNC(mt76_wcid_cleanup, "_gpl", "");
KSYMTAB_FUNC(mt76_get_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76_init_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_get_sar_power, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_finish, "_gpl", "");
KSYMTAB_FUNC(mt76_csa_check, "_gpl", "");
KSYMTAB_FUNC(mt76_set_tim, "_gpl", "");
KSYMTAB_FUNC(mt76_insert_ccmp_hdr, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan, "_gpl", "");
KSYMTAB_FUNC(mt76_sw_scan_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_get_antenna, "_gpl", "");
KSYMTAB_FUNC(mt76_init_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_calculate_default_rate, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_worker, "_gpl", "");
KSYMTAB_FUNC(mt76_ethtool_page_pool_stats, "_gpl", "");
KSYMTAB_FUNC(mt76_phy_dfs_state, "_gpl", "");
KSYMTAB_FUNC(mt76_queues_read, "_gpl", "");
KSYMTAB_FUNC(mt76_seq_puts_array, "_gpl", "");
KSYMTAB_FUNC(mt76_register_debugfs_fops, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_mtd, "_gpl", "");
KSYMTAB_FUNC(mt76_get_of_data_from_nvmem, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_override, "_gpl", "");
KSYMTAB_FUNC(mt76_find_power_limits_node, "_gpl", "");
KSYMTAB_FUNC(mt76_find_channel_node, "_gpl", "");
KSYMTAB_FUNC(mt76_get_rate_power_limits, "_gpl", "");
KSYMTAB_FUNC(mt76_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_check_agg_ssn, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_lock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_unlock, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_done, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_add, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_skb_get, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_status_check, "_gpl", "");
KSYMTAB_FUNC(__mt76_tx_complete_skb, "_gpl", "");
KSYMTAB_FUNC(mt76_tx, "_gpl", "");
KSYMTAB_FUNC(mt76_release_buffered_frames, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule, "_gpl", "");
KSYMTAB_FUNC(mt76_txq_schedule_all, "_gpl", "");
KSYMTAB_FUNC(mt76_tx_worker_run, "_gpl", "");
KSYMTAB_FUNC(mt76_stop_tx_queues, "_gpl", "");
KSYMTAB_FUNC(mt76_wake_tx_queue, "_gpl", "");
KSYMTAB_FUNC(mt76_ac_to_hwq, "_gpl", "");
KSYMTAB_FUNC(mt76_skb_adjust_pad, "_gpl", "");
KSYMTAB_FUNC(mt76_queue_tx_complete, "_gpl", "");
KSYMTAB_FUNC(__mt76_set_tx_blocked, "_gpl", "");
KSYMTAB_FUNC(mt76_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_consume, "_gpl", "");
KSYMTAB_FUNC(mt76_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_token_release, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_start, "_gpl", "");
KSYMTAB_FUNC(mt76_rx_aggr_stop, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_msg_alloc, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_get_response, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_rx_event, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(mt76_mcu_skb_send_and_get_msg, "_gpl", "");
KSYMTAB_FUNC(__mt76_mcu_send_firmware, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_release_rx_buf, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_offload_disable, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_reset_complete, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_net_setup_tc, "_gpl", "");
KSYMTAB_FUNC(mt76_wed_dma_reset, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_disable_aspm, "_gpl", "");
KSYMTAB_FUNC(mt76_pci_aspm_supported, "_gpl", "");

SYMBOL_CRC(mt76_set_irq_mask, 0xf80ca69c, "_gpl");
SYMBOL_CRC(mt76_mmio_init, 0x1a463591, "_gpl");
SYMBOL_CRC(__mt76_poll, 0x7ae01974, "_gpl");
SYMBOL_CRC(____mt76_poll_msec, 0x4a5557f3, "_gpl");
SYMBOL_CRC(mt76_wcid_alloc, 0xe40b66ef, "_gpl");
SYMBOL_CRC(mt76_get_min_avg_rssi, 0xe1aa4ed6, "_gpl");
SYMBOL_CRC(__mt76_worker_fn, 0x1ec57b4f, "_gpl");
SYMBOL_CRC(__tracepoint_mac_txdone, 0x63ec346b, "_gpl");
SYMBOL_CRC(__traceiter_mac_txdone, 0x1bde957b, "_gpl");
SYMBOL_CRC(__SCK__tp_func_mac_txdone, 0xe7750df1, "_gpl");
SYMBOL_CRC(__SCT__tp_func_mac_txdone, 0xbb31a266, "_gpl");
SYMBOL_CRC(__tracepoint_dev_irq, 0x67f1d19e, "_gpl");
SYMBOL_CRC(__traceiter_dev_irq, 0x3327d0bd, "_gpl");
SYMBOL_CRC(__SCK__tp_func_dev_irq, 0x08120815, "_gpl");
SYMBOL_CRC(__SCT__tp_func_dev_irq, 0xe45628cb, "_gpl");
SYMBOL_CRC(mt76_get_rxwi, 0xc16765d7, "_gpl");
SYMBOL_CRC(mt76_put_txwi, 0xbc274d66, "_gpl");
SYMBOL_CRC(mt76_put_rxwi, 0x78872491, "_gpl");
SYMBOL_CRC(mt76_free_pending_rxwi, 0x6ac569bb, "_gpl");
SYMBOL_CRC(mt76_dma_rx_poll, 0xa8ca698c, "_gpl");
SYMBOL_CRC(mt76_dma_attach, 0x03574d08, "_gpl");
SYMBOL_CRC(mt76_dma_cleanup, 0xd6efa70d, "_gpl");
SYMBOL_CRC(mt76_rates, 0x17f568e9, "_gpl");
SYMBOL_CRC(mt76_set_stream_caps, 0xed1f8370, "_gpl");
SYMBOL_CRC(mt76_alloc_phy, 0x9f5275c8, "_gpl");
SYMBOL_CRC(mt76_register_phy, 0x5df1a65a, "_gpl");
SYMBOL_CRC(mt76_unregister_phy, 0xb2aaf127, "_gpl");
SYMBOL_CRC(mt76_create_page_pool, 0xb911c4e7, "_gpl");
SYMBOL_CRC(mt76_alloc_device, 0x0b79dee0, "_gpl");
SYMBOL_CRC(mt76_register_device, 0x2c3ab042, "_gpl");
SYMBOL_CRC(mt76_unregister_device, 0x33beb26e, "_gpl");
SYMBOL_CRC(mt76_free_device, 0x114a470d, "_gpl");
SYMBOL_CRC(mt76_rx, 0x99a7220c, "_gpl");
SYMBOL_CRC(mt76_has_tx_pending, 0x3c1c5bc5, "_gpl");
SYMBOL_CRC(mt76_update_survey_active_time, 0x8982e2d3, "_gpl");
SYMBOL_CRC(mt76_update_survey, 0x9586c8ea, "_gpl");
SYMBOL_CRC(mt76_update_channel, 0x0d0eceb7, "_gpl");
SYMBOL_CRC(mt76_get_survey, 0xa61a6e92, "_gpl");
SYMBOL_CRC(mt76_wcid_key_setup, 0x229f91c6, "");
SYMBOL_CRC(mt76_rx_signal, 0x327a9822, "");
SYMBOL_CRC(mt76_rx_poll_complete, 0x8023ca47, "_gpl");
SYMBOL_CRC(__mt76_sta_remove, 0xd06ed7de, "_gpl");
SYMBOL_CRC(mt76_sta_state, 0x9039348b, "_gpl");
SYMBOL_CRC(mt76_sta_pre_rcu_remove, 0xadd17d04, "_gpl");
SYMBOL_CRC(mt76_wcid_init, 0xd9e86c36, "_gpl");
SYMBOL_CRC(mt76_wcid_cleanup, 0xeb418002, "_gpl");
SYMBOL_CRC(mt76_get_txpower, 0xd0aec0fc, "_gpl");
SYMBOL_CRC(mt76_init_sar_power, 0x19fbc4a7, "_gpl");
SYMBOL_CRC(mt76_get_sar_power, 0x464e666a, "_gpl");
SYMBOL_CRC(mt76_csa_finish, 0xc813f09b, "_gpl");
SYMBOL_CRC(mt76_csa_check, 0x21aea39e, "_gpl");
SYMBOL_CRC(mt76_set_tim, 0xc2864aab, "_gpl");
SYMBOL_CRC(mt76_insert_ccmp_hdr, 0x40e4245c, "_gpl");
SYMBOL_CRC(mt76_get_rate, 0x764a4990, "_gpl");
SYMBOL_CRC(mt76_sw_scan, 0x5e1a7bd9, "_gpl");
SYMBOL_CRC(mt76_sw_scan_complete, 0xb2d55f1e, "_gpl");
SYMBOL_CRC(mt76_get_antenna, 0x8ad7f2df, "_gpl");
SYMBOL_CRC(mt76_init_queue, 0x6c2f3dd1, "_gpl");
SYMBOL_CRC(mt76_calculate_default_rate, 0x9cd1edf5, "_gpl");
SYMBOL_CRC(mt76_ethtool_worker, 0xab9d88b8, "_gpl");
SYMBOL_CRC(mt76_ethtool_page_pool_stats, 0xf10bf399, "_gpl");
SYMBOL_CRC(mt76_phy_dfs_state, 0xae7a49eb, "_gpl");
SYMBOL_CRC(mt76_queues_read, 0xf8821f05, "_gpl");
SYMBOL_CRC(mt76_seq_puts_array, 0x8f642fb5, "_gpl");
SYMBOL_CRC(mt76_register_debugfs_fops, 0x47afbfe3, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_mtd, 0xfebc25f9, "_gpl");
SYMBOL_CRC(mt76_get_of_data_from_nvmem, 0x6bfc45c3, "_gpl");
SYMBOL_CRC(mt76_eeprom_override, 0xc774bf2c, "_gpl");
SYMBOL_CRC(mt76_find_power_limits_node, 0xc77b1639, "_gpl");
SYMBOL_CRC(mt76_find_channel_node, 0xd2fa6f31, "_gpl");
SYMBOL_CRC(mt76_get_rate_power_limits, 0x14c53916, "_gpl");
SYMBOL_CRC(mt76_eeprom_init, 0xe65b1e60, "_gpl");
SYMBOL_CRC(mt76_tx_check_agg_ssn, 0x2d00ece9, "_gpl");
SYMBOL_CRC(mt76_tx_status_lock, 0x10c55c2d, "_gpl");
SYMBOL_CRC(mt76_tx_status_unlock, 0xb5e433e4, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_done, 0xf0c83518, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_add, 0xa630ebd7, "_gpl");
SYMBOL_CRC(mt76_tx_status_skb_get, 0xb9610300, "_gpl");
SYMBOL_CRC(mt76_tx_status_check, 0xb96ebfc1, "_gpl");
SYMBOL_CRC(__mt76_tx_complete_skb, 0x79738707, "_gpl");
SYMBOL_CRC(mt76_tx, 0x7178ce8e, "_gpl");
SYMBOL_CRC(mt76_release_buffered_frames, 0x16713a8d, "_gpl");
SYMBOL_CRC(mt76_txq_schedule, 0x1e7837cf, "_gpl");
SYMBOL_CRC(mt76_txq_schedule_all, 0x1844b0f7, "_gpl");
SYMBOL_CRC(mt76_tx_worker_run, 0xba5ff159, "_gpl");
SYMBOL_CRC(mt76_stop_tx_queues, 0xfa56ad27, "_gpl");
SYMBOL_CRC(mt76_wake_tx_queue, 0xe6f51856, "_gpl");
SYMBOL_CRC(mt76_ac_to_hwq, 0xc6634315, "_gpl");
SYMBOL_CRC(mt76_skb_adjust_pad, 0x6e979132, "_gpl");
SYMBOL_CRC(mt76_queue_tx_complete, 0x4b81c9c9, "_gpl");
SYMBOL_CRC(__mt76_set_tx_blocked, 0x4c9f5b99, "_gpl");
SYMBOL_CRC(mt76_token_consume, 0x30f58725, "_gpl");
SYMBOL_CRC(mt76_rx_token_consume, 0x6069ee53, "_gpl");
SYMBOL_CRC(mt76_token_release, 0xe020ffb1, "_gpl");
SYMBOL_CRC(mt76_rx_token_release, 0x655c3690, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_start, 0x9077a321, "_gpl");
SYMBOL_CRC(mt76_rx_aggr_stop, 0x60b20b3b, "_gpl");
SYMBOL_CRC(__mt76_mcu_msg_alloc, 0x057c8f41, "_gpl");
SYMBOL_CRC(mt76_mcu_get_response, 0x685b96dc, "_gpl");
SYMBOL_CRC(mt76_mcu_rx_event, 0x6978191b, "_gpl");
SYMBOL_CRC(mt76_mcu_send_and_get_msg, 0x0ff2c8ee, "_gpl");
SYMBOL_CRC(mt76_mcu_skb_send_and_get_msg, 0xc8e66c7a, "_gpl");
SYMBOL_CRC(__mt76_mcu_send_firmware, 0x8fb13a72, "_gpl");
SYMBOL_CRC(mt76_wed_release_rx_buf, 0x2a310631, "_gpl");
SYMBOL_CRC(mt76_wed_offload_disable, 0xda4fd8c4, "_gpl");
SYMBOL_CRC(mt76_wed_reset_complete, 0x4958cfc1, "_gpl");
SYMBOL_CRC(mt76_wed_net_setup_tc, 0x62e3dc39, "_gpl");
SYMBOL_CRC(mt76_wed_dma_reset, 0x2cc3f886, "_gpl");
SYMBOL_CRC(mt76_pci_disable_aspm, 0x08498462, "_gpl");
SYMBOL_CRC(mt76_pci_aspm_supported, 0xd34bf9da, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x303e6d51, "ieee80211_tx_status_ext" },
	{ 0xfa924d4a, "debugfs_create_blob" },
	{ 0x9eec5d0c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0xf95322f4, "kthread_parkme" },
	{ 0xebbaa92b, "page_pool_destroy" },
	{ 0x939fb68b, "ieee80211_register_hw" },
	{ 0x3d352054, "led_classdev_unregister" },
	{ 0x55324575, "__ieee80211_create_tpt_led_trigger" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x5b67576f, "ieee80211_sta_eosp" },
	{ 0xd1d11bff, "ieee80211_get_hdrlen_from_skb" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4aa492fe, "__netif_napi_del" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xafadde49, "kthread_park" },
	{ 0x3f72a102, "sched_set_fifo_low" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x79defbe1, "kthread_should_park" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd8def94b, "wake_up_process" },
	{ 0xd5fda699, "dev_driver_string" },
	{ 0x6e97ec1, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x68e28690, "dma_map_page_attrs" },
	{ 0xf6084620, "napi_complete_done" },
	{ 0xe76032bc, "ieee80211_get_tx_rates" },
	{ 0xf6060c12, "ieee80211_send_bar" },
	{ 0xfdff2e34, "cfg80211_reg_check_beaconing" },
	{ 0xaeb9a917, "ieee80211_get_key_rx_seq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x1569940e, "ieee80211_sta_uapsd_trigger" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x71293531, "debugfs_create_devm_seqfile" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f553031, "__alloc_skb" },
	{ 0xc57c48a3, "idr_get_next" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0xed6345f2, "pci_disable_link_state" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0x4823114b, "napi_gro_receive" },
	{ 0x23f1d7a6, "page_pool_ethtool_stats_get_count" },
	{ 0x126fd3de, "skb_queue_tail" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x73c90389, "page_pool_ethtool_stats_get" },
	{ 0x126b4124, "kthread_unpark" },
	{ 0xc623f909, "dev_set_threaded" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x7665a95b, "idr_remove" },
	{ 0x37453fd9, "debugfs_attr_read" },
	{ 0xa9a13e55, "__dma_sync_single_for_cpu" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xc2a03bb, "ieee80211_queue_delayed_work" },
	{ 0x3fdacede, "devm_kmemdup" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x611e5d3c, "perf_trace_run_bpf_submit" },
	{ 0x90f50aea, "_dev_err" },
	{ 0xc76ff36a, "debugfs_create_file_unsafe" },
	{ 0xb8f11603, "idr_alloc" },
	{ 0xed6c91f9, "simple_attr_release" },
	{ 0xdda26154, "ieee80211_calc_rx_airtime" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x358dee7b, "ieee80211_find_sta_by_ifaddr" },
	{ 0x8bb34dd9, "ieee80211_next_txq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4ccf2101, "pcie_capability_clear_and_set_word_locked" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbeb34e81, "skb_push" },
	{ 0x9afd5577, "napi_enable" },
	{ 0x13c0013, "ieee80211_beacon_cntdwn_is_complete" },
	{ 0xa37dd1ad, "seq_putc" },
	{ 0x1d304fe4, "trace_event_reg" },
	{ 0xc3858fb3, "ieee80211_sta_pspoll" },
	{ 0x1fe5da2b, "free_netdev" },
	{ 0x3801776b, "__ioread32_copy" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x72a2b046, "page_pool_put_unrefed_netmem" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x20884a64, "kthread_stop" },
	{ 0x9cb2dc36, "ieee80211_free_txskb" },
	{ 0xfcd03cfd, "led_classdev_register_ext" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xf3dd6859, "ieee80211_alloc_hw_nm" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x8e17b3ae, "idr_destroy" },
	{ 0xb8b9e4dc, "ieee80211_tx_dequeue" },
	{ 0x1498e125, "ieee80211_rx_list" },
	{ 0xfaad7b04, "page_pool_create" },
	{ 0xfb578fc5, "memset" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x69b18f43, "rfc1042_header" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe6ab955b, "debugfs_create_u32" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xed21fc61, "kthread_create_on_node" },
	{ 0x383e2a3e, "bpf_trace_run3" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x823d7f84, "alloc_netdev_dummy" },
	{ 0xa7a48e, "trace_event_buffer_reserve" },
	{ 0x11a8fb1, "ieee80211_iterate_active_interfaces_atomic" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2a1707a, "__dma_sync_single_for_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x63af1b06, "ieee80211_unregister_hw" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xca5ebe1c, "napi_build_skb" },
	{ 0x83eab0fb, "seq_write" },
	{ 0x6d5f5b91, "radix_tree_tagged" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66454354, "seq_printf" },
	{ 0x5584448a, "ieee80211_channel_to_freq_khz" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x5b97775c, "skb_add_rx_frag_netmem" },
	{ 0x48593770, "napi_disable" },
	{ 0x42c9a3f7, "ieee80211_sta_ps_transition" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xf8ffbcad, "debugfs_create_u8" },
	{ 0x9eecd57c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0xd9eb2768, "ieee80211_csa_finish" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x4ae8caa7, "ieee80211_sta_register_airtime" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x6040d505, "pcie_capability_read_word" },
	{ 0xd3662c62, "__skb_pad" },
	{ 0xdf07e678, "page_pool_get_stats" },
	{ 0x7bad74cf, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xa28f9f6d, "__ieee80211_schedule_txq" },
	{ 0xeebf3796, "debugfs_attr_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd31a1296, "devm_kmalloc" },
	{ 0xfbd7c139, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xacd2668a, "page_pool_alloc_frag" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4a4ffdbe, "consume_skb" },
	{ 0xb0e602eb, "memmove" },
	{ 0x120e5a8b, "netif_napi_add_weight" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc1216f, "dmam_alloc_attrs" },
	{ 0x2a4b131e, "trace_raw_output_prep" },
	{ 0x6b8bf149, "netif_receive_skb_list" },
	{ 0x5112dfdd, "skb_dequeue" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2a11073e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5c52d96, "ieee80211_free_hw" },
	{ 0x5301722c, "dma_unmap_page_attrs" },
	{ 0x9693fee9, "ieee80211_txq_schedule_start" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x3b0be8d6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "mac80211,cfg80211");


MODULE_INFO(srcversion, "CE1002A7804DE6A8F53119C");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
