#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tpmi_sst_dev_add, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_dev_remove, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_dev_suspend, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_dev_resume, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_init, "_gpl", "INTEL_TPMI_SST");
KSYMTAB_FUNC(tpmi_sst_exit, "_gpl", "INTEL_TPMI_SST");

SYMBOL_CRC(tpmi_sst_dev_add, 0xb58b2228, "_gpl");
SYMBOL_CRC(tpmi_sst_dev_remove, 0x00d0cec0, "_gpl");
SYMBOL_CRC(tpmi_sst_dev_suspend, 0xba05c72e, "_gpl");
SYMBOL_CRC(tpmi_sst_dev_resume, 0x478c2e81, "_gpl");
SYMBOL_CRC(tpmi_sst_init, 0x45083054, "_gpl");
SYMBOL_CRC(tpmi_sst_exit, 0x98bbc7d5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x461f5468, "tpmi_get_platform_data" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x7d628444, "memcpy_fromio" },
	{ 0xb9e7429c, "memcpy_toio" },
	{ 0xe18f42a5, "isst_if_cdev_unregister" },
	{ 0x39081193, "__max_logical_packages" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x2b752f0a, "isst_if_cdev_register" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x6dc67b7c, "tpmi_get_feature_status" },
	{ 0xea050d99, "tpmi_get_resource_count" },
	{ 0xd31a1296, "devm_kmalloc" },
	{ 0x93d53aed, "tpmi_get_resource_at_index" },
	{ 0x9e71825d, "devm_ioremap_resource" },
	{ 0x368606ef, "devm_iounmap" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0x90f50aea, "_dev_err" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x6ec446c, "pv_ops" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0xf9a482f9, "msleep" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "intel_vsec_tpmi,isst_if_common");


MODULE_INFO(srcversion, "5C4C0278C24E6F37E83CC0E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
