#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xb995a8f4, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0xefc18d75, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x2c9978bf, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0x660535ba, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x3394f17e, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x12094fe6, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0xa92b02be, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x8c147e2a, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0xc29d493b, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0xb7e15e51, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x11ec3b6b, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x0d3d1560, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xdf201f18, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x0a9c6327, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x1ee8b399, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x5d1035c9, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x0a56f4b5, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x9d766f15, "iscsi_dbg_trace" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4b43ac46, "_dev_printk" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x7a12263, "crypto_ahash_digest" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x657964c4, "crypto_ahash_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x6dcbfa5a, "iscsi_prep_data_out_pdu" },
	{ 0x6a35d16b, "iscsi_put_task" },
	{ 0x19cd35ae, "iscsi_conn_failure" },
	{ 0x51b6a39d, "iscsi_conn_setup" },
	{ 0xc776c61c, "iscsi_conn_teardown" },
	{ 0x139f2189, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0x71c058f0, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xa8c4b5e1, "__SCT__tp_func_iscsi_dbg_tcp" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x110bc62, "crypto_ahash_update" },
	{ 0x3a47374f, "crypto_ahash_final" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xdb645bba, "skb_prepare_seq_read" },
	{ 0x5af5550, "skb_seq_read" },
	{ 0x69acdf38, "memcpy" },
	{ 0x34f7598c, "skb_abort_seq_read" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x4860f9d7, "iscsi_complete_pdu" },
	{ 0xe691aeaf, "iscsi_verify_itt" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x8efb9c67, "iscsi_itt_to_ctask" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x71bdbcbd, "iscsi_get_task" },
	{ 0x801ea5d6, "iscsi_update_cmdsn" },
	{ 0xd3b85da8, "__iscsi_complete_pdu" },
	{ 0x2a9c3153, "iscsi_requeue_task" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0xe2b6c21e, "__SCK__tp_func_iscsi_dbg_tcp" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "2064390599C28F50820AC03");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
