#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sas_remove_children, "", "");
KSYMTAB_FUNC(sas_remove_host, "", "");
KSYMTAB_FUNC(sas_get_address, "", "");
KSYMTAB_FUNC(sas_tlr_supported, "_gpl", "");
KSYMTAB_FUNC(sas_disable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_enable_tlr, "_gpl", "");
KSYMTAB_FUNC(sas_is_tlr_enabled, "_gpl", "");
KSYMTAB_FUNC(sas_ata_ncq_prio_supported, "_gpl", "");
KSYMTAB_FUNC(sas_phy_alloc, "", "");
KSYMTAB_FUNC(sas_phy_add, "", "");
KSYMTAB_FUNC(sas_phy_free, "", "");
KSYMTAB_FUNC(sas_phy_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_phy, "", "");
KSYMTAB_FUNC(sas_port_alloc, "", "");
KSYMTAB_FUNC(sas_port_alloc_num, "", "");
KSYMTAB_FUNC(sas_port_add, "", "");
KSYMTAB_FUNC(sas_port_free, "", "");
KSYMTAB_FUNC(sas_port_delete, "", "");
KSYMTAB_FUNC(scsi_is_sas_port, "", "");
KSYMTAB_FUNC(sas_port_get_phy, "", "");
KSYMTAB_FUNC(sas_port_add_phy, "", "");
KSYMTAB_FUNC(sas_port_delete_phy, "", "");
KSYMTAB_FUNC(sas_port_mark_backlink, "", "");
KSYMTAB_FUNC(sas_read_port_mode_page, "", "");
KSYMTAB_FUNC(sas_end_device_alloc, "", "");
KSYMTAB_FUNC(sas_expander_alloc, "", "");
KSYMTAB_FUNC(sas_rphy_add, "", "");
KSYMTAB_FUNC(sas_rphy_free, "", "");
KSYMTAB_FUNC(sas_rphy_delete, "", "");
KSYMTAB_FUNC(sas_rphy_unlink, "", "");
KSYMTAB_FUNC(sas_rphy_remove, "", "");
KSYMTAB_FUNC(scsi_is_sas_rphy, "", "");
KSYMTAB_FUNC(sas_attach_transport, "", "");
KSYMTAB_FUNC(sas_release_transport, "", "");

SYMBOL_CRC(sas_remove_children, 0x4497c1de, "");
SYMBOL_CRC(sas_remove_host, 0x16663a10, "");
SYMBOL_CRC(sas_get_address, 0x3546a331, "");
SYMBOL_CRC(sas_tlr_supported, 0x03f95d03, "_gpl");
SYMBOL_CRC(sas_disable_tlr, 0xac6f8160, "_gpl");
SYMBOL_CRC(sas_enable_tlr, 0xd14eec63, "_gpl");
SYMBOL_CRC(sas_is_tlr_enabled, 0xea71bb6c, "_gpl");
SYMBOL_CRC(sas_ata_ncq_prio_supported, 0x80cdc4fd, "_gpl");
SYMBOL_CRC(sas_phy_alloc, 0x85d0b137, "");
SYMBOL_CRC(sas_phy_add, 0x79e87072, "");
SYMBOL_CRC(sas_phy_free, 0x38839400, "");
SYMBOL_CRC(sas_phy_delete, 0x45d44f01, "");
SYMBOL_CRC(scsi_is_sas_phy, 0x46e8e149, "");
SYMBOL_CRC(sas_port_alloc, 0x7b13b863, "");
SYMBOL_CRC(sas_port_alloc_num, 0x83c6a908, "");
SYMBOL_CRC(sas_port_add, 0xc634738a, "");
SYMBOL_CRC(sas_port_free, 0xac535d37, "");
SYMBOL_CRC(sas_port_delete, 0x2f6548c0, "");
SYMBOL_CRC(scsi_is_sas_port, 0x214ea4ea, "");
SYMBOL_CRC(sas_port_get_phy, 0x7019e112, "");
SYMBOL_CRC(sas_port_add_phy, 0x08970208, "");
SYMBOL_CRC(sas_port_delete_phy, 0x22062d95, "");
SYMBOL_CRC(sas_port_mark_backlink, 0x37c0e93f, "");
SYMBOL_CRC(sas_read_port_mode_page, 0x429fcea4, "");
SYMBOL_CRC(sas_end_device_alloc, 0xd197a894, "");
SYMBOL_CRC(sas_expander_alloc, 0xbbf1031b, "");
SYMBOL_CRC(sas_rphy_add, 0xb3927c4d, "");
SYMBOL_CRC(sas_rphy_free, 0x4dcc6c53, "");
SYMBOL_CRC(sas_rphy_delete, 0xb4530870, "");
SYMBOL_CRC(sas_rphy_unlink, 0x68ebd80b, "");
SYMBOL_CRC(sas_rphy_remove, 0x42b523dd, "");
SYMBOL_CRC(scsi_is_sas_rphy, 0xc3bf3ee7, "");
SYMBOL_CRC(sas_attach_transport, 0x17675b2b, "");
SYMBOL_CRC(sas_release_transport, 0x7d2dce08, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x80b0f7cb, "attribute_container_register" },
	{ 0xa932115d, "scsi_get_vpd_page" },
	{ 0x5f8f4794, "scsi_mode_sense" },
	{ 0x490fd78d, "attribute_container_unregister" },
	{ 0x34cccd31, "scsi_remove_host" },
	{ 0xe65a0652, "bsg_remove_queue" },
	{ 0xdb02ab3b, "scsi_remove_target" },
	{ 0x2744601c, "scsi_is_host_device" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf88f9ee3, "_dev_warn" },
	{ 0xbea1dac7, "bsg_job_done" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xfff9fec1, "dma_opt_mapping_size" },
	{ 0x28aaef01, "device_initialize" },
	{ 0x5cdfc4f2, "dev_set_name" },
	{ 0x3c14f393, "transport_setup_device" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe7fc7ef5, "device_for_each_child" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe2d187d9, "put_device" },
	{ 0x37a0cba, "kfree" },
	{ 0xd8c270ba, "device_add" },
	{ 0x4a8db463, "transport_add_device" },
	{ 0x7e719248, "transport_configure_device" },
	{ 0x9076d124, "device_del" },
	{ 0x47f9369f, "transport_destroy_device" },
	{ 0x21b5973e, "transport_remove_device" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x7f25d639, "get_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc5e80020, "sysfs_remove_link" },
	{ 0x5a50b0fc, "sysfs_create_link" },
	{ 0x92997ed8, "_printk" },
	{ 0x4b43ac46, "_dev_printk" },
	{ 0x5d371c9a, "scsi_scan_target" },
	{ 0xa6822be3, "bsg_setup_queue" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x754d539c, "strlen" },
	{ 0x5a921311, "strncmp" },
	{ 0xc54cd64e, "transport_class_register" },
	{ 0x1eb8e9bf, "transport_class_unregister" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "3109B07A74B7470B8C8BE31");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
