#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sdw_amd_probe, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_exit, "", "SOUNDWIRE_AMD_INIT");
KSYMTAB_FUNC(sdw_amd_get_slave_info, "", "SOUNDWIRE_AMD_INIT");

SYMBOL_CRC(sdw_amd_probe, 0xbeebecec, "");
SYMBOL_CRC(sdw_amd_exit, 0x70ab726d, "");
SYMBOL_CRC(sdw_amd_get_slave_info, 0xecbfac76, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x97efab65, "sdw_stream_remove_master" },
	{ 0x90f50aea, "_dev_err" },
	{ 0x738d316d, "platform_device_unregister" },
	{ 0xb5eb9e16, "platform_get_resource" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xbcf10131, "__platform_driver_register" },
	{ 0xa0c1e469, "devm_kasprintf" },
	{ 0x65e2a674, "sdw_stream_add_master" },
	{ 0xfd2b5960, "platform_device_register_full" },
	{ 0x1c6c04bc, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x62bb6c0f, "acpi_fetch_acpi_dev" },
	{ 0xd6e69ef8, "device_get_named_child_node" },
	{ 0x60e31fbb, "sdw_find_col_index" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x1546da97, "sdw_bus_master_delete" },
	{ 0x8a047996, "__pm_runtime_use_autosuspend" },
	{ 0x418a1f22, "__pm_runtime_disable" },
	{ 0x9f16e00f, "sdw_compute_slave_ports" },
	{ 0xfb8bc8c1, "sdw_bus_exit_clk_stop" },
	{ 0x824ef313, "sdw_master_read_prop" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0xd0ff4cd0, "sdw_bus_prep_clk_stop" },
	{ 0xd31a1296, "devm_kmalloc" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x645de8fd, "platform_driver_unregister" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x569660f9, "sdw_bus_clk_stop" },
	{ 0x97af1219, "pm_runtime_set_autosuspend_delay" },
	{ 0x8cf0e633, "sdw_bus_master_add" },
	{ 0x2e8382f0, "devm_ioremap" },
	{ 0x37a0cba, "kfree" },
	{ 0x1deee061, "sdw_find_row_index" },
	{ 0xe7fc7ef5, "device_for_each_child" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x42f494cf, "sdw_handle_slave_status" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4e5d8063, "__pm_runtime_set_status" },
	{ 0x7d1d4a3, "devm_snd_soc_register_component" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc21b200e, "pm_runtime_enable" },
	{ 0x82916bb5, "fwnode_property_read_u32_array" },
	{ 0x7889fb3, "sdw_clear_slave_status" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "soundwire-bus,soundwire-generic-allocation,snd-pcm,snd-soc-core");


MODULE_INFO(srcversion, "A392ED44413154FEEC17F41");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
