#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(typec_altmode_update_active, "_gpl", "");
KSYMTAB_FUNC(typec_altmode2port, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_set_ops, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_pd_revision, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_partner_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_partner_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_partner_usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(typec_register_partner, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_partner, "_gpl", "");
KSYMTAB_FUNC(typec_plug_set_num_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_plug_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_register_plug, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_plug, "_gpl", "");
KSYMTAB_FUNC(typec_cable_get, "_gpl", "");
KSYMTAB_FUNC(typec_cable_put, "_gpl", "");
KSYMTAB_FUNC(typec_cable_is_active, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_identity, "_gpl", "");
KSYMTAB_FUNC(typec_register_cable, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_cable, "_gpl", "");
KSYMTAB_FUNC(typec_port_set_usb_power_delivery, "_gpl", "");
KSYMTAB_FUNC(typec_set_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_vconn_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_pwr_opmode, "_gpl", "");
KSYMTAB_FUNC(typec_find_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_power_role, "_gpl", "");
KSYMTAB_FUNC(typec_find_port_data_role, "_gpl", "");
KSYMTAB_FUNC(typec_set_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_get_orientation, "_gpl", "");
KSYMTAB_FUNC(typec_set_mode, "_gpl", "");
KSYMTAB_FUNC(typec_get_negotiated_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_cable_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_cable_set_svdm_version, "_gpl", "");
KSYMTAB_FUNC(typec_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_get_fw_cap, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmode, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_altmodes, "_gpl", "");
KSYMTAB_FUNC(typec_port_register_cable_ops, "_gpl", "");
KSYMTAB_FUNC(typec_register_port, "_gpl", "");
KSYMTAB_FUNC(typec_unregister_port, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_switch_get, "_gpl", "");
KSYMTAB_FUNC(typec_switch_put, "_gpl", "");
KSYMTAB_FUNC(typec_switch_register, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set, "_gpl", "");
KSYMTAB_FUNC(typec_switch_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_switch_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_switch_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_mux_get, "_gpl", "");
KSYMTAB_FUNC(typec_mux_put, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set, "_gpl", "");
KSYMTAB_FUNC(typec_mux_register, "_gpl", "");
KSYMTAB_FUNC(typec_mux_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_mux_set_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_mux_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_notify, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_attention, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_partner, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_enter, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_exit, "_gpl", "");
KSYMTAB_FUNC(typec_cable_altmode_vdm, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_get_plug, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_put_plug, "_gpl", "");
KSYMTAB_FUNC(__typec_altmode_register_driver, "_gpl", "");
KSYMTAB_FUNC(typec_altmode_unregister_driver, "_gpl", "");
KSYMTAB_FUNC(typec_match_altmode, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister_capabilities, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_register, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unregister, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_link_device, "_gpl", "");
KSYMTAB_FUNC(usb_power_delivery_unlink_device, "_gpl", "");
KSYMTAB_FUNC(fwnode_typec_retimer_get, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_put, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_set, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_register, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_unregister, "_gpl", "");
KSYMTAB_FUNC(typec_retimer_get_drvdata, "_gpl", "");

SYMBOL_CRC(typec_altmode_update_active, 0x7e3f3f2e, "_gpl");
SYMBOL_CRC(typec_altmode2port, 0xbc73b655, "_gpl");
SYMBOL_CRC(typec_altmode_set_ops, 0xcac835e9, "_gpl");
SYMBOL_CRC(typec_unregister_altmode, 0xd245325d, "_gpl");
SYMBOL_CRC(typec_partner_set_identity, 0x85265e20, "_gpl");
SYMBOL_CRC(typec_partner_set_pd_revision, 0x6cb015aa, "_gpl");
SYMBOL_CRC(typec_partner_set_usb_power_delivery, 0x2a98c591, "_gpl");
SYMBOL_CRC(typec_partner_set_num_altmodes, 0x34d6bd0d, "_gpl");
SYMBOL_CRC(typec_partner_register_altmode, 0x5ad090a9, "_gpl");
SYMBOL_CRC(typec_partner_set_svdm_version, 0xbe3329a7, "_gpl");
SYMBOL_CRC(typec_partner_usb_power_delivery_register, 0xbbb517eb, "_gpl");
SYMBOL_CRC(typec_register_partner, 0xb3a3cb8e, "_gpl");
SYMBOL_CRC(typec_unregister_partner, 0xebc4f604, "_gpl");
SYMBOL_CRC(typec_plug_set_num_altmodes, 0xf6d34664, "_gpl");
SYMBOL_CRC(typec_plug_register_altmode, 0x2977ff20, "_gpl");
SYMBOL_CRC(typec_register_plug, 0x84bc49a0, "_gpl");
SYMBOL_CRC(typec_unregister_plug, 0x248e1b82, "_gpl");
SYMBOL_CRC(typec_cable_get, 0xf518455b, "_gpl");
SYMBOL_CRC(typec_cable_put, 0xbf7cdeb0, "_gpl");
SYMBOL_CRC(typec_cable_is_active, 0x65651193, "_gpl");
SYMBOL_CRC(typec_cable_set_identity, 0x0fa7807c, "_gpl");
SYMBOL_CRC(typec_register_cable, 0xb8a7a9ea, "_gpl");
SYMBOL_CRC(typec_unregister_cable, 0x26fb18c9, "_gpl");
SYMBOL_CRC(typec_port_set_usb_power_delivery, 0x38c29f92, "_gpl");
SYMBOL_CRC(typec_set_data_role, 0xda8d0df7, "_gpl");
SYMBOL_CRC(typec_set_pwr_role, 0xbe17dfdf, "_gpl");
SYMBOL_CRC(typec_set_vconn_role, 0x5fbe4245, "_gpl");
SYMBOL_CRC(typec_set_pwr_opmode, 0x2273ec75, "_gpl");
SYMBOL_CRC(typec_find_pwr_opmode, 0xf1234a8b, "_gpl");
SYMBOL_CRC(typec_find_orientation, 0xa254de98, "_gpl");
SYMBOL_CRC(typec_find_port_power_role, 0xeafc1eb8, "_gpl");
SYMBOL_CRC(typec_find_power_role, 0x2d1e301d, "_gpl");
SYMBOL_CRC(typec_find_port_data_role, 0x9049491e, "_gpl");
SYMBOL_CRC(typec_set_orientation, 0x825731fd, "_gpl");
SYMBOL_CRC(typec_get_orientation, 0x312890a5, "_gpl");
SYMBOL_CRC(typec_set_mode, 0x9eb3332b, "_gpl");
SYMBOL_CRC(typec_get_negotiated_svdm_version, 0x479c03cd, "_gpl");
SYMBOL_CRC(typec_get_cable_svdm_version, 0x67164245, "_gpl");
SYMBOL_CRC(typec_cable_set_svdm_version, 0x53bf7834, "_gpl");
SYMBOL_CRC(typec_get_drvdata, 0x99818147, "_gpl");
SYMBOL_CRC(typec_get_fw_cap, 0x0822ce15, "_gpl");
SYMBOL_CRC(typec_port_register_altmode, 0x01589781, "_gpl");
SYMBOL_CRC(typec_port_register_altmodes, 0x915459b7, "_gpl");
SYMBOL_CRC(typec_port_register_cable_ops, 0xe1b60bf7, "_gpl");
SYMBOL_CRC(typec_register_port, 0x23fb7165, "_gpl");
SYMBOL_CRC(typec_unregister_port, 0xbb9cde74, "_gpl");
SYMBOL_CRC(fwnode_typec_switch_get, 0x2ab54908, "_gpl");
SYMBOL_CRC(typec_switch_put, 0x86521d45, "_gpl");
SYMBOL_CRC(typec_switch_register, 0x7075cf0b, "_gpl");
SYMBOL_CRC(typec_switch_set, 0xd2fa1286, "_gpl");
SYMBOL_CRC(typec_switch_unregister, 0x05a46892, "_gpl");
SYMBOL_CRC(typec_switch_set_drvdata, 0xf85fb896, "_gpl");
SYMBOL_CRC(typec_switch_get_drvdata, 0x0bc02093, "_gpl");
SYMBOL_CRC(fwnode_typec_mux_get, 0x765c9ded, "_gpl");
SYMBOL_CRC(typec_mux_put, 0xfc8df340, "_gpl");
SYMBOL_CRC(typec_mux_set, 0x6b3d9465, "_gpl");
SYMBOL_CRC(typec_mux_register, 0x550e18fb, "_gpl");
SYMBOL_CRC(typec_mux_unregister, 0xdef7436a, "_gpl");
SYMBOL_CRC(typec_mux_set_drvdata, 0x79dce498, "_gpl");
SYMBOL_CRC(typec_mux_get_drvdata, 0x1177ec30, "_gpl");
SYMBOL_CRC(typec_altmode_notify, 0xf27e4c95, "_gpl");
SYMBOL_CRC(typec_altmode_enter, 0xc801df7b, "_gpl");
SYMBOL_CRC(typec_altmode_exit, 0x0341b479, "_gpl");
SYMBOL_CRC(typec_altmode_attention, 0xde727047, "_gpl");
SYMBOL_CRC(typec_altmode_vdm, 0x999ceb42, "_gpl");
SYMBOL_CRC(typec_altmode_get_partner, 0x0ad7d859, "_gpl");
SYMBOL_CRC(typec_cable_altmode_enter, 0x1a0309d0, "_gpl");
SYMBOL_CRC(typec_cable_altmode_exit, 0x7610bb03, "_gpl");
SYMBOL_CRC(typec_cable_altmode_vdm, 0xc0bcd598, "_gpl");
SYMBOL_CRC(typec_altmode_get_plug, 0x6b137c1f, "_gpl");
SYMBOL_CRC(typec_altmode_put_plug, 0x42faa04d, "_gpl");
SYMBOL_CRC(__typec_altmode_register_driver, 0xff181c24, "_gpl");
SYMBOL_CRC(typec_altmode_unregister_driver, 0x78b55218, "_gpl");
SYMBOL_CRC(typec_match_altmode, 0x1a6939c5, "_gpl");
SYMBOL_CRC(usb_power_delivery_register_capabilities, 0x7dbb5a81, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister_capabilities, 0x69401838, "_gpl");
SYMBOL_CRC(usb_power_delivery_register, 0x055fc534, "_gpl");
SYMBOL_CRC(usb_power_delivery_unregister, 0x0147681a, "_gpl");
SYMBOL_CRC(usb_power_delivery_link_device, 0xefee0708, "_gpl");
SYMBOL_CRC(usb_power_delivery_unlink_device, 0xa61cdb35, "_gpl");
SYMBOL_CRC(fwnode_typec_retimer_get, 0x4c5f103a, "_gpl");
SYMBOL_CRC(typec_retimer_put, 0xc69c43c6, "_gpl");
SYMBOL_CRC(typec_retimer_set, 0xad172eb3, "_gpl");
SYMBOL_CRC(typec_retimer_register, 0xbc3b9051, "_gpl");
SYMBOL_CRC(typec_retimer_unregister, 0x650086d3, "_gpl");
SYMBOL_CRC(typec_retimer_get_drvdata, 0xcf1a23b7, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4dffca8b, "class_unregister" },
	{ 0x2e0c038f, "device_find_child" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x267d620b, "device_register" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xf88f9ee3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xfb384d37, "kasprintf" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x2b1e5a4f, "fwnode_property_read_string" },
	{ 0x73bdbb06, "fwnode_property_present" },
	{ 0x5c67a9ff, "component_master_del" },
	{ 0x685d087a, "component_match_add_release" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd6e69ef8, "device_get_named_child_node" },
	{ 0xfcbaaa60, "component_bind_all" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x87f72329, "device_match_name" },
	{ 0x2b8284d4, "kobject_uevent" },
	{ 0x29b2bad9, "fwnode_connection_find_matches" },
	{ 0x81188c30, "match_string" },
	{ 0xfd1a316c, "component_unbind_all" },
	{ 0xdb7782b1, "driver_register" },
	{ 0xb307c89e, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xba27fafb, "__dev_fwnode" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x33e57069, "bus_register" },
	{ 0x532e84d7, "class_find_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xe7a02573, "ida_alloc_range" },
	{ 0xc5aaf695, "try_module_get" },
	{ 0x3fa60d73, "is_acpi_device_node" },
	{ 0xa7d5f92e, "ida_destroy" },
	{ 0x5cdfc4f2, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xbb5970d7, "component_master_add_with_match" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xe770afa6, "device_unregister" },
	{ 0xeefb834e, "acpi_bus_for_each_dev" },
	{ 0x28aaef01, "device_initialize" },
	{ 0x37a0cba, "kfree" },
	{ 0x52ebeaa2, "fwnode_connection_find_match" },
	{ 0xa6ea9b63, "fwnode_get_next_child_node" },
	{ 0xe7fc7ef5, "device_for_each_child" },
	{ 0x7f25d639, "get_device" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x39b84407, "sysfs_notify" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xc5168290, "device_match_fwnode" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe2d187d9, "put_device" },
	{ 0x82916bb5, "fwnode_property_read_u32_array" },
	{ 0x968b9681, "module_put" },
	{ 0x5a50b0fc, "sysfs_create_link" },
	{ 0xeb3b283b, "fwnode_get_name" },
	{ 0x7cc51a98, "kobject_uevent_env" },
	{ 0xfaaa0d69, "sysfs_update_group" },
	{ 0xf846052d, "bus_unregister" },
	{ 0x90f50aea, "_dev_err" },
	{ 0xd8c270ba, "device_add" },
	{ 0xc5e80020, "sysfs_remove_link" },
	{ 0x5f46a46c, "fwnode_property_read_u16_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xffb7c514, "ida_free" },
	{ 0xbb05ce9, "driver_unregister" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "897EBDBBCEABF74AEABE776");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
