#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcb3e1890, "inode_newsize_ok" },
	{ 0x1601c8df, "d_drop" },
	{ 0x8688c17c, "unlock_new_inode" },
	{ 0x92997ed8, "_printk" },
	{ 0x4ea570ac, "block_invalidate_folio" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x49391bd5, "crypto_skcipher_decrypt" },
	{ 0xde4a9435, "truncate_inode_pages_final" },
	{ 0x513b51b2, "fs_kobj" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xeeae3e8, "key_type_encrypted" },
	{ 0xe11b524c, "generic_file_mmap" },
	{ 0xa916b694, "strnlen" },
	{ 0x9f5caa41, "__filemap_get_folio" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0xe41c46a2, "__free_pages" },
	{ 0xcfc9deaf, "atomic_dec_and_mutex_lock" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75f780d1, "inode_init_once" },
	{ 0x5518772a, "file_write_and_wait_range" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xf3195513, "key_put" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xb6499687, "vfs_get_link" },
	{ 0xe87b165a, "fput" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa8e458b, "crypto_req_done" },
	{ 0xce807a25, "up_write" },
	{ 0xe8e8cc6b, "generic_file_read_iter" },
	{ 0x6ce41696, "unlock_page" },
	{ 0xc6c1dc42, "noop_llseek" },
	{ 0xdb181e59, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x42b5ad9c, "kmem_cache_alloc_lru_noprof" },
	{ 0x1cfb45d7, "lock_rename" },
	{ 0xc49ef6dc, "kmem_cache_free" },
	{ 0x715a5ed0, "vprintk" },
	{ 0x64f4b5fa, "__vfs_setxattr_locked" },
	{ 0x5a921311, "strncmp" },
	{ 0x364c23ad, "mutex_is_locked" },
	{ 0xa8f18ab3, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xa0e57bc1, "__vfs_setxattr" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x48cc082e, "sget" },
	{ 0x778a6a6f, "sysfs_create_group" },
	{ 0x430d8bc0, "__put_devmap_managed_folio_refs" },
	{ 0x20884a64, "kthread_stop" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8e4225d2, "block_dirty_folio" },
	{ 0x54cee657, "from_kuid" },
	{ 0xfb578fc5, "memset" },
	{ 0x1e61231e, "kern_path" },
	{ 0xc71151fc, "vfs_set_acl" },
	{ 0x184df9f5, "misc_register" },
	{ 0x433184f, "kernel_read" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x87a3b16f, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x48433d84, "key_validate" },
	{ 0x95829d0f, "__kmem_cache_create_args" },
	{ 0xbd635a12, "unlock_rename" },
	{ 0x483dc1b2, "vfs_rmdir" },
	{ 0x6f262eb6, "kobject_create_and_add" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0xc9c4abdb, "truncate_setsize" },
	{ 0xed21fc61, "kthread_create_on_node" },
	{ 0x2bb7c0b0, "sysfs_remove_group" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xa45a077, "vfs_symlink" },
	{ 0xdcd09f66, "super_setup_bdi" },
	{ 0x4096975f, "igrab" },
	{ 0xbb032e1f, "generic_read_dir" },
	{ 0xc615631f, "d_instantiate_new" },
	{ 0x2ccb144b, "d_add" },
	{ 0xa6e44f79, "vfs_fsync" },
	{ 0x85df9b6c, "strsep" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0xc75e6f60, "vfs_mknod" },
	{ 0xeffe66c2, "init_user_ns" },
	{ 0xa1baee1d, "dentry_open" },
	{ 0x3ce857f3, "request_key_tag" },
	{ 0x44e9a829, "match_token" },
	{ 0xdc1d3f03, "__folio_put" },
	{ 0x3d7533a0, "vfs_fileattr_set" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66454354, "seq_printf" },
	{ 0xfeab5338, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0x5bb7730, "deactivate_locked_super" },
	{ 0x499413de, "touch_atime" },
	{ 0x68598ca0, "lookup_one_len_unlocked" },
	{ 0x2491ac3e, "vfs_llseek" },
	{ 0x948d21e0, "alloc_pages_noprof" },
	{ 0xce496041, "__folio_lock" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x887571a5, "filemap_splice_read" },
	{ 0xce23163d, "vfs_link" },
	{ 0xb8b043f2, "kfree_link" },
	{ 0xeb5817d5, "key_type_user" },
	{ 0x68b62329, "kill_anon_super" },
	{ 0xe5383c91, "vfs_getattr_nosec" },
	{ 0x2dad8de7, "iget5_locked" },
	{ 0xdf7fa7ad, "filemap_write_and_wait_range" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x295415e, "bmap" },
	{ 0x754d539c, "strlen" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0xc27d7f8b, "inode_permission" },
	{ 0x145532a, "mntget" },
	{ 0x87734d91, "crypto_alloc_shash" },
	{ 0x25e8c87f, "__mark_inode_dirty" },
	{ 0xa82b91e3, "generic_file_llseek" },
	{ 0x467c7914, "make_bad_inode" },
	{ 0xc110b599, "vfs_get_acl" },
	{ 0x4ebc0c15, "set_anon_super" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xb7e40ce1, "fsstack_copy_inode_size" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x8580f8b, "iget_failed" },
	{ 0x839ebc21, "kernel_write" },
	{ 0x3e3623c4, "kmem_cache_destroy" },
	{ 0x327d8d22, "kobject_put" },
	{ 0x26c97bba, "vfs_create" },
	{ 0xacba5252, "crypto_alloc_skcipher" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x33a9e90b, "crypto_skcipher_encrypt" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x1bcab705, "generic_fillattr" },
	{ 0x3fbd34be, "setattr_prepare" },
	{ 0xf4008ea1, "clear_nlink" },
	{ 0xb8ecb3fd, "vfs_fileattr_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x87937b3b, "d_instantiate" },
	{ 0xe4806f1e, "misc_deregister" },
	{ 0x789d13cb, "clear_inode" },
	{ 0xb8a92156, "notify_change" },
	{ 0x9c3fa204, "param_ops_uint" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4ed74221, "vfs_getattr" },
	{ 0xfc227cf8, "vfs_rename" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x98294b0d, "folio_unlock" },
	{ 0x540fc1a0, "crypto_shash_tfm_digest" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xb742fd7, "simple_strtol" },
	{ 0x6a21f171, "init_special_inode" },
	{ 0x2285d67c, "unregister_filesystem" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x898e912, "iterate_dir" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x1dfaa40b, "d_make_root" },
	{ 0xabbf59ff, "d_splice_alias" },
	{ 0xb54b49b9, "param_ops_long" },
	{ 0x9e61bb05, "set_freezable" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xc89d38dd, "read_cache_page" },
	{ 0x54496b4, "schedule_timeout_interruptible" },
	{ 0x9613fe92, "iput" },
	{ 0xba8f12fd, "__vfs_getxattr" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0xe2964344, "__wake_up" },
	{ 0xea06097e, "generic_file_write_iter" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x97af58e4, "crypto_skcipher_setkey" },
	{ 0x3966232c, "fsstack_copy_attr_all" },
	{ 0xefef440c, "register_filesystem" },
	{ 0x361aeb3a, "vfs_unlink" },
	{ 0xe9666316, "path_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xd8def94b, "wake_up_process" },
	{ 0x426be403, "vfs_mkdir" },
	{ 0x7420ab79, "crypto_destroy_tfm" },
	{ 0x191128db, "__vfs_removexattr" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "DD0AB1D807F19F6104FC30E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
