#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(fat_search_long, "_gpl", "");
KSYMTAB_FUNC(fat_get_dotdot_entry, "_gpl", "");
KSYMTAB_FUNC(fat_dir_empty, "_gpl", "");
KSYMTAB_FUNC(fat_scan, "_gpl", "");
KSYMTAB_FUNC(fat_remove_entries, "_gpl", "");
KSYMTAB_FUNC(fat_alloc_new_dir, "_gpl", "");
KSYMTAB_FUNC(fat_add_entries, "_gpl", "");
KSYMTAB_FUNC(fat_free_clusters, "_gpl", "");
KSYMTAB_FUNC(fat_getattr, "_gpl", "");
KSYMTAB_FUNC(fat_setattr, "_gpl", "");
KSYMTAB_FUNC(fat_attach, "_gpl", "");
KSYMTAB_FUNC(fat_detach, "_gpl", "");
KSYMTAB_FUNC(fat_build_inode, "_gpl", "");
KSYMTAB_FUNC(fat_reconfigure, "_gpl", "");
KSYMTAB_FUNC(fat_sync_inode, "_gpl", "");
KSYMTAB_DATA(fat_param_spec, "_gpl", "");
KSYMTAB_FUNC(fat_parse_param, "_gpl", "");
KSYMTAB_FUNC(fat_fill_super, "_gpl", "");
KSYMTAB_FUNC(fat_flush_inodes, "_gpl", "");
KSYMTAB_FUNC(fat_init_fs_context, "_gpl", "");
KSYMTAB_FUNC(fat_free_fc, "_gpl", "");
KSYMTAB_FUNC(__fat_fs_error, "_gpl", "");
KSYMTAB_FUNC(fat_time_fat2unix, "_gpl", "");
KSYMTAB_FUNC(fat_time_unix2fat, "_gpl", "");
KSYMTAB_FUNC(fat_truncate_time, "_gpl", "");
KSYMTAB_FUNC(fat_update_time, "_gpl", "");

SYMBOL_CRC(fat_search_long, 0xfbaa561c, "_gpl");
SYMBOL_CRC(fat_get_dotdot_entry, 0xdf52dfd5, "_gpl");
SYMBOL_CRC(fat_dir_empty, 0x927bab4d, "_gpl");
SYMBOL_CRC(fat_scan, 0xe06daacc, "_gpl");
SYMBOL_CRC(fat_remove_entries, 0xc8adc91a, "_gpl");
SYMBOL_CRC(fat_alloc_new_dir, 0xe522c3ce, "_gpl");
SYMBOL_CRC(fat_add_entries, 0xe34dc58f, "_gpl");
SYMBOL_CRC(fat_free_clusters, 0xd7e3f121, "_gpl");
SYMBOL_CRC(fat_getattr, 0x9072871a, "_gpl");
SYMBOL_CRC(fat_setattr, 0x8b8828f6, "_gpl");
SYMBOL_CRC(fat_attach, 0x24f310f8, "_gpl");
SYMBOL_CRC(fat_detach, 0x9a5cd1fa, "_gpl");
SYMBOL_CRC(fat_build_inode, 0xfc245ac5, "_gpl");
SYMBOL_CRC(fat_reconfigure, 0xfcf598b8, "_gpl");
SYMBOL_CRC(fat_sync_inode, 0xceaabf92, "_gpl");
SYMBOL_CRC(fat_param_spec, 0x90ebf2a3, "_gpl");
SYMBOL_CRC(fat_parse_param, 0xc9508c7e, "_gpl");
SYMBOL_CRC(fat_fill_super, 0xc845dec2, "_gpl");
SYMBOL_CRC(fat_flush_inodes, 0xe3b03de6, "_gpl");
SYMBOL_CRC(fat_init_fs_context, 0x02a97e84, "_gpl");
SYMBOL_CRC(fat_free_fc, 0x56aca372, "_gpl");
SYMBOL_CRC(__fat_fs_error, 0xaf5392d2, "_gpl");
SYMBOL_CRC(fat_time_fat2unix, 0xc7f767fa, "_gpl");
SYMBOL_CRC(fat_time_unix2fat, 0xbccccb74, "_gpl");
SYMBOL_CRC(fat_truncate_time, 0x30ee6d19, "_gpl");
SYMBOL_CRC(fat_update_time, 0xa10973af, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4ea570ac, "block_invalidate_folio" },
	{ 0x8707be84, "__breadahead" },
	{ 0x65413c58, "generic_write_end" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3ccb75ca, "load_nls" },
	{ 0x8ec56b14, "generic_cont_expand_simple" },
	{ 0xde4a9435, "truncate_inode_pages_final" },
	{ 0xe11b524c, "generic_file_mmap" },
	{ 0xe8693bff, "sync_mapping_buffers" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0xef486189, "ilookup" },
	{ 0x172f68cf, "invalidate_inode_buffers" },
	{ 0xc53347e3, "blk_finish_plug" },
	{ 0xac0e0e20, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0x630547da, "mnt_drop_write_file" },
	{ 0x3fab6be5, "fs_param_is_gid" },
	{ 0x75f780d1, "inode_init_once" },
	{ 0xb0ac3dc2, "compat_ptr_ioctl" },
	{ 0x304bc180, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x38c33349, "__brelse" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0xe8e8cc6b, "generic_file_read_iter" },
	{ 0x39e3d58a, "inode_maybe_inc_iversion" },
	{ 0xb2776c2c, "truncate_pagecache" },
	{ 0xf4640c91, "sync_dirty_buffer" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xeacef866, "setattr_copy" },
	{ 0x9f38ae27, "__wait_on_buffer" },
	{ 0xdb181e59, "set_nlink" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc3aaf0a9, "__put_user_1" },
	{ 0x42b5ad9c, "kmem_cache_alloc_lru_noprof" },
	{ 0xc49ef6dc, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x5a921311, "strncmp" },
	{ 0xc4595d64, "mpage_writepages" },
	{ 0xf1e046cc, "panic" },
	{ 0x4a733c40, "from_vfsgid" },
	{ 0xdb3e357c, "write_inode_now" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xd921db7c, "d_obtain_alias" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x55eda7c0, "__bread_gfp" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x8e4225d2, "block_dirty_folio" },
	{ 0xe206e8aa, "mpage_read_folio" },
	{ 0xfb578fc5, "memset" },
	{ 0xb8e7ce2c, "__put_user_8" },
	{ 0x1bd9201d, "__insert_inode_hash" },
	{ 0x15d54ddf, "buffer_migrate_folio" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x87a3b16f, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x95829d0f, "__kmem_cache_create_args" },
	{ 0x402a23d3, "from_kgid_munged" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x668b19a1, "down_read" },
	{ 0xc9c4abdb, "truncate_setsize" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x9a204f2b, "generic_encode_ino32_fh" },
	{ 0xd36afe54, "unlock_buffer" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x4096975f, "igrab" },
	{ 0xbb032e1f, "generic_read_dir" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x550bf454, "mpage_readahead" },
	{ 0xefa37119, "filemap_fdatawait_range" },
	{ 0x3096be16, "names_cachep" },
	{ 0xeffe66c2, "init_user_ns" },
	{ 0x83eab0fb, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x66454354, "seq_printf" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x9f2ce0f5, "__lock_buffer" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x2278f629, "blkdev_issue_flush" },
	{ 0x1f0e53d5, "generic_fh_to_parent" },
	{ 0x772fa8fe, "__fs_parse" },
	{ 0x887571a5, "filemap_splice_read" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xe8da3277, "from_kuid_munged" },
	{ 0xcd9a7e8c, "__generic_file_fsync" },
	{ 0xd4c435d9, "d_parent_ino" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x25e8c87f, "__mark_inode_dirty" },
	{ 0xa82b91e3, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x75923179, "unload_nls" },
	{ 0x53b954a2, "up_read" },
	{ 0xaa1b041f, "mark_buffer_dirty_inode" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf082d4c, "sb_min_blocksize" },
	{ 0x7129e5f8, "hex_asc" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0xc5bbf4f1, "fs_param_is_uid" },
	{ 0x3e3623c4, "kmem_cache_destroy" },
	{ 0x1f4711f6, "blkdev_issue_discard" },
	{ 0x4379101c, "filemap_fdatawrite" },
	{ 0x1bcab705, "generic_fillattr" },
	{ 0x3fbd34be, "setattr_prepare" },
	{ 0xe692ec50, "generic_block_bmap" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x1abd189b, "sync_blockdev_nowait" },
	{ 0x99bade71, "make_vfsgid" },
	{ 0x5f680291, "blk_start_plug" },
	{ 0x789d13cb, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xbf682bec, "generic_fh_to_dentry" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xe19be4e5, "fs_param_is_string" },
	{ 0xc1b05df8, "new_inode" },
	{ 0x5d5da0e7, "mark_buffer_dirty" },
	{ 0xdbd7121c, "security_inode_setattr" },
	{ 0x538c312a, "__find_get_block" },
	{ 0x1c46f6d0, "filemap_fdatawrite_range" },
	{ 0x543d5e86, "inode_needs_sync" },
	{ 0x5a4896a8, "__put_user_2" },
	{ 0x9cdafda8, "__blockdev_direct_IO" },
	{ 0x1dfaa40b, "d_make_root" },
	{ 0x668bb4d7, "__bforget" },
	{ 0x9ca3a170, "sb_set_blocksize" },
	{ 0x48d5c88a, "block_truncate_page" },
	{ 0xf565a32b, "write_dirty_buffer" },
	{ 0xcb6a2f54, "sync_filesystem" },
	{ 0xa7144cc4, "fsnotify" },
	{ 0x15cc4413, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x58dd8559, "from_vfsuid" },
	{ 0x231d185c, "inode_dio_wait" },
	{ 0x978a24b7, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x70430e1d, "cont_write_begin" },
	{ 0x9613fe92, "iput" },
	{ 0x8617e10f, "fs_param_is_enum" },
	{ 0x6d1afa99, "fs_param_is_s32" },
	{ 0x700947aa, "iter_file_splice_write" },
	{ 0x84214d9d, "fs_param_is_bool" },
	{ 0xea06097e, "generic_file_write_iter" },
	{ 0xb363a70f, "sync_inode_metadata" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x882dabca, "make_vfsuid" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5e95b1cd, "current_umask" },
	{ 0x4871a545, "fs_param_is_u32" },
	{ 0xc861d4b0, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "3EB4BC9B3B21FDF6859C3EA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
