#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(dccp_feat_list_purge, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_nn_get, "_gpl", "");
KSYMTAB_FUNC(dccp_feat_signal_nn_change, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_established, "_gpl", "");
KSYMTAB_FUNC(dccp_rcv_state_process, "_gpl", "");
KSYMTAB_DATA(dccp_death_row, "_gpl", "");
KSYMTAB_FUNC(dccp_create_openreq_child, "_gpl", "");
KSYMTAB_FUNC(dccp_check_req, "_gpl", "");
KSYMTAB_FUNC(dccp_child_process, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_reqsk_init, "_gpl", "");
KSYMTAB_FUNC(dccp_parse_options, "_gpl", "");
KSYMTAB_FUNC(dccp_insert_option, "_gpl", "");
KSYMTAB_FUNC(dccp_sync_mss, "_gpl", "");
KSYMTAB_FUNC(dccp_make_response, "_gpl", "");
KSYMTAB_FUNC(dccp_ctl_make_reset, "_gpl", "");
KSYMTAB_FUNC(dccp_connect, "_gpl", "");
KSYMTAB_FUNC(dccp_send_ack, "_gpl", "");
KSYMTAB_FUNC(dccp_send_sync, "_gpl", "");
KSYMTAB_DATA(dccp_statistics, "_gpl", "");
KSYMTAB_DATA(dccp_orphan_count, "_gpl", "");
KSYMTAB_DATA(dccp_hashinfo, "_gpl", "");
KSYMTAB_FUNC(dccp_set_state, "_gpl", "");
KSYMTAB_FUNC(dccp_done, "_gpl", "");
KSYMTAB_FUNC(dccp_packet_name, "_gpl", "");
KSYMTAB_FUNC(dccp_destruct_common, "_gpl", "");
KSYMTAB_FUNC(dccp_init_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_destroy_sock, "_gpl", "");
KSYMTAB_FUNC(dccp_disconnect, "_gpl", "");
KSYMTAB_FUNC(dccp_poll, "_gpl", "");
KSYMTAB_FUNC(dccp_ioctl, "_gpl", "");
KSYMTAB_FUNC(dccp_setsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_getsockopt, "_gpl", "");
KSYMTAB_FUNC(dccp_sendmsg, "_gpl", "");
KSYMTAB_FUNC(dccp_recvmsg, "_gpl", "");
KSYMTAB_FUNC(inet_dccp_listen, "_gpl", "");
KSYMTAB_FUNC(dccp_close, "_gpl", "");
KSYMTAB_FUNC(dccp_shutdown, "_gpl", "");
KSYMTAB_FUNC(dccp_timestamp, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_add, "_gpl", "");
KSYMTAB_FUNC(dccp_ackvec_parsed_cleanup, "_gpl", "");

SYMBOL_CRC(dccp_feat_list_purge, 0x4cdd391d, "_gpl");
SYMBOL_CRC(dccp_feat_nn_get, 0x261b414f, "_gpl");
SYMBOL_CRC(dccp_feat_signal_nn_change, 0x5c529833, "_gpl");
SYMBOL_CRC(dccp_rcv_established, 0xa4a51e19, "_gpl");
SYMBOL_CRC(dccp_rcv_state_process, 0x02138cfe, "_gpl");
SYMBOL_CRC(dccp_death_row, 0x8171199a, "_gpl");
SYMBOL_CRC(dccp_create_openreq_child, 0x1e5e6efc, "_gpl");
SYMBOL_CRC(dccp_check_req, 0x3d3037e5, "_gpl");
SYMBOL_CRC(dccp_child_process, 0xf3beca6f, "_gpl");
SYMBOL_CRC(dccp_reqsk_send_ack, 0x5138203d, "_gpl");
SYMBOL_CRC(dccp_reqsk_init, 0x5b1b08ba, "_gpl");
SYMBOL_CRC(dccp_parse_options, 0xa5360327, "_gpl");
SYMBOL_CRC(dccp_insert_option, 0x233076ba, "_gpl");
SYMBOL_CRC(dccp_sync_mss, 0xf144ee69, "_gpl");
SYMBOL_CRC(dccp_make_response, 0x62392d05, "_gpl");
SYMBOL_CRC(dccp_ctl_make_reset, 0xbb0f5405, "_gpl");
SYMBOL_CRC(dccp_connect, 0x436b8053, "_gpl");
SYMBOL_CRC(dccp_send_ack, 0x38d780d0, "_gpl");
SYMBOL_CRC(dccp_send_sync, 0x103219f7, "_gpl");
SYMBOL_CRC(dccp_statistics, 0x59814a84, "_gpl");
SYMBOL_CRC(dccp_orphan_count, 0xd75b7072, "_gpl");
SYMBOL_CRC(dccp_hashinfo, 0xd7cdb975, "_gpl");
SYMBOL_CRC(dccp_set_state, 0xe9294e81, "_gpl");
SYMBOL_CRC(dccp_done, 0x6d3544c1, "_gpl");
SYMBOL_CRC(dccp_packet_name, 0x86be7924, "_gpl");
SYMBOL_CRC(dccp_destruct_common, 0x6322853a, "_gpl");
SYMBOL_CRC(dccp_init_sock, 0x0e25c77a, "_gpl");
SYMBOL_CRC(dccp_destroy_sock, 0x2f0ee55c, "_gpl");
SYMBOL_CRC(dccp_disconnect, 0x2da5e4ea, "_gpl");
SYMBOL_CRC(dccp_poll, 0xfb51011f, "_gpl");
SYMBOL_CRC(dccp_ioctl, 0xf8bc8233, "_gpl");
SYMBOL_CRC(dccp_setsockopt, 0x81ab6d75, "_gpl");
SYMBOL_CRC(dccp_getsockopt, 0x7b4d0838, "_gpl");
SYMBOL_CRC(dccp_sendmsg, 0xc06dce73, "_gpl");
SYMBOL_CRC(dccp_recvmsg, 0x7e195a02, "_gpl");
SYMBOL_CRC(inet_dccp_listen, 0x4d355a05, "_gpl");
SYMBOL_CRC(dccp_close, 0x18f9dfb3, "_gpl");
SYMBOL_CRC(dccp_shutdown, 0x652b898b, "_gpl");
SYMBOL_CRC(dccp_timestamp, 0x80993155, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_add, 0x182ec2bf, "_gpl");
SYMBOL_CRC(dccp_ackvec_parsed_cleanup, 0x9598d24d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xdf207a21, "inet_put_port" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x32920a4, "inet_csk_init_xmit_timers" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x4f553031, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1a27ab4b, "sk_reset_timer" },
	{ 0x126fd3de, "skb_queue_tail" },
	{ 0xd15c4eda, "sk_stream_wait_close" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x611e5d3c, "perf_trace_run_bpf_submit" },
	{ 0xa244a8e, "init_net" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb8b48585, "ip6_mtu" },
	{ 0xcf43a647, "sk_skb_reason_drop" },
	{ 0x2559c212, "sk_free" },
	{ 0x714fd730, "sock_wake_async" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0xbeb34e81, "skb_push" },
	{ 0xc49ef6dc, "kmem_cache_free" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0x1d304fe4, "trace_event_reg" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf17c97a0, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x2dbc65d2, "skb_copy_datagram_iter" },
	{ 0x78851a8c, "tcp_stream_memory_free" },
	{ 0x95779c2b, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x5ec9d2d0, "sk_wait_data" },
	{ 0x63314513, "inet_csk_clone_lock" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x87a3b16f, "kmem_cache_alloc_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x387366e6, "inet_twsk_hashdance_schedule" },
	{ 0x95829d0f, "__kmem_cache_create_args" },
	{ 0x2af6168f, "skb_unlink" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x39a6f12b, "inet_csk_listen_start" },
	{ 0xf8ac0d57, "sk_free_unlock_clone" },
	{ 0xd3a4dbb7, "sock_rfree" },
	{ 0x2082a794, "ipv4_mtu" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x55ce17d0, "skb_set_owner_w" },
	{ 0xa7a48e, "trace_event_buffer_reserve" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe84d4424, "param_ops_bool" },
	{ 0xb1d94856, "sock_alloc_send_pskb" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xbee54940, "skb_clone" },
	{ 0x2572cd3e, "inet_sk_set_state" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf48a93b8, "dst_release" },
	{ 0xd233926a, "sk_stream_wait_connect" },
	{ 0xcd325556, "_copy_from_iter" },
	{ 0x98c00fc8, "inet_csk_destroy_sock" },
	{ 0x719694ef, "sk_stop_timer" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0x4e4fb764, "inet_rtx_syn_ack" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0x8e51a6d0, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xcade4f94, "inet_csk_listen_stop" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x88dbd57c, "__kfree_skb" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x3e3623c4, "kmem_cache_destroy" },
	{ 0x1021bac8, "inet_csk_complete_hashdance" },
	{ 0x53bfcd6f, "release_sock" },
	{ 0x6bd470f7, "inet_csk_reqsk_queue_drop" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x3e0a087f, "inet_hashinfo2_init_mod" },
	{ 0x649827d2, "inet_bhash2_reset_saddr" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x174e6c46, "inet_ehash_locks_alloc" },
	{ 0xfbd7c139, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x4a4ffdbe, "consume_skb" },
	{ 0xf93d8afc, "sock_wmalloc" },
	{ 0x2a4b131e, "trace_raw_output_prep" },
	{ 0x5112dfdd, "skb_dequeue" },
	{ 0x2a11073e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x3b0be8d6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc9e196a1, "__kmalloc_node_track_caller_noprof" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x9eec5d0c, "trace_event_raw_init" },
	{ 0x266f0d20, "proc_dointvec_ms_jiffies" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0xb8b7ef2f, "bpf_trace_run2" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x16e7206d, "inet_csk_clear_xmit_timers" },
	{ 0x148653, "vsnprintf" },
	{ 0x6b4d4b, "inet_twsk_alloc" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfadfef86, "sk_error_report" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x6e97ec1, "trace_event_buffer_commit" },
	{ 0x86eac686, "register_net_sysctl_sz" },
	{ 0x7fa4ac6e, "inet_sock_destruct" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "4C4A0F686D56AE1D6DAE0AE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
