#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(qrtr_endpoint_post, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_register, "_gpl", "");
KSYMTAB_FUNC(qrtr_endpoint_unregister, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_init, "_gpl", "");
KSYMTAB_FUNC(qrtr_ns_remove, "_gpl", "");

SYMBOL_CRC(qrtr_endpoint_post, 0x677ce6dd, "_gpl");
SYMBOL_CRC(qrtr_endpoint_register, 0xb460873e, "_gpl");
SYMBOL_CRC(qrtr_endpoint_unregister, 0xf73c7661, "_gpl");
SYMBOL_CRC(qrtr_ns_init, 0xa47e91ba, "_gpl");
SYMBOL_CRC(qrtr_ns_remove, 0x8d25501f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x584e682b, "__pskb_copy_fclone" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfadfef86, "sk_error_report" },
	{ 0x3422f45c, "skb_queue_purge_reason" },
	{ 0x5fc52abd, "radix_tree_iter_delete" },
	{ 0x6e97ec1, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x8d3d2808, "proto_unregister" },
	{ 0x3c619bc0, "sock_register" },
	{ 0x10ce637, "datagram_poll" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x4f553031, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0x503e16e9, "proto_register" },
	{ 0xc6cbbc89, "capable" },
	{ 0x968b9681, "module_put" },
	{ 0x9114b616, "__xa_alloc" },
	{ 0x5a4b8f49, "sock_no_shutdown" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x611e5d3c, "perf_trace_run_bpf_submit" },
	{ 0xa244a8e, "init_net" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x5df2b678, "radix_tree_next_chunk" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcf43a647, "sk_skb_reason_drop" },
	{ 0xa85a3e6d, "xa_load" },
	{ 0x555e72, "__SCK__tp_func_sk_data_ready" },
	{ 0xc900ec77, "kernel_getsockname" },
	{ 0x5102a30b, "do_wait_intr_irq" },
	{ 0x2559c212, "sk_free" },
	{ 0x33ef970c, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xbeb34e81, "skb_push" },
	{ 0xc05603bf, "sock_no_listen" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1d304fe4, "trace_event_reg" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xf17c97a0, "lock_sock_nested" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x2dbc65d2, "skb_copy_datagram_iter" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe0f8f6da, "sk_alloc" },
	{ 0xe5740dc7, "sock_no_socketpair" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc383d5, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x303a9378, "__netdev_alloc_skb" },
	{ 0x7dcf4135, "__xa_insert" },
	{ 0x745a981, "xa_erase" },
	{ 0x383e2a3e, "bpf_trace_run3" },
	{ 0x55ce17d0, "skb_set_owner_w" },
	{ 0xa7a48e, "trace_event_buffer_reserve" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf06573aa, "sock_create_kern" },
	{ 0x8fa25c24, "xa_find" },
	{ 0x12b72aa5, "skb_recv_datagram" },
	{ 0xb1d94856, "sock_alloc_send_pskb" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x5b3e282f, "xa_store" },
	{ 0xcd325556, "_copy_from_iter" },
	{ 0x71b9d3ee, "sock_release" },
	{ 0xe5b96255, "sock_gettstamp" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xdf36914b, "xa_find_after" },
	{ 0x754d539c, "strlen" },
	{ 0x8e51a6d0, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x28f7e5e, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x215923bb, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x87809aeb, "put_user_ifreq" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x53bfcd6f, "release_sock" },
	{ 0x403131e1, "skb_free_datagram" },
	{ 0x6399af01, "sock_queue_rcv_skb_reason" },
	{ 0xd3662c62, "__skb_pad" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbad9ebaf, "bpf_trace_run4" },
	{ 0xb65538e2, "skb_copy_bits" },
	{ 0x6fbc6a00, "radix_tree_insert" },
	{ 0xfbd7c139, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x4a4ffdbe, "consume_skb" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x2a4b131e, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x2a11073e, "__trace_trigger_soft_disabled" },
	{ 0x70ad75fb, "radix_tree_lookup" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x3b0be8d6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xaf8bab80, "kernel_bind" },
	{ 0x99f7371c, "refcount_dec_and_mutex_lock" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x9eec5d0c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x868c048d, "__tracepoint_sk_data_ready" },
	{ 0xe2964344, "__wake_up" },
	{ 0x56a7a580, "__module_get" },
	{ 0x53a36f6c, "kernel_recvmsg" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "473C5AB47E04ECEA0106681");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
