#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(smc_proto, "_gpl", "");
KSYMTAB_DATA(smc_proto6, "_gpl", "");
KSYMTAB_DATA(__tracepoint_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__traceiter_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_switch_to_fallback, "", "");
KSYMTAB_DATA(__tracepoint_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_tx_sendmsg, "", "");
KSYMTAB_DATA(__tracepoint_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__traceiter_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__SCK__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smc_rx_recvmsg, "", "");
KSYMTAB_DATA(__tracepoint_smcr_link_down, "", "");
KSYMTAB_FUNC(__traceiter_smcr_link_down, "", "");
KSYMTAB_DATA(__SCK__tp_func_smcr_link_down, "", "");
KSYMTAB_FUNC(__SCT__tp_func_smcr_link_down, "", "");

SYMBOL_CRC(smc_proto, 0xccafdf7b, "_gpl");
SYMBOL_CRC(smc_proto6, 0x32ef7df9, "_gpl");
SYMBOL_CRC(__tracepoint_smc_switch_to_fallback, 0x246120ec, "");
SYMBOL_CRC(__traceiter_smc_switch_to_fallback, 0xbf4dfddd, "");
SYMBOL_CRC(__SCK__tp_func_smc_switch_to_fallback, 0x53242841, "");
SYMBOL_CRC(__SCT__tp_func_smc_switch_to_fallback, 0x1e612b77, "");
SYMBOL_CRC(__tracepoint_smc_tx_sendmsg, 0x6f52ed32, "");
SYMBOL_CRC(__traceiter_smc_tx_sendmsg, 0x9466afb1, "");
SYMBOL_CRC(__SCK__tp_func_smc_tx_sendmsg, 0xcdd30bbf, "");
SYMBOL_CRC(__SCT__tp_func_smc_tx_sendmsg, 0x87ccd0c7, "");
SYMBOL_CRC(__tracepoint_smc_rx_recvmsg, 0xedf3f0d3, "");
SYMBOL_CRC(__traceiter_smc_rx_recvmsg, 0x195b8195, "");
SYMBOL_CRC(__SCK__tp_func_smc_rx_recvmsg, 0x4f72165e, "");
SYMBOL_CRC(__SCT__tp_func_smc_rx_recvmsg, 0x3ac4e1c7, "");
SYMBOL_CRC(__tracepoint_smcr_link_down, 0x3b7af7cc, "");
SYMBOL_CRC(__traceiter_smcr_link_down, 0x2b44d6e3, "");
SYMBOL_CRC(__SCK__tp_func_smcr_link_down, 0x99fb1141, "");
SYMBOL_CRC(__SCT__tp_func_smcr_link_down, 0x3bcd3bb9, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3014f76c, "register_pernet_subsys" },
	{ 0xd5fda699, "dev_driver_string" },
	{ 0x6e97ec1, "trace_event_buffer_commit" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x86eac686, "register_net_sysctl_sz" },
	{ 0x4348919d, "tcp_abort" },
	{ 0x568a433e, "rdma_read_gid_attr_ndev_rcu" },
	{ 0xf02aa937, "wait_for_completion_interruptible_timeout" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x68e28690, "dma_map_page_attrs" },
	{ 0x60243ee4, "splice_to_pipe" },
	{ 0x92997ed8, "_printk" },
	{ 0x8d3d2808, "proto_unregister" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x3c619bc0, "sock_register" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xe2d187d9, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x3517383e, "register_reboot_notifier" },
	{ 0x8dcf857c, "ib_register_event_handler" },
	{ 0xa916b694, "strnlen" },
	{ 0x4f553031, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe41c46a2, "__free_pages" },
	{ 0x6c9a02a6, "ib_unregister_event_handler" },
	{ 0x503e16e9, "proto_register" },
	{ 0xf55fc9ac, "tcp_unregister_ulp" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x77a71148, "ib_register_client" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xac1a55be, "unregister_reboot_notifier" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xdda5a80d, "ib_map_mr_sg" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xa9a13e55, "__dma_sync_single_for_cpu" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x25ff4f27, "generic_pipe_buf_get" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x611e5d3c, "perf_trace_run_bpf_submit" },
	{ 0x655a37de, "ib_set_client_data" },
	{ 0x57bc19d2, "down_write" },
	{ 0xa244a8e, "init_net" },
	{ 0xce807a25, "up_write" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xcf43a647, "sk_skb_reason_drop" },
	{ 0x874b6b8, "netlink_unicast" },
	{ 0x555e72, "__SCK__tp_func_sk_data_ready" },
	{ 0x3c8d422e, "rdma_put_gid_attr" },
	{ 0xc900ec77, "kernel_getsockname" },
	{ 0x2559c212, "sk_free" },
	{ 0x714fd730, "sock_wake_async" },
	{ 0x107e81ad, "kernel_sock_shutdown" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x9a9a0884, "ib_query_port" },
	{ 0x5a921311, "strncmp" },
	{ 0x8d304f20, "nla_put" },
	{ 0x1d304fe4, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x6999bd71, "proc_douintvec_minmax" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xd72efcaa, "iov_iter_kvec" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xf17c97a0, "lock_sock_nested" },
	{ 0x430d8bc0, "__put_devmap_managed_folio_refs" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xc1c63ba3, "__ib_create_cq" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x11089ac7, "_ctype" },
	{ 0xe0f8f6da, "sk_alloc" },
	{ 0xdd511234, "ib_destroy_qp_user" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x1de0b5ab, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb43cef59, "kernel_connect" },
	{ 0xe5740dc7, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5ec9d2d0, "sk_wait_data" },
	{ 0x7db14ca4, "proc_douintvec" },
	{ 0x25974000, "wait_for_completion" },
	{ 0x417b78eb, "ib_alloc_mr" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xdc383d5, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xece784c2, "rb_first" },
	{ 0xc3e98ba, "ib_destroy_cq_user" },
	{ 0x668b19a1, "down_read" },
	{ 0x40820c28, "skb_trim" },
	{ 0xd0935ae5, "ib_modify_qp" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xb680043, "tcp_register_ulp" },
	{ 0x6568bece, "sk_common_release" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x28c75e4b, "ib_device_get_netdev" },
	{ 0x75e0d10, "kernel_listen" },
	{ 0xc407b53f, "ib_dma_virt_map_sg" },
	{ 0x85a2712, "neigh_destroy" },
	{ 0xc25d94c1, "pcpu_alloc_noprof" },
	{ 0x999e8297, "vfree" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xa7a48e, "trace_event_buffer_reserve" },
	{ 0x9433eb4a, "inet6_register_protosw" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xf06573aa, "sock_create_kern" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x2a1707a, "__dma_sync_single_for_device" },
	{ 0xa26d9b4f, "workqueue_congested" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xdc1d3f03, "__folio_put" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xbee3ddd5, "vzalloc_noprof" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x685c3b30, "sock_recvmsg" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6963034, "dev_get_by_name" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xf48a93b8, "dst_release" },
	{ 0xd233926a, "sk_stream_wait_connect" },
	{ 0xcd325556, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0x71b9d3ee, "sock_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x948d21e0, "alloc_pages_noprof" },
	{ 0xfd908c00, "ib_create_qp_kernel" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x6dc1306a, "netdev_walk_all_lower_dev" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xafd0454e, "vlan_dev_vlan_id" },
	{ 0x5ac8c04c, "unregister_net_sysctl_table" },
	{ 0x52ecb902, "ib_dealloc_pd_user" },
	{ 0x79f43f19, "rdma_get_gid_attr" },
	{ 0x609ca8d8, "dma_unmap_sg_attrs" },
	{ 0x688f6961, "genl_unregister_family" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x8e51a6d0, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x5941c043, "genl_register_family" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x28f7e5e, "kernel_sendmsg" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x215923bb, "sock_init_data" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x53bfcd6f, "release_sock" },
	{ 0x6d3f3b6d, "dma_map_sg_attrs" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0x778c128f, "netdev_lower_get_next" },
	{ 0x9506bff5, "security_sock_graft" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xafc1a372, "sk_send_sigurg" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x98c983e2, "ib_unregister_client" },
	{ 0xd2c9ae9a, "_copy_to_iter" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xd5e28e5, "__nlmsg_put" },
	{ 0x27f968ad, "inet_unregister_protosw" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xac4038d6, "proc_dointvec_jiffies" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x7ac10516, "vmalloc_to_page" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1bb51249, "tcp_have_smc" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x2a4b131e, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x617bebf0, "rdma_read_gid_l2_fields" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x2fba5c7c, "nla_put_64bit" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0x18b9ad56, "__ib_alloc_pd" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x3437ff8f, "inet6_unregister_protosw" },
	{ 0x2a11073e, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x5301722c, "dma_unmap_page_attrs" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0x3b0be8d6, "trace_event_printf" },
	{ 0x53569707, "this_cpu_off" },
	{ 0xc6cbcdaa, "__dma_need_sync" },
	{ 0xaf8bab80, "kernel_bind" },
	{ 0xde293f9e, "add_wait_queue_exclusive" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0x9cf579b8, "genlmsg_put" },
	{ 0x9eec5d0c, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8b3030ab, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x3da86ede, "ib_dereg_mr_user" },
	{ 0x868c048d, "__tracepoint_sk_data_ready" },
	{ 0xb8b7ef2f, "bpf_trace_run2" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0xee4f3f4e, "kernel_accept" },
	{ 0x7477279a, "rdma_dev_access_netns" },
	{ 0x56a7a580, "__module_get" },
	{ 0xcd91b127, "system_highpri_wq" },
	{ 0x60077cd8, "ip_route_output_flow" },
	{ 0x7f25d639, "get_device" },
	{ 0xa6740b8a, "sk_stream_error" },
	{ 0xa37113f0, "ib_query_qp" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xc4bd1328, "sock_alloc" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xfadfef86, "sk_error_report" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "ib_core");


MODULE_INFO(srcversion, "71A847EE5E5373B57533767");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
