#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf966d0e2, "fw_core_add_address_handler" },
	{ 0x150573e6, "amdtp_stream_pcm_prepare" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x1000e51, "schedule" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe2d187d9, "put_device" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xa916b694, "strnlen" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0x40ea5759, "snd_pcm_hw_rule_add" },
	{ 0xc6e5594a, "fw_iso_resources_destroy" },
	{ 0x95edb299, "amdtp_domain_stop" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xe231b943, "snd_card_new" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xa6e0c7eb, "snd_hwdep_new" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x2115809f, "amdtp_stream_destroy" },
	{ 0xbb05ce9, "driver_unregister" },
	{ 0xf2f97eac, "snd_pcm_set_ops" },
	{ 0x1cdfbc7, "amdtp_domain_add_stream" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x50d48c0f, "amdtp_stream_update" },
	{ 0xfac9a0b, "amdtp_stream_get_max_payload" },
	{ 0x943cf483, "snd_pcm_set_managed_buffer_all" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xf617716e, "snd_rawmidi_new" },
	{ 0xfe21e75f, "snd_rawmidi_set_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeb522471, "fw_bus_type" },
	{ 0x66454354, "seq_printf" },
	{ 0xc593693b, "fw_iso_resources_init" },
	{ 0x46df9932, "snd_info_create_card_entry" },
	{ 0xe1884245, "snd_pcm_hw_constraint_msbits" },
	{ 0x6dc50487, "fw_csr_string" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0x754d539c, "strlen" },
	{ 0x43aeebdb, "amdtp_domain_stream_pcm_ack" },
	{ 0x981d9e01, "amdtp_domain_destroy" },
	{ 0xdb7782b1, "driver_register" },
	{ 0xaefe1202, "fw_iso_resources_update" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x8412f005, "amdtp_domain_start" },
	{ 0x86e2fdea, "fw_send_response" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x24423737, "snd_rawmidi_receive" },
	{ 0xbae61e9b, "fw_iso_resources_free" },
	{ 0xbbdd3e30, "snd_pcm_hw_limit_rates" },
	{ 0xebba9aab, "snd_rawmidi_transmit" },
	{ 0xfc08d67c, "snd_fw_transaction" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x623f0329, "snd_pcm_new" },
	{ 0x53ca18e8, "amdtp_rate_table" },
	{ 0x5ed22570, "amdtp_stream_add_pcm_hw_constraints" },
	{ 0x5a1ff5cc, "snd_card_register" },
	{ 0x8e6b2993, "snd_card_free" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x96848186, "scnprintf" },
	{ 0xcdadf2a7, "amdtp_stream_init" },
	{ 0x8fe0667f, "snd_pcm_hw_constraint_minmax" },
	{ 0x450f18db, "amdtp_stream_set_parameters" },
	{ 0xb71589f0, "skip_spaces" },
	{ 0x324d268e, "amdtp_domain_stream_pcm_pointer" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4cda566, "snd_interval_refine" },
	{ 0x6b96a7b2, "fw_core_remove_address_handler" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x917a6768, "amdtp_domain_init" },
	{ 0xe2964344, "__wake_up" },
	{ 0x7f25d639, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x47aa0b50, "fw_iso_resources_allocate" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "firewire-core,snd-firewire-lib,snd-pcm,snd,snd-hwdep,snd-rawmidi");

MODULE_ALIAS("ieee1394:ven0000A07Emo00000001sp*ver00000001*");
MODULE_ALIAS("ieee1394:ven0000A07Emo00000002sp*ver00000001*");

MODULE_INFO(srcversion, "D1888CE53CE2056C242AFFA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
