#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_system_suspend, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_late, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_suspend_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_no_irq, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume_early, "_gpl", "");
KSYMTAB_FUNC(cs35l56_system_resume, "_gpl", "");
KSYMTAB_FUNC(cs35l56_common_probe, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_init, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_FUNC(cs35l56_remove, "_gpl", "SND_SOC_CS35L56_CORE");
KSYMTAB_DATA(cs35l56_pm_ops_i2c_spi, "_gpl", "SND_SOC_CS35L56_CORE");

SYMBOL_CRC(cs35l56_system_suspend, 0xdd323ac3, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_late, 0x045a3c6d, "_gpl");
SYMBOL_CRC(cs35l56_system_suspend_no_irq, 0x23520cd2, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_no_irq, 0x7b2c3fbb, "_gpl");
SYMBOL_CRC(cs35l56_system_resume_early, 0x127d5a7c, "_gpl");
SYMBOL_CRC(cs35l56_system_resume, 0xa4082845, "_gpl");
SYMBOL_CRC(cs35l56_common_probe, 0x614ff68d, "_gpl");
SYMBOL_CRC(cs35l56_init, 0x73e0c726, "_gpl");
SYMBOL_CRC(cs35l56_remove, 0x6d087f9d, "_gpl");
SYMBOL_CRC(cs35l56_pm_ops_i2c_spi, 0x1f9f4771, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6dc3e74, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x671cebb5, "devm_gpiod_get_optional" },
	{ 0x715e76f, "wm_adsp_stop" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xf2f41a52, "cs35l56_get_calibration" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4e5d8063, "__pm_runtime_set_status" },
	{ 0x7d1d4a3, "devm_snd_soc_register_component" },
	{ 0xb170b0a1, "devm_kstrdup" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4612e7a4, "sdw_write_no_pm" },
	{ 0x6a074271, "devm_free_irq" },
	{ 0xc21b200e, "pm_runtime_enable" },
	{ 0xadb759bb, "fwnode_gpiod_get_index" },
	{ 0x6bf62c9c, "regulator_bulk_disable" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0xfea73660, "acpi_dev_remove_driver_gpios" },
	{ 0xda49467d, "snd_soc_info_volsw" },
	{ 0x59f7cbe8, "cs35l56_init_cs_dsp" },
	{ 0x68f3d171, "wm_adsp_power_down" },
	{ 0x90f50aea, "_dev_err" },
	{ 0x1a1c9cff, "debugfs_create_bool" },
	{ 0xce3565f6, "wm_adsp_event" },
	{ 0x5c2529e, "cs35l56_tx_input_values" },
	{ 0x64e759e4, "cs35l56_tx_input_texts" },
	{ 0x3b544fa3, "device_property_read_string" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xfa4d22d, "cs35l56_calibration_controls" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8c957bea, "cs35l56_runtime_suspend_common" },
	{ 0xa004a637, "sdw_read_no_pm" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xaeb0f4f, "cs35l56_mbox_send" },
	{ 0xa04fe594, "cs35l56_hw_init" },
	{ 0xf88f9ee3, "_dev_warn" },
	{ 0x222a4099, "wm_adsp2_component_probe" },
	{ 0x11ad1e0c, "cs35l56_read_prot_status" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xde994b2e, "cs35l56_system_reset" },
	{ 0x2ce982e3, "snd_soc_info_enum_double" },
	{ 0xdbb4c147, "regulator_bulk_enable" },
	{ 0x2d9fbacd, "devm_regulator_bulk_get" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xacabe7ec, "wm_adsp2_component_remove" },
	{ 0xd8cc1708, "cs35l56_wait_for_firmware_boot" },
	{ 0xa0c1e469, "devm_kasprintf" },
	{ 0x90dbfbbf, "snd_soc_get_volsw" },
	{ 0x772dd8e1, "cs35l56_set_patch" },
	{ 0xad591ce8, "cs35l56_wait_control_port_ready" },
	{ 0x73bdbb06, "fwnode_property_present" },
	{ 0x1d566f6, "cs35l56_is_fw_reload_needed" },
	{ 0x155f970f, "regmap_read" },
	{ 0x2d0a2324, "snd_soc_put_volsw" },
	{ 0x1c6c04bc, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1e6440be, "cs_amp_write_cal_coeffs" },
	{ 0xd6e69ef8, "device_get_named_child_node" },
	{ 0x8c8aee99, "pm_runtime_force_resume" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x7373b1cf, "sdw_stream_remove_slave" },
	{ 0x627095f7, "cs35l56_runtime_resume_common" },
	{ 0x614ca5fb, "dapm_regulator_event" },
	{ 0x1d9921d9, "cs35l56_get_speaker_id" },
	{ 0xc2e628d8, "wm_adsp_run" },
	{ 0x6d249741, "regmap_update_bits_base" },
	{ 0xeb9a8d06, "acpi_dev_get_property" },
	{ 0x6f8cc3a3, "dev_err_probe" },
	{ 0x46d2f348, "__pm_runtime_suspend" },
	{ 0x1d4878b, "cs35l56_fill_supply_names" },
	{ 0x6aea64a7, "__devm_add_action" },
	{ 0x3564dc51, "snd_soc_dapm_get_enum_double" },
	{ 0x8a047996, "__pm_runtime_use_autosuspend" },
	{ 0xc42e4708, "wm_halo_init" },
	{ 0x418a1f22, "__pm_runtime_disable" },
	{ 0x5c501f9b, "cs35l56_firmware_shutdown" },
	{ 0xd041be59, "sdw_stream_add_slave" },
	{ 0x24a36b1c, "pm_runtime_force_suspend" },
	{ 0x95a43707, "wm_adsp_power_up" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xe56a9336, "snd_pcm_format_width" },
	{ 0x9e0fa9a, "snd_soc_dapm_put_enum_double" },
	{ 0xc9570871, "gpiod_get_value_cansleep" },
	{ 0xfb4d32fb, "regcache_cache_only" },
	{ 0x3fa60d73, "is_acpi_device_node" },
	{ 0x5ee00098, "gpiod_put" },
	{ 0xcf2b12b7, "regcache_sync" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbe498d90, "regmap_write" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0x810124fe, "cs35l56_wait_min_reset_pulse" },
	{ 0x88762c92, "cs35l56_get_bclk_freq_id" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x97af1219, "pm_runtime_set_autosuspend_delay" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x4522df80, "gpiod_set_value_cansleep" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xc91d858e, "acpi_dev_add_driver_gpios" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-wm-adsp,snd-soc-cs35l56-shared,snd-soc-core,soundwire-bus,snd-soc-cs-amp-lib,snd-pcm");


MODULE_INFO(srcversion, "D62B474544DEF6496D8466A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
