#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(hda_sdw_startup, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_common_check_sdw_irq, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_check_wakeen_irq_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_sdw_process_wakeen_common, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_post_fw_run, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe_early, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_dsp_remove, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_power_down_dsp, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_FUNC(hda_pci_intel_probe, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");
KSYMTAB_DATA(sof_hda_common_ops, "", "SND_SOC_SOF_INTEL_HDA_GENERIC");

SYMBOL_CRC(hda_sdw_startup, 0x85d15dae, "");
SYMBOL_CRC(hda_common_check_sdw_irq, 0xce0b959e, "");
SYMBOL_CRC(hda_sdw_check_wakeen_irq_common, 0x0ef633c8, "");
SYMBOL_CRC(hda_sdw_process_wakeen_common, 0x5a8b351f, "");
SYMBOL_CRC(hda_dsp_post_fw_run, 0x367708cb, "");
SYMBOL_CRC(hda_dsp_probe_early, 0x899ef0e6, "");
SYMBOL_CRC(hda_dsp_probe, 0x35ec31cc, "");
SYMBOL_CRC(hda_dsp_remove, 0x502c7b62, "");
SYMBOL_CRC(hda_power_down_dsp, 0xa60080ec, "");
SYMBOL_CRC(hda_pci_intel_probe, 0x1bd41c7a, "");
SYMBOL_CRC(sof_hda_common_ops, 0x85f09bf7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xaa52eba1, "sdw_intel_thread" },
	{ 0x2ad078bb, "hda_dsp_d0i3_work" },
	{ 0xd31a1296, "devm_kmalloc" },
	{ 0x79bb115b, "__SCT__tp_func_sof_intel_hda_irq" },
	{ 0x171bea01, "pci_alloc_irq_vectors" },
	{ 0xe42c1e6f, "intel_nhlt_get_dmic_geo" },
	{ 0xc8e4fc94, "hda_dsp_ext_man_get_cavs_config_data" },
	{ 0xff05a549, "hda_dsp_ctrl_ppcap_enable" },
	{ 0x74e51fbe, "hda_sdw_process_wakeen" },
	{ 0x972d1f89, "hda_sdw_int_enable" },
	{ 0xb797ad9, "hda_bus_ml_init" },
	{ 0xe3040429, "hda_codec_probe_bus" },
	{ 0xdaa808b4, "sof_hda_bus_exit" },
	{ 0xd5fd5909, "sdw_hda_dai_hw_params" },
	{ 0xedc03953, "iounmap" },
	{ 0x33228efe, "sdw_intel_exit" },
	{ 0xecc2dbfa, "hda_codec_check_for_state_change" },
	{ 0x69792227, "sof_xtensa_arch_ops" },
	{ 0x41a05c36, "intel_nhlt_has_endpoint_type" },
	{ 0x67507628, "sdw_hda_dai_trigger" },
	{ 0xb4b6fb27, "hda_bus_ml_free" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x5b8414de, "hda_dsp_cl_boot_firmware" },
	{ 0x97c3b349, "hda_dsp_pcm_hw_params" },
	{ 0x931ce7db, "hda_sdw_check_lcount" },
	{ 0x31182936, "snd_intel_dsp_driver_probe" },
	{ 0xc8ae53cc, "pci_irq_vector" },
	{ 0x9037ac6b, "hda_dsp_ctrl_clock_power_gating" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0xbbad02ec, "pci_ioremap_bar" },
	{ 0x5eb04b04, "hda_dsp_ctrl_init_chip" },
	{ 0xdb4da86f, "sdw_hda_dai_hw_free" },
	{ 0x2d3f3e84, "sof_pci_probe" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xc4bd977e, "hda_dsp_suspend" },
	{ 0x16961065, "hda_dsp_runtime_suspend" },
	{ 0x9cb45bb5, "hda_codec_i915_exit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xfc0b91c7, "hda_dsp_ipc_get_mailbox_offset" },
	{ 0xf4bea670, "hda_dai_config" },
	{ 0x8ad4d149, "hda_probes_unregister" },
	{ 0x8c44cae5, "sof_block_write" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3344fce7, "hda_dsp_pcm_ack" },
	{ 0xa52f5094, "hda_dsp_trace_release" },
	{ 0x21c1b1be, "__SCK__tp_func_sof_intel_hda_irq" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0xa77eac5b, "hda_dsp_dump" },
	{ 0xb727d0a, "sdw_intel_startup" },
	{ 0xb8e290ae, "hda_dsp_pcm_pointer" },
	{ 0x79ac660, "sdw_intel_process_wakeen_event" },
	{ 0xdea2873, "sof_mailbox_write" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0x3fdacede, "devm_kmemdup" },
	{ 0xd73c977b, "sof_mailbox_read" },
	{ 0x2b6dc327, "hda_bus_ml_put_all" },
	{ 0x90f50aea, "_dev_err" },
	{ 0x1a1c9cff, "debugfs_create_bool" },
	{ 0x79e134dc, "hda_dsp_core_reset_power_down" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xab5b9496, "__tracepoint_sof_intel_hda_irq" },
	{ 0x738d316d, "platform_device_unregister" },
	{ 0x6e6fd7ba, "hda_dsp_trace_init" },
	{ 0xa27c0363, "snd_soc_acpi_find_machine" },
	{ 0x12c2aaaa, "snd_soc_acpi_intel_detect_codec_type" },
	{ 0x677130ec, "hda_codec_device_remove" },
	{ 0xd2f78382, "hda_dsp_ctrl_ppcap_int_enable" },
	{ 0x2a5ca07b, "snd_soc_acpi_intel_get_codec_tplg_suffix" },
	{ 0x4e859456, "intel_nhlt_free" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1a6f3975, "snd_sof_dsp_update_bits" },
	{ 0xcf0c1097, "snd_sof_pci_update_bits" },
	{ 0xf429d999, "sof_hda_bus_init" },
	{ 0x443016a6, "hda_dsp_runtime_idle" },
	{ 0x4a2d50c0, "hda_dsp_pcm_open" },
	{ 0xf88f9ee3, "_dev_warn" },
	{ 0x368c6727, "sof_debug_check_flag" },
	{ 0xbbbc2a70, "sdw_intel_lnl_hw_ops" },
	{ 0xd5dc5f74, "pci_set_master" },
	{ 0xe027cd78, "param_ops_charp" },
	{ 0x14523d3f, "hda_dsp_stream_hw_free" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x3bdcdfa9, "hda_dsp_stream_threaded_handler" },
	{ 0xb48d4a0a, "hda_dsp_pcm_close" },
	{ 0x35ffdce, "dma_set_coherent_mask" },
	{ 0xa0c1e469, "devm_kasprintf" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x63001e70, "hda_check_ipc_irq" },
	{ 0xfd2b5960, "platform_device_register_full" },
	{ 0xe84eefc, "snd_soc_acpi_intel_get_amp_tplg_suffix" },
	{ 0x85df9b6c, "strsep" },
	{ 0x91e32957, "hda_dsp_runtime_resume" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x4117fe26, "hda_dsp_trace_trigger" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xef9e0648, "sof_machine_unregister" },
	{ 0xe76906ef, "skl_dai" },
	{ 0xc31c49c2, "hda_dsp_get_stream_llp" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xde6aedd6, "sdw_intel_probe" },
	{ 0xfb66acd7, "snd_sof_load_firmware_raw" },
	{ 0xdac0e432, "snd_soc_acpi_intel_detect_amp_type" },
	{ 0xa0dd0f19, "hda_is_chain_dma_supported" },
	{ 0x7ea70e35, "hda_dsp_resume" },
	{ 0xb7b836b3, "intel_nhlt_ssp_mclk_mask" },
	{ 0xa19437c, "dma_set_mask" },
	{ 0xdd8f0022, "hda_probes_register" },
	{ 0xf2ce560f, "sof_hda_position_quirk" },
	{ 0x6f8cc3a3, "dev_err_probe" },
	{ 0x131855e7, "hda_dsp_stream_init" },
	{ 0xf1f7a660, "hda_dsp_get_stream_ldp" },
	{ 0xda406f13, "hda_dsp_stream_free" },
	{ 0x797c673c, "hda_dsp_ctrl_get_caps" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0x9312a63c, "intel_nhlt_init" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x5144eb4, "sdw_intel_cnl_hw_ops" },
	{ 0x66fd6169, "intel_nhlt_ssp_endpoint_mask" },
	{ 0x26b76f26, "hda_codec_i915_init" },
	{ 0xec76b054, "pci_free_irq_vectors" },
	{ 0x50e7f010, "hda_dsp_check_stream_irq" },
	{ 0xfcd4ff29, "hda_set_stream_data_offset" },
	{ 0xbb4f9d1f, "sdw_intel_acpi_scan" },
	{ 0x64ba5b0, "hda_dsp_ipc_get_window_offset" },
	{ 0x9c4e37a6, "hda_ipc_msg_data" },
	{ 0xb9fd24a9, "sof_machine_register" },
	{ 0x51fe0c2b, "hdac_bus_eml_get_mutex" },
	{ 0x3089c6e9, "snd_soc_acpi_intel_hda_machines" },
	{ 0xd41385ba, "hda_dsp_set_hw_params_upon_resume" },
	{ 0xf8ef8f24, "snd_soc_acpi_sdw_link_slaves_found" },
	{ 0x41c9b39e, "sof_block_read" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x254e790d, "snd_sof_debugfs_add_region_item_iomem" },
	{ 0x1711ae43, "hda_get_interface_mask" },
	{ 0xcd27c0e2, "hda_codec_i915_display_power" },
	{ 0x3fa60d73, "is_acpi_device_node" },
	{ 0x9c785d9e, "hda_dsp_pcm_trigger" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "soundwire-intel,snd-sof-intel-hda-common,snd-intel-dspcfg,snd-sof-intel-hda-mlink,snd-sof-intel-hda,snd-sof-xtensa-dsp,snd-sof-pci,snd-sof,snd-soc-acpi,snd-soc-acpi-intel-match,snd-intel-sdw-acpi");


MODULE_INFO(srcversion, "EEDCBED6782C77528612692");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
