#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(simd_skcipher_create_compat, "_gpl", "");
KSYMTAB_FUNC(simd_skcipher_free, "_gpl", "");
KSYMTAB_FUNC(simd_register_skciphers_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_skciphers, "_gpl", "");
KSYMTAB_FUNC(simd_register_aeads_compat, "_gpl", "");
KSYMTAB_FUNC(simd_unregister_aeads, "_gpl", "");

SYMBOL_CRC(simd_skcipher_create_compat, 0xa855961c, "_gpl");
SYMBOL_CRC(simd_skcipher_free, 0xefe73979, "_gpl");
SYMBOL_CRC(simd_register_skciphers_compat, 0x869a7544, "_gpl");
SYMBOL_CRC(simd_unregister_skciphers, 0x8e464113, "_gpl");
SYMBOL_CRC(simd_register_aeads_compat, 0xc8a57c3e, "_gpl");
SYMBOL_CRC(simd_unregister_aeads, 0x6e26b72f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x6ff33a38, "crypto_aead_decrypt" },
	{ 0x97af58e4, "crypto_skcipher_setkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb0d6debf, "crypto_unregister_aeads" },
	{ 0xd15e4c98, "cryptd_skcipher_child" },
	{ 0x49391bd5, "crypto_skcipher_decrypt" },
	{ 0xd4ee0b6c, "cryptd_alloc_skcipher" },
	{ 0xce8ed679, "crypto_aead_setkey" },
	{ 0xb4d266a5, "crypto_register_skcipher" },
	{ 0x88ffee64, "crypto_aead_encrypt" },
	{ 0x41c09116, "cryptd_aead_queued" },
	{ 0x6f643668, "crypto_unregister_skcipher" },
	{ 0x96446211, "crypto_register_skciphers" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x69859e4b, "cryptd_skcipher_queued" },
	{ 0x64fd7e43, "cryptd_free_aead" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x59d25781, "crypto_unregister_skciphers" },
	{ 0x38e0b392, "cryptd_free_skcipher" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x33a9e90b, "crypto_skcipher_encrypt" },
	{ 0x89269f2d, "cryptd_alloc_aead" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x905f8bb1, "cryptd_aead_child" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0xef986dab, "crypto_register_aead" },
	{ 0x7b5c12d7, "crypto_unregister_aead" },
	{ 0x37a0cba, "kfree" },
	{ 0x4fdde31c, "crypto_register_aeads" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0xf647a9d7, "crypto_aead_setauthsize" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "cryptd");


MODULE_INFO(srcversion, "D1DBDB5EC83C78B169B5C58");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
