#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(adf_cfg_dev_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_dev_remove, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_add_key_value_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_section_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cfg_get_param_value, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_cfg_services, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_get_service_enabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_clean_vf_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_update_class_index, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_add_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_rm_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_pci_to_accel_dev, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_in_use, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_get, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_put, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_devmgr_in_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_started, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_down, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_up, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_restart, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_sbr, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_reset_flr, "_gpl", "CRYPTO_QAT");
KSYMTAB_DATA(adf_err_handler, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_cleanup_etr_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_send_admin_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_admin_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_init_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_exit_arb, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sysfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_cfg_iov_thds, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_get_accel_cap, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_dev_config, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_cfg_dev_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_hw_csr_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_accel_mask, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_accels, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_num_aes, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_misc_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_etr_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sram_bar_id, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_sku, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_arb_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_admin_info, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_heartbeat_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_error_correction, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_ints, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_device, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_ssm_wdtimer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_set_msix_default_rttable, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_pfvf_comms_disabled, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_ring_pair_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_thd2arb_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_get_ring_to_svc_map, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_quiesce_coal_timer, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_save, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_bank_state_restore, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_vf_mig_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_handle_pm_interrupt, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_enable_pm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_dc_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_ras_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_start, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_timer_stop, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dev_measure_clock, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_create, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_cleanup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_reset, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_open, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_close, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_suspend, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_resume, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_save_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_state, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_load_setup, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(qat_vfmig_destroy, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_tl_data, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_check_ctrs, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_save_cfg_param, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_add, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_heartbeat_dbgfs_rm, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_dbgfs_exit, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_sriov, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_sriov_configure, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_disable_pf2vf_interrupts, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_free, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf_isr_resource_alloc, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_flush_vf_wq, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_pf2vf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_init, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_shutdown, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_vf2pf_notify_restart_complete, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_enable_vf2pf_comms, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen2_init_vf_pfvf_ops, "_gpl", "CRYPTO_QAT");
KSYMTAB_FUNC(adf_gen4_init_pf_pfvf_ops, "_gpl", "CRYPTO_QAT");

SYMBOL_CRC(adf_cfg_dev_add, 0x5ea1aadb, "_gpl");
SYMBOL_CRC(adf_cfg_dev_remove, 0x24b3f6f4, "_gpl");
SYMBOL_CRC(adf_cfg_add_key_value_param, 0xd1bbe47d, "_gpl");
SYMBOL_CRC(adf_cfg_section_add, 0xd97d5052, "_gpl");
SYMBOL_CRC(adf_cfg_get_param_value, 0xa793d396, "_gpl");
SYMBOL_CRC(adf_isr_resource_free, 0x018c64b9, "_gpl");
SYMBOL_CRC(adf_isr_resource_alloc, 0x12d68d1a, "_gpl");
SYMBOL_CRC(adf_cfg_services, 0xc9dd5b96, "_gpl");
SYMBOL_CRC(adf_get_service_enabled, 0x1215c07e, "_gpl");
SYMBOL_CRC(adf_clean_vf_map, 0xcc3b167a, "_gpl");
SYMBOL_CRC(adf_devmgr_update_class_index, 0xb39b1d16, "_gpl");
SYMBOL_CRC(adf_devmgr_add_dev, 0x241fd4d7, "_gpl");
SYMBOL_CRC(adf_devmgr_rm_dev, 0xcda9f37c, "_gpl");
SYMBOL_CRC(adf_devmgr_pci_to_accel_dev, 0xb6287f6a, "_gpl");
SYMBOL_CRC(adf_dev_in_use, 0x52ef2221, "_gpl");
SYMBOL_CRC(adf_dev_get, 0x303b735a, "_gpl");
SYMBOL_CRC(adf_dev_put, 0x5a34cf57, "_gpl");
SYMBOL_CRC(adf_devmgr_in_reset, 0x406b11e4, "_gpl");
SYMBOL_CRC(adf_dev_started, 0x96f21b55, "_gpl");
SYMBOL_CRC(adf_dev_down, 0x52d051c9, "_gpl");
SYMBOL_CRC(adf_dev_up, 0x1723f1f7, "_gpl");
SYMBOL_CRC(adf_dev_restart, 0xa55d0e81, "_gpl");
SYMBOL_CRC(adf_reset_sbr, 0x119d93b5, "_gpl");
SYMBOL_CRC(adf_reset_flr, 0x27b6e710, "_gpl");
SYMBOL_CRC(adf_err_handler, 0x38f9cbc0, "_gpl");
SYMBOL_CRC(adf_init_etr_data, 0x829d590f, "_gpl");
SYMBOL_CRC(adf_cleanup_etr_data, 0x08f8fb6e, "_gpl");
SYMBOL_CRC(adf_send_admin_init, 0xc9fc0d59, "_gpl");
SYMBOL_CRC(adf_init_admin_comms, 0x5f4381bc, "_gpl");
SYMBOL_CRC(adf_exit_admin_comms, 0xfef26c87, "_gpl");
SYMBOL_CRC(adf_init_arb, 0x7a5747a5, "_gpl");
SYMBOL_CRC(adf_exit_arb, 0x7cd24a66, "_gpl");
SYMBOL_CRC(adf_sysfs_init, 0xd6a87563, "_gpl");
SYMBOL_CRC(adf_gen2_init_hw_csr_ops, 0xe7e93b61, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_accels, 0x9d293d4a, "_gpl");
SYMBOL_CRC(adf_gen2_get_num_aes, 0x6f6a1dbf, "_gpl");
SYMBOL_CRC(adf_gen2_enable_error_correction, 0x65692848, "_gpl");
SYMBOL_CRC(adf_gen2_cfg_iov_thds, 0x9362986c, "_gpl");
SYMBOL_CRC(adf_gen2_get_admin_info, 0x3e707f37, "_gpl");
SYMBOL_CRC(adf_gen2_get_arb_info, 0x2be4e269, "_gpl");
SYMBOL_CRC(adf_gen2_enable_ints, 0x841751d6, "_gpl");
SYMBOL_CRC(adf_gen2_get_accel_cap, 0xa5145823, "_gpl");
SYMBOL_CRC(adf_gen2_set_ssm_wdtimer, 0x61a8455e, "_gpl");
SYMBOL_CRC(adf_gen2_dev_config, 0xe530fc7b, "_gpl");
SYMBOL_CRC(adf_gen4_dev_config, 0x50072fdd, "_gpl");
SYMBOL_CRC(adf_gen4_cfg_dev_init, 0x812a8af7, "_gpl");
SYMBOL_CRC(adf_gen4_init_hw_csr_ops, 0x2c0f84ec, "_gpl");
SYMBOL_CRC(adf_gen4_get_accel_mask, 0x7367eb4e, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_accels, 0xf6c8697f, "_gpl");
SYMBOL_CRC(adf_gen4_get_num_aes, 0xd758d320, "_gpl");
SYMBOL_CRC(adf_gen4_get_misc_bar_id, 0x5f40e1d3, "_gpl");
SYMBOL_CRC(adf_gen4_get_etr_bar_id, 0xbf8269aa, "_gpl");
SYMBOL_CRC(adf_gen4_get_sram_bar_id, 0x18fe194f, "_gpl");
SYMBOL_CRC(adf_gen4_get_sku, 0xb4f10824, "_gpl");
SYMBOL_CRC(adf_gen4_get_arb_info, 0x4c051dc4, "_gpl");
SYMBOL_CRC(adf_gen4_get_admin_info, 0x2230d349, "_gpl");
SYMBOL_CRC(adf_gen4_get_heartbeat_clock, 0x8af404af, "_gpl");
SYMBOL_CRC(adf_gen4_enable_error_correction, 0x45688d0e, "_gpl");
SYMBOL_CRC(adf_gen4_enable_ints, 0x7ce09369, "_gpl");
SYMBOL_CRC(adf_gen4_init_device, 0x5742c7b7, "_gpl");
SYMBOL_CRC(adf_gen4_set_ssm_wdtimer, 0x5e0954e8, "_gpl");
SYMBOL_CRC(adf_gen4_set_msix_default_rttable, 0x164350a9, "_gpl");
SYMBOL_CRC(adf_pfvf_comms_disabled, 0x8b7b2754, "_gpl");
SYMBOL_CRC(adf_gen4_ring_pair_reset, 0x7010091e, "_gpl");
SYMBOL_CRC(adf_gen4_init_thd2arb_map, 0xf6a18384, "_gpl");
SYMBOL_CRC(adf_gen4_get_ring_to_svc_map, 0xef0f16f4, "_gpl");
SYMBOL_CRC(adf_gen4_bank_quiesce_coal_timer, 0x75ee1717, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_save, 0xd7198e4c, "_gpl");
SYMBOL_CRC(adf_gen4_bank_state_restore, 0xe19c8e5b, "_gpl");
SYMBOL_CRC(adf_gen4_init_vf_mig_ops, 0xfa6ffd23, "_gpl");
SYMBOL_CRC(adf_gen4_handle_pm_interrupt, 0x4106cc5f, "_gpl");
SYMBOL_CRC(adf_gen4_enable_pm, 0x95496fb0, "_gpl");
SYMBOL_CRC(adf_gen2_init_dc_ops, 0xe45f3512, "_gpl");
SYMBOL_CRC(adf_gen4_init_dc_ops, 0xe327f1f1, "_gpl");
SYMBOL_CRC(adf_gen4_init_ras_ops, 0x4e1ccb47, "_gpl");
SYMBOL_CRC(adf_gen4_timer_start, 0x5baa3e81, "_gpl");
SYMBOL_CRC(adf_gen4_timer_stop, 0x4f92f21c, "_gpl");
SYMBOL_CRC(adf_dev_measure_clock, 0xabc97687, "_gpl");
SYMBOL_CRC(qat_vfmig_create, 0xa517740d, "_gpl");
SYMBOL_CRC(qat_vfmig_init, 0x11c78a82, "_gpl");
SYMBOL_CRC(qat_vfmig_cleanup, 0xc445daef, "_gpl");
SYMBOL_CRC(qat_vfmig_reset, 0xf957a0dc, "_gpl");
SYMBOL_CRC(qat_vfmig_open, 0xe6ec398c, "_gpl");
SYMBOL_CRC(qat_vfmig_close, 0x8d9f5e3d, "_gpl");
SYMBOL_CRC(qat_vfmig_suspend, 0x17442e7f, "_gpl");
SYMBOL_CRC(qat_vfmig_resume, 0x99d30dc6, "_gpl");
SYMBOL_CRC(qat_vfmig_save_state, 0x85ff00a2, "_gpl");
SYMBOL_CRC(qat_vfmig_save_setup, 0x6161526c, "_gpl");
SYMBOL_CRC(qat_vfmig_load_state, 0x4f7494c7, "_gpl");
SYMBOL_CRC(qat_vfmig_load_setup, 0x7e56a91f, "_gpl");
SYMBOL_CRC(qat_vfmig_destroy, 0x52d721ce, "_gpl");
SYMBOL_CRC(adf_gen4_init_tl_data, 0xe2c32138, "_gpl");
SYMBOL_CRC(adf_heartbeat_check_ctrs, 0x369e8f49, "_gpl");
SYMBOL_CRC(adf_heartbeat_save_cfg_param, 0x580193f0, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_add, 0xe897802a, "_gpl");
SYMBOL_CRC(adf_heartbeat_dbgfs_rm, 0x41eb5603, "_gpl");
SYMBOL_CRC(adf_dbgfs_init, 0x95fed3c8, "_gpl");
SYMBOL_CRC(adf_dbgfs_exit, 0xfd77ebb3, "_gpl");
SYMBOL_CRC(adf_disable_sriov, 0x0110e691, "_gpl");
SYMBOL_CRC(adf_sriov_configure, 0x937450a6, "_gpl");
SYMBOL_CRC(adf_disable_pf2vf_interrupts, 0xb0e33314, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_free, 0xbb90702e, "_gpl");
SYMBOL_CRC(adf_vf_isr_resource_alloc, 0x29d6b519, "_gpl");
SYMBOL_CRC(adf_flush_vf_wq, 0x19ed8d4d, "_gpl");
SYMBOL_CRC(adf_enable_pf2vf_comms, 0x56fcf84b, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_init, 0x070a54b8, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_shutdown, 0xaae7c051, "_gpl");
SYMBOL_CRC(adf_vf2pf_notify_restart_complete, 0xc9bf564f, "_gpl");
SYMBOL_CRC(adf_enable_vf2pf_comms, 0xa2945900, "_gpl");
SYMBOL_CRC(adf_gen2_init_pf_pfvf_ops, 0xdf2761e1, "_gpl");
SYMBOL_CRC(adf_gen2_init_vf_pfvf_ops, 0x958c5286, "_gpl");
SYMBOL_CRC(adf_gen4_init_pf_pfvf_ops, 0xe0867057, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xd5dc5f74, "pci_set_master" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xae73212a, "crypto_register_acomps" },
	{ 0x5a44f8cb, "__crypto_memneq" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0xbb9ed3bf, "mutex_trylock" },
	{ 0x85bb2849, "seq_read" },
	{ 0xc62611e1, "scatterwalk_map_and_copy" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x83113ea4, "_dev_notice" },
	{ 0x443d5a12, "crypto_cipher_encrypt_one" },
	{ 0xeb48b6ce, "debugfs_create_file" },
	{ 0x18095330, "dma_free_attrs" },
	{ 0x6091b333, "unregister_chrdev_region" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xa89926dc, "crypto_dh_decode_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x83eab0fb, "seq_write" },
	{ 0xbf802e9e, "crypto_register_kpp" },
	{ 0x39c5bb62, "device_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66454354, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x1883d43f, "pci_disable_sriov" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0xd4496f5b, "single_release" },
	{ 0xdf9734a7, "sg_nents" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xaa8106bc, "crc8_populate_msb" },
	{ 0x64740790, "device_add_groups" },
	{ 0xd21a6aa4, "seq_open" },
	{ 0x59d25781, "crypto_unregister_skciphers" },
	{ 0x81188c30, "match_string" },
	{ 0xee7a79f9, "crypto_register_akcipher" },
	{ 0xb80a8a8c, "single_open" },
	{ 0x350f6ce5, "tasklet_unlock_wait" },
	{ 0x87734d91, "crypto_alloc_shash" },
	{ 0x9eecd57c, "debugfs_create_dir" },
	{ 0x6f2ec742, "pci_write_config_word" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x89ae7aa0, "rsa_parse_pub_key" },
	{ 0xec76b054, "pci_free_irq_vectors" },
	{ 0x619cb7dd, "simple_read_from_buffer" },
	{ 0x2adad9fb, "pci_enable_sriov" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0xb307c89e, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x85b3539c, "cdev_init" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x7f1e5dff, "cdev_del" },
	{ 0xe075eddf, "crypto_shash_export" },
	{ 0xacba5252, "crypto_alloc_skcipher" },
	{ 0x33a9e90b, "crypto_skcipher_encrypt" },
	{ 0xa5df4a90, "pci_save_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0xc5aaf695, "try_module_get" },
	{ 0xe3ec2f2b, "alloc_chrdev_region" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4e9c7164, "crypto_alloc_base" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd31a1296, "devm_kmalloc" },
	{ 0xc60d0620, "__num_online_cpus" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe7d4daac, "seq_list_next" },
	{ 0x171bea01, "pci_alloc_irq_vectors" },
	{ 0xbabef54a, "crypto_unregister_kpp" },
	{ 0x10ed3efe, "seq_release" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xd27253c1, "__kmalloc_node_noprof" },
	{ 0x5301722c, "dma_unmap_page_attrs" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0xb7c6125c, "request_firmware" },
	{ 0x96848186, "scnprintf" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xb36387af, "pci_num_vf" },
	{ 0x69acdf38, "memcpy" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0x4fdde31c, "crypto_register_aeads" },
	{ 0x5ab11be4, "pci_sriov_get_totalvfs" },
	{ 0x5781b592, "seq_hex_dump" },
	{ 0xe8eaa67d, "device_remove_groups" },
	{ 0xc2fef6ed, "seq_lseek" },
	{ 0xbb4f4766, "simple_write_to_buffer" },
	{ 0xdd348f34, "devm_device_add_group" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xff1e9dd8, "seq_list_start" },
	{ 0xc8ae53cc, "pci_irq_vector" },
	{ 0x97af58e4, "crypto_skcipher_setkey" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x558b281d, "aes_expandkey" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x2e3c658f, "crypto_cipher_setkey" },
	{ 0xd5fda699, "dev_driver_string" },
	{ 0xb0d6debf, "crypto_unregister_aeads" },
	{ 0x7420ab79, "crypto_destroy_tfm" },
	{ 0xe65ae371, "pci_read_config_dword" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x9c5d5b94, "crc8" },
	{ 0x68e28690, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x2479193e, "crypto_authenc_extractkeys" },
	{ 0xfba116eb, "crypto_alloc_kpp" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x49391bd5, "crypto_skcipher_decrypt" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0xa916b694, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xb0aa812e, "fips_enabled" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0x47cfd825, "kstrtouint_from_user" },
	{ 0x968b9681, "module_put" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xb0ac3dc2, "compat_ptr_ioctl" },
	{ 0x36f9bae8, "cdev_add" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x9f46ced8, "__sw_hweight64" },
	{ 0xe7419237, "pci_clear_master" },
	{ 0x199c4833, "__irq_apply_affinity_hint" },
	{ 0x6e5737c3, "crypto_unregister_acomps" },
	{ 0x57bc19d2, "down_write" },
	{ 0xde5430f1, "devm_kfree" },
	{ 0x90f50aea, "_dev_err" },
	{ 0xce807a25, "up_write" },
	{ 0xc2851e90, "simple_open" },
	{ 0x1c12c32, "cpu_bit_bitmap" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xf6a57edc, "crypto_unregister_akcipher" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0xaa7a7c35, "device_create" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x46e186c8, "pci_wait_for_pending_transaction" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd75b20aa, "rsa_parse_priv_key" },
	{ 0xb9a8df7b, "dma_alloc_attrs" },
	{ 0x91d3b7e4, "debugfs_remove" },
	{ 0x32e544b0, "pcie_flr" },
	{ 0x77d8c4c3, "pci_read_config_word" },
	{ 0x5a921311, "strncmp" },
	{ 0xa37dd1ad, "seq_putc" },
	{ 0xa8f18ab3, "crypto_shash_digest" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x65b51c0b, "crypto_shash_update" },
	{ 0x4dffca8b, "class_unregister" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x96446211, "crypto_register_skciphers" },
	{ 0x11089ac7, "_ctype" },
	{ 0x14646161, "pci_restore_state" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x169938c1, "__sysfs_match_string" },
	{ 0xfb578fc5, "memset" },
	{ 0xf88f9ee3, "_dev_warn" },
	{ 0xb67af762, "__kmalloc_cache_node_noprof" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "crc8,authenc");


MODULE_INFO(srcversion, "71E183424705FF91D9EB102");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
