#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_gem_vram_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_put, "", "");
KSYMTAB_FUNC(drm_gem_vram_offset, "", "");
KSYMTAB_FUNC(drm_gem_vram_pin, "", "");
KSYMTAB_FUNC(drm_gem_vram_unpin, "", "");
KSYMTAB_FUNC(drm_gem_vram_vmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_vram_fill_create_dumb, "", "");
KSYMTAB_FUNC(drm_gem_vram_driver_dumb_create, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_plane_helper_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_prepare_fb, "", "");
KSYMTAB_FUNC(drm_gem_vram_simple_display_pipe_cleanup_fb, "", "");
KSYMTAB_FUNC(drm_vram_mm_debugfs_init, "", "");
KSYMTAB_FUNC(drmm_vram_helper_init, "", "");
KSYMTAB_FUNC(drm_vram_helper_mode_valid, "", "");

SYMBOL_CRC(drm_gem_vram_create, 0x32f24546, "");
SYMBOL_CRC(drm_gem_vram_put, 0x53e4fbdf, "");
SYMBOL_CRC(drm_gem_vram_offset, 0xc45a4e78, "");
SYMBOL_CRC(drm_gem_vram_pin, 0x1b1f8a38, "");
SYMBOL_CRC(drm_gem_vram_unpin, 0x673e1def, "");
SYMBOL_CRC(drm_gem_vram_vmap, 0x28dd58ed, "");
SYMBOL_CRC(drm_gem_vram_vunmap, 0x182f8d73, "");
SYMBOL_CRC(drm_gem_vram_fill_create_dumb, 0x9a3c0f79, "");
SYMBOL_CRC(drm_gem_vram_driver_dumb_create, 0x690977d6, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_prepare_fb, 0x96e6e419, "");
SYMBOL_CRC(drm_gem_vram_plane_helper_cleanup_fb, 0x84b06565, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_prepare_fb, 0x91704f39, "");
SYMBOL_CRC(drm_gem_vram_simple_display_pipe_cleanup_fb, 0xde1f79e9, "");
SYMBOL_CRC(drm_vram_mm_debugfs_init, 0x0d902ecc, "");
SYMBOL_CRC(drmm_vram_helper_init, 0x7f68a37f, "");
SYMBOL_CRC(drm_vram_helper_mode_valid, 0x4d76919d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xee1e3e23, "drm_gem_ttm_mmap" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7f2501da, "__drmm_add_action_or_reset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xa8fca6bf, "ttm_bo_vunmap" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x9cbc21db, "drm_gem_object_release" },
	{ 0xd1f9fc6a, "ttm_tt_init" },
	{ 0xf761a474, "drm_gem_handle_create" },
	{ 0x2c5e93f3, "drm_gem_fb_get_obj" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x47a05a7d, "ttm_bo_unpin" },
	{ 0x25b1a326, "__drm_puts_seq_file" },
	{ 0x71a179da, "drm_debugfs_add_files" },
	{ 0xd94b1f70, "ttm_bo_init_validate" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xe39b8641, "ttm_device_init" },
	{ 0xbf834b3, "ttm_bo_validate" },
	{ 0x66bf34fb, "ttm_bo_move_to_lru_tail" },
	{ 0xefe99b70, "ttm_bo_vmap" },
	{ 0xa489b823, "ttm_bo_put" },
	{ 0xc0c7bc6c, "ttm_resource_free" },
	{ 0x745c03c5, "ttm_bo_move_memcpy" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xf078ca11, "ttm_tt_fini" },
	{ 0x58247e56, "ttm_device_fini" },
	{ 0xa57e4591, "drm_gem_plane_helper_prepare_fb" },
	{ 0x5a99908c, "ttm_bo_eviction_valuable" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x7a2bb16c, "drm_gem_ttm_print_info" },
	{ 0x78128e56, "ttm_range_man_init_nocheck" },
	{ 0x366a1803, "ww_mutex_lock_interruptible" },
	{ 0x53b8b0b6, "ttm_resource_manager_debug" },
	{ 0x75b89f9c, "ww_mutex_unlock" },
	{ 0x37a0cba, "kfree" },
	{ 0x43c6bd6b, "ttm_range_man_fini_nocheck" },
	{ 0xb205383, "drm_gem_object_init" },
	{ 0x2140e8a1, "__drm_printfn_seq_file" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x60e7c89, "ttm_bo_pin" },
	{ 0xd5fda699, "dev_driver_string" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "drm_ttm_helper,ttm");


MODULE_INFO(srcversion, "45A49E51DAFAA14BA8045FA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
