#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ishtp_device_init, "", "");
KSYMTAB_FUNC(ishtp_start, "", "");
KSYMTAB_FUNC(ishtp_send_suspend, "", "");
KSYMTAB_FUNC(ishtp_send_resume, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_buffer_size, "", "");
KSYMTAB_FUNC(ishtp_cl_get_tx_free_rings, "", "");
KSYMTAB_FUNC(ishtp_cl_flush_queues, "", "");
KSYMTAB_FUNC(ishtp_cl_allocate, "", "");
KSYMTAB_FUNC(ishtp_cl_free, "", "");
KSYMTAB_FUNC(ishtp_cl_link, "", "");
KSYMTAB_FUNC(ishtp_cl_unlink, "", "");
KSYMTAB_FUNC(ishtp_cl_disconnect, "", "");
KSYMTAB_FUNC(ishtp_cl_connect, "", "");
KSYMTAB_FUNC(ishtp_cl_establish_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_destroy_connection, "", "");
KSYMTAB_FUNC(ishtp_cl_send, "", "");
KSYMTAB_FUNC(ishtp_get_client_data, "", "");
KSYMTAB_FUNC(ishtp_set_client_data, "", "");
KSYMTAB_FUNC(ishtp_get_ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_set_tx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_rx_ring_size, "", "");
KSYMTAB_FUNC(ishtp_set_connection_state, "", "");
KSYMTAB_FUNC(ishtp_cl_set_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_recv, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_by_uuid, "", "");
KSYMTAB_FUNC(ishtp_fw_cl_get_client, "", "");
KSYMTAB_FUNC(ishtp_get_fw_client_id, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_register, "", "");
KSYMTAB_FUNC(ishtp_cl_driver_unregister, "", "");
KSYMTAB_FUNC(ishtp_register_event_cb, "", "");
KSYMTAB_FUNC(ishtp_get_device, "", "");
KSYMTAB_FUNC(ishtp_put_device, "", "");
KSYMTAB_FUNC(ishtp_set_drvdata, "", "");
KSYMTAB_FUNC(ishtp_get_drvdata, "", "");
KSYMTAB_FUNC(ishtp_dev_to_cl_device, "", "");
KSYMTAB_FUNC(ishtp_bus_remove_all_clients, "", "");
KSYMTAB_FUNC(ishtp_reset_handler, "", "");
KSYMTAB_FUNC(ishtp_reset_compl_handler, "", "");
KSYMTAB_FUNC(ishtp_device, "", "");
KSYMTAB_FUNC(ishtp_wait_resume, "_gpl", "");
KSYMTAB_FUNC(ishtp_get_pci_device, "", "");
KSYMTAB_FUNC(ishtp_trace_callback, "", "");
KSYMTAB_FUNC(ish_hw_reset, "", "");
KSYMTAB_FUNC(ishtp_cl_io_rb_recycle, "", "");
KSYMTAB_FUNC(ishtp_cl_tx_empty, "", "");
KSYMTAB_FUNC(ishtp_cl_rx_get_rb, "", "");

SYMBOL_CRC(ishtp_device_init, 0x48a3b4a3, "");
SYMBOL_CRC(ishtp_start, 0xf0893b6b, "");
SYMBOL_CRC(ishtp_send_suspend, 0x391b2871, "");
SYMBOL_CRC(ishtp_send_resume, 0x2968ebc6, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_buffer_size, 0x8a9e8896, "");
SYMBOL_CRC(ishtp_cl_get_tx_free_rings, 0x3299e45d, "");
SYMBOL_CRC(ishtp_cl_flush_queues, 0x42967bc0, "");
SYMBOL_CRC(ishtp_cl_allocate, 0x72df0291, "");
SYMBOL_CRC(ishtp_cl_free, 0x3a440894, "");
SYMBOL_CRC(ishtp_cl_link, 0xe390d37f, "");
SYMBOL_CRC(ishtp_cl_unlink, 0xda326e4b, "");
SYMBOL_CRC(ishtp_cl_disconnect, 0x9e236674, "");
SYMBOL_CRC(ishtp_cl_connect, 0x1084d54a, "");
SYMBOL_CRC(ishtp_cl_establish_connection, 0x70840bbe, "");
SYMBOL_CRC(ishtp_cl_destroy_connection, 0x90a9460a, "");
SYMBOL_CRC(ishtp_cl_send, 0x8be1eb80, "");
SYMBOL_CRC(ishtp_get_client_data, 0x53a39f17, "");
SYMBOL_CRC(ishtp_set_client_data, 0x08c5ef3d, "");
SYMBOL_CRC(ishtp_get_ishtp_device, 0xdc2b1704, "");
SYMBOL_CRC(ishtp_set_tx_ring_size, 0xaec55f1e, "");
SYMBOL_CRC(ishtp_set_rx_ring_size, 0xc9e74504, "");
SYMBOL_CRC(ishtp_set_connection_state, 0xfa1f2863, "");
SYMBOL_CRC(ishtp_cl_set_fw_client_id, 0xe67adcca, "");
SYMBOL_CRC(ishtp_recv, 0xdd49458f, "");
SYMBOL_CRC(ishtp_fw_cl_by_uuid, 0x3fdb5340, "");
SYMBOL_CRC(ishtp_fw_cl_get_client, 0x954ffb3b, "");
SYMBOL_CRC(ishtp_get_fw_client_id, 0x5f9b0501, "");
SYMBOL_CRC(ishtp_cl_driver_register, 0x29cbe41c, "");
SYMBOL_CRC(ishtp_cl_driver_unregister, 0xae216561, "");
SYMBOL_CRC(ishtp_register_event_cb, 0xa200f9f2, "");
SYMBOL_CRC(ishtp_get_device, 0x2d0aed28, "");
SYMBOL_CRC(ishtp_put_device, 0xfc238f81, "");
SYMBOL_CRC(ishtp_set_drvdata, 0x09c2a41d, "");
SYMBOL_CRC(ishtp_get_drvdata, 0xb31cff64, "");
SYMBOL_CRC(ishtp_dev_to_cl_device, 0x8f678d0e, "");
SYMBOL_CRC(ishtp_bus_remove_all_clients, 0x46c3d1f1, "");
SYMBOL_CRC(ishtp_reset_handler, 0x5ef9ff01, "");
SYMBOL_CRC(ishtp_reset_compl_handler, 0x3262515c, "");
SYMBOL_CRC(ishtp_device, 0xb238c87e, "");
SYMBOL_CRC(ishtp_wait_resume, 0x9bff5031, "_gpl");
SYMBOL_CRC(ishtp_get_pci_device, 0xa2c05198, "");
SYMBOL_CRC(ishtp_trace_callback, 0x103f2160, "");
SYMBOL_CRC(ish_hw_reset, 0x15f9fa9a, "");
SYMBOL_CRC(ishtp_cl_io_rb_recycle, 0xea53bac9, "");
SYMBOL_CRC(ishtp_cl_tx_empty, 0xefc708c7, "");
SYMBOL_CRC(ishtp_cl_rx_get_rb, 0xc8d2fad0, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xe2d187d9, "put_device" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf846052d, "bus_unregister" },
	{ 0x90f50aea, "_dev_err" },
	{ 0x69dd3b5b, "crc32_le" },
	{ 0xb9a8df7b, "dma_alloc_attrs" },
	{ 0xbb05ce9, "driver_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x267d620b, "device_register" },
	{ 0xf88f9ee3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc805f93, "clflush_cache_range" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x18095330, "dma_free_attrs" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x6f8cc3a3, "dev_err_probe" },
	{ 0x6aea64a7, "__devm_add_action" },
	{ 0x754d539c, "strlen" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xdb7782b1, "driver_register" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x33e57069, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x81e6b37f, "dmi_get_system_info" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x9001ef33, "firmware_request_nowarn" },
	{ 0x5cdfc4f2, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe770afa6, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "F5B162B01BB4560149CAE69");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
