#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rmi_dbg, "_gpl", "");
KSYMTAB_FUNC(rmi_register_transport_device, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_transport_device, "", "");
KSYMTAB_FUNC(__rmi_register_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_unregister_function_handler, "_gpl", "");
KSYMTAB_FUNC(rmi_of_property_read_u32, "_gpl", "");
KSYMTAB_FUNC(rmi_set_attn_data, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_suspend, "_gpl", "");
KSYMTAB_FUNC(rmi_driver_resume, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_process, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_abs_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_rel_report, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_configure_input, "_gpl", "");
KSYMTAB_FUNC(rmi_2d_sensor_of_probe, "_gpl", "");

SYMBOL_CRC(rmi_dbg, 0x342751cd, "_gpl");
SYMBOL_CRC(rmi_register_transport_device, 0x4c9b0cdf, "_gpl");
SYMBOL_CRC(rmi_unregister_transport_device, 0xcdb0dacb, "");
SYMBOL_CRC(__rmi_register_function_handler, 0x2f3a054e, "_gpl");
SYMBOL_CRC(rmi_unregister_function_handler, 0x5240c5fd, "_gpl");
SYMBOL_CRC(rmi_of_property_read_u32, 0xed29db0c, "_gpl");
SYMBOL_CRC(rmi_set_attn_data, 0xb696f4a1, "_gpl");
SYMBOL_CRC(rmi_driver_suspend, 0x9feebff2, "_gpl");
SYMBOL_CRC(rmi_driver_resume, 0x16471a9e, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_process, 0xaa1ea44f, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_abs_report, 0xed1aa957, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_rel_report, 0xce8aaaf6, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_configure_input, 0xd161107b, "_gpl");
SYMBOL_CRC(rmi_2d_sensor_of_probe, 0xa393a509, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x476b165a, "sized_strscpy" },
	{ 0x9d1edeba, "vb2_ioctl_dqbuf" },
	{ 0xf846052d, "bus_unregister" },
	{ 0xde5430f1, "devm_kfree" },
	{ 0x90f50aea, "_dev_err" },
	{ 0xa4a47a21, "vb2_ioctl_create_bufs" },
	{ 0xd8c270ba, "device_add" },
	{ 0x8b55d3f4, "input_mt_init_slots" },
	{ 0x8e7747a8, "irq_get_irq_data" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x51c28849, "input_set_capability" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc80ff35e, "vb2_buffer_done" },
	{ 0xbb05ce9, "driver_unregister" },
	{ 0x805b603a, "vb2_plane_vaddr" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x30d202ac, "video_unregister_device" },
	{ 0x778a6a6f, "sysfs_create_group" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xe5a2d6c8, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69820125, "vb2_fop_mmap" },
	{ 0x9076d124, "device_del" },
	{ 0x933edc78, "__irq_resolve_mapping" },
	{ 0x549525ef, "handle_nested_irq" },
	{ 0x61f4a1ce, "vb2_vmalloc_memops" },
	{ 0xf88f9ee3, "_dev_warn" },
	{ 0xa084749a, "__bitmap_or" },
	{ 0xe6b8997f, "serio_unregister_port" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xcb23a168, "input_event" },
	{ 0x78c19175, "vb2_fop_read" },
	{ 0xce2840e7, "irq_set_irq_wake" },
	{ 0x7f52a1d4, "v4l2_device_register" },
	{ 0xbe06946b, "input_set_abs_params" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xa0c1e469, "devm_kasprintf" },
	{ 0x2bb7c0b0, "sysfs_remove_group" },
	{ 0x5f4ca994, "serio_interrupt" },
	{ 0x9ecff7be, "irq_domain_instantiate" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x8a0da8d6, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x5a9a82b6, "vb2_ops_wait_prepare" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x56470118, "__warn_printk" },
	{ 0xcf234477, "irq_create_mapping_affinity" },
	{ 0x6e37b841, "vb2_ioctl_streamon" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xbde4a121, "input_alloc_absinfo" },
	{ 0xb6d1170f, "vb2_fop_poll" },
	{ 0x30e57b8, "v4l2_device_unregister" },
	{ 0x20a789ac, "irq_set_chip_data" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0x4b43ac46, "_dev_printk" },
	{ 0x236d38d4, "video_device_release_empty" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xdb7782b1, "driver_register" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x33e57069, "bus_register" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x5896a6d, "vb2_ioctl_reqbufs" },
	{ 0xd7c5a7b2, "vb2_queue_init" },
	{ 0x959b942a, "input_mt_assign_slots" },
	{ 0xc2b95c56, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x3a5be03, "devm_request_threaded_irq" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd31a1296, "devm_kmalloc" },
	{ 0x5383d0e, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5cdfc4f2, "dev_set_name" },
	{ 0x94a7dbd4, "vb2_ioctl_expbuf" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x50a3d448, "input_mt_sync_frame" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x303abf1b, "irq_domain_remove" },
	{ 0x74c134b9, "__sw_hweight32" },
	{ 0x2c7db649, "irq_dispose_mapping" },
	{ 0xf8fd6806, "vb2_ops_wait_finish" },
	{ 0xb7c6125c, "request_firmware" },
	{ 0x164449a3, "input_mt_report_slot_state" },
	{ 0x28aaef01, "device_initialize" },
	{ 0x77690b1a, "devm_input_allocate_device" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xe95c824d, "vb2_ioctl_querybuf" },
	{ 0x4ee97ab0, "__serio_register_port" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x686d2ab8, "v4l2_fh_open" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd5fda699, "dev_driver_string" },
	{ 0x6bb6f9ba, "irq_domain_simple_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x7522f3ba, "irq_modify_status" },
	{ 0x6067ff25, "input_register_device" },
	{ 0xf390f6f1, "__bitmap_andnot" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x5c00340d, "video_devdata" },
	{ 0x6481101d, "irq_set_chip_and_handler_name" },
	{ 0xe2d187d9, "put_device" },
	{ 0x9cd3ebe5, "vb2_fop_release" },
	{ 0xa916b694, "strnlen" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xd1a171c5, "handle_simple_irq" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "videobuf2-v4l2,videobuf2-common,videodev,videobuf2-vmalloc");


MODULE_INFO(srcversion, "C7C7250971C62136A5A83FF");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
