#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(bttv_get_pcidev, "", "");
KSYMTAB_FUNC(bttv_gpio_enable, "", "");
KSYMTAB_FUNC(bttv_read_gpio, "", "");
KSYMTAB_FUNC(bttv_write_gpio, "", "");
KSYMTAB_FUNC(bttv_sub_register, "", "");
KSYMTAB_FUNC(bttv_sub_unregister, "", "");

SYMBOL_CRC(bttv_get_pcidev, 0xe738fc47, "");
SYMBOL_CRC(bttv_gpio_enable, 0x11dc4b6d, "");
SYMBOL_CRC(bttv_read_gpio, 0xbcf2d2fb, "");
SYMBOL_CRC(bttv_write_gpio, 0x8ecf4acc, "");
SYMBOL_CRC(bttv_sub_register, 0x513b48f6, "");
SYMBOL_CRC(bttv_sub_unregister, 0x6a42446d, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x34a50bf0, "snd_tea575x_enum_freq_bands" },
	{ 0xc80ff35e, "vb2_buffer_done" },
	{ 0xbb05ce9, "driver_unregister" },
	{ 0x805b603a, "vb2_plane_vaddr" },
	{ 0xa77095af, "v4l2_ctrl_subscribe_event" },
	{ 0xca120908, "snd_tea575x_s_hw_freq_seek" },
	{ 0xde80cd09, "ioremap" },
	{ 0x30d202ac, "video_unregister_device" },
	{ 0x7f33116f, "snd_tea575x_set_freq" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x1769c0bc, "i2c_new_client_device" },
	{ 0xe5a2d6c8, "vb2_ioctl_qbuf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x69820125, "vb2_fop_mmap" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x267d620b, "device_register" },
	{ 0x1b9ecd5d, "rc_free_device" },
	{ 0xd5dc5f74, "pci_set_master" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x78c19175, "vb2_fop_read" },
	{ 0x7f52a1d4, "v4l2_device_register" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4ed47754, "i2c_add_adapter" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x72cdc474, "rc_allocate_device" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x18095330, "dma_free_attrs" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x36e436c5, "snd_tea575x_hw_init" },
	{ 0x8a0da8d6, "__video_register_device" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x30d3b86c, "pci_write_config_byte" },
	{ 0x5a9a82b6, "vb2_ops_wait_prepare" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x6e37b841, "vb2_ioctl_streamon" },
	{ 0xb6d1170f, "vb2_fop_poll" },
	{ 0x5a657f85, "v4l2_ctrl_new_std" },
	{ 0xf2a353ac, "v4l2_i2c_tuner_addrs" },
	{ 0xf50f2dad, "v4l2_ctrl_handler_free" },
	{ 0x30e57b8, "v4l2_device_unregister" },
	{ 0xdfbd1921, "pci_disable_device" },
	{ 0xa90fc764, "vb2_wait_for_all_buffers" },
	{ 0xa19437c, "dma_set_mask" },
	{ 0xdbf0296, "tveeprom_hauppauge_analog" },
	{ 0x626c772c, "v4l2_subdev_call_wrappers" },
	{ 0x614dd5a, "v4l2_video_std_frame_period" },
	{ 0x94177886, "v4l2_i2c_new_subdev" },
	{ 0xfa63cf30, "pci_read_config_byte" },
	{ 0x77358855, "iomem_resource" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x236d38d4, "video_device_release_empty" },
	{ 0xdb7782b1, "driver_register" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc9b4e6c1, "rc_unregister_device" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0x67a0abee, "v4l2_event_unsubscribe" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x85bd1608, "__request_region" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x33e57069, "bus_register" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x5896a6d, "vb2_ioctl_reqbufs" },
	{ 0xd7c5a7b2, "vb2_queue_init" },
	{ 0x63a639e1, "snd_tea575x_g_tuner" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x9e9c84d7, "vb2_dma_sg_memops" },
	{ 0x2e89b6f0, "v4l2_ctrl_poll" },
	{ 0xc2b95c56, "video_ioctl2" },
	{ 0xc6d09aa9, "release_firmware" },
	{ 0xe66a7db0, "pci_enable_device" },
	{ 0x5383d0e, "vb2_ioctl_streamoff" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x7294aa4f, "v4l2_ctrl_radio_filter" },
	{ 0x5cdfc4f2, "dev_set_name" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x29585b77, "i2c_bit_add_bus" },
	{ 0xa50e94c1, "v4l2_ctrl_add_handler" },
	{ 0xe770afa6, "device_unregister" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xc86351ba, "pci_get_device" },
	{ 0xb7c6125c, "request_firmware" },
	{ 0xf8fd6806, "vb2_ops_wait_finish" },
	{ 0x265928b7, "__pci_register_driver" },
	{ 0xde84bc8d, "v4l2_ctrl_handler_init_class" },
	{ 0xedc03953, "iounmap" },
	{ 0x9dd4be29, "param_array_ops" },
	{ 0x37a0cba, "kfree" },
	{ 0xe95c824d, "vb2_ioctl_querybuf" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x1e8f5f72, "i2c_transfer_buffer_flags" },
	{ 0xdc14eda7, "pci_pci_problems" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xe2964344, "__wake_up" },
	{ 0x686d2ab8, "v4l2_fh_open" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0x2f79361e, "pci_unregister_driver" },
	{ 0x1035c7c2, "__release_region" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b2dc060, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x46a84f0d, "v4l2_ctrl_handler_log_status" },
	{ 0x1f5fa909, "v4l2_ctrl_handler_setup" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x5c00340d, "video_devdata" },
	{ 0xe2d187d9, "put_device" },
	{ 0x441d0de9, "__kmalloc_large_noprof" },
	{ 0x9cd3ebe5, "vb2_fop_release" },
	{ 0xdec99a58, "i2c_new_scanned_device" },
	{ 0xa916b694, "strnlen" },
	{ 0xd6b25cd3, "v4l2_ctrl_find" },
	{ 0x3754b3f1, "i2c_del_adapter" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xfd2f5a, "__v4l2_ctrl_s_ctrl" },
	{ 0x33ac96cc, "vb2_plane_cookie" },
	{ 0x1d788112, "device_create_file" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xf1e6a258, "rc_keyup" },
	{ 0x9d1edeba, "vb2_ioctl_dqbuf" },
	{ 0xf846052d, "bus_unregister" },
	{ 0xa4a47a21, "vb2_ioctl_create_bufs" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x2194c42a, "tveeprom_read" },
	{ 0xa6bc48e2, "v4l2_ctrl_new_custom" },
	{ 0x74d5a4a2, "rc_keydown_notimeout" },
	{ 0x24d273d1, "add_timer" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x31ae6283, "v4l2_fh_release" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x8f601aac, "rc_register_device" },
	{ 0xb9a8df7b, "dma_alloc_attrs" },
	{ 0x5a921311, "strncmp" },
	{ 0x8747ce43, "rc_keydown" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "tea575x,videobuf2-common,videodev,videobuf2-v4l2,rc-core,tveeprom,videobuf2-dma-sg,i2c-algo-bit");

MODULE_ALIAS("pci:v0000109Ed00000350sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed00000351sv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Esv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Fsv*sd*bc*sc*i*");
MODULE_ALIAS("pci:v0000109Ed0000036Csv*sd*bc*sc*i*");

MODULE_INFO(srcversion, "37E27DBB880D5C37827DABE");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
