#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(mpt_fwfault_debug, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_get_num_paths, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg1, "", "");
KSYMTAB_FUNC(mpt_set_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_clear_taskmgmt_in_progress_flag, "", "");
KSYMTAB_FUNC(mpt_halt_firmware, "", "");
KSYMTAB_FUNC(mpt_Soft_Hard_ResetHandler, "", "");
KSYMTAB_FUNC(mpt_attach, "", "");
KSYMTAB_FUNC(mpt_detach, "", "");
KSYMTAB_FUNC(mpt_resume, "", "");
KSYMTAB_FUNC(mpt_suspend, "", "");
KSYMTAB_DATA(ioc_list, "", "");
KSYMTAB_FUNC(mpt_register, "", "");
KSYMTAB_FUNC(mpt_deregister, "", "");
KSYMTAB_FUNC(mpt_event_register, "", "");
KSYMTAB_FUNC(mpt_event_deregister, "", "");
KSYMTAB_FUNC(mpt_reset_register, "", "");
KSYMTAB_FUNC(mpt_reset_deregister, "", "");
KSYMTAB_FUNC(mpt_device_driver_register, "", "");
KSYMTAB_FUNC(mpt_device_driver_deregister, "", "");
KSYMTAB_FUNC(mpt_get_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame, "", "");
KSYMTAB_FUNC(mpt_put_msg_frame_hi_pri, "", "");
KSYMTAB_FUNC(mpt_free_msg_frame, "", "");
KSYMTAB_FUNC(mpt_send_handshake_request, "", "");
KSYMTAB_FUNC(mpt_verify_adapter, "", "");
KSYMTAB_FUNC(mpt_GetIocState, "", "");
KSYMTAB_FUNC(mpt_print_ioc_summary, "", "");
KSYMTAB_FUNC(mpt_HardResetHandler, "", "");
KSYMTAB_FUNC(mpt_config, "", "");
KSYMTAB_FUNC(mpt_findImVolumes, "", "");
KSYMTAB_FUNC(mpt_alloc_fw_memory, "", "");
KSYMTAB_FUNC(mpt_free_fw_memory, "", "");
KSYMTAB_FUNC(mptbase_sas_persist_operation, "", "");
KSYMTAB_FUNC(mpt_raid_phys_disk_pg0, "", "");

SYMBOL_CRC(mpt_fwfault_debug, 0x502108d0, "");
SYMBOL_CRC(mpt_raid_phys_disk_get_num_paths, 0xbfc02a1e, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg1, 0xc2244210, "");
SYMBOL_CRC(mpt_set_taskmgmt_in_progress_flag, 0xc782ddca, "");
SYMBOL_CRC(mpt_clear_taskmgmt_in_progress_flag, 0x9f11880b, "");
SYMBOL_CRC(mpt_halt_firmware, 0x65e52e54, "");
SYMBOL_CRC(mpt_Soft_Hard_ResetHandler, 0x7ecb5617, "");
SYMBOL_CRC(mpt_attach, 0xa7c3f16e, "");
SYMBOL_CRC(mpt_detach, 0x99ea96bd, "");
SYMBOL_CRC(mpt_resume, 0x6a2941c2, "");
SYMBOL_CRC(mpt_suspend, 0x77e7e1a9, "");
SYMBOL_CRC(ioc_list, 0xdd805159, "");
SYMBOL_CRC(mpt_register, 0xbd4d3614, "");
SYMBOL_CRC(mpt_deregister, 0x981efe92, "");
SYMBOL_CRC(mpt_event_register, 0xd7b521ec, "");
SYMBOL_CRC(mpt_event_deregister, 0xe6c1e126, "");
SYMBOL_CRC(mpt_reset_register, 0x86e3d4af, "");
SYMBOL_CRC(mpt_reset_deregister, 0x610b257e, "");
SYMBOL_CRC(mpt_device_driver_register, 0xc8712b22, "");
SYMBOL_CRC(mpt_device_driver_deregister, 0x74a0134a, "");
SYMBOL_CRC(mpt_get_msg_frame, 0xd56613bb, "");
SYMBOL_CRC(mpt_put_msg_frame, 0xa08d33a1, "");
SYMBOL_CRC(mpt_put_msg_frame_hi_pri, 0xffcd6faa, "");
SYMBOL_CRC(mpt_free_msg_frame, 0x9a68482a, "");
SYMBOL_CRC(mpt_send_handshake_request, 0x6bcf993e, "");
SYMBOL_CRC(mpt_verify_adapter, 0xfd7f83b8, "");
SYMBOL_CRC(mpt_GetIocState, 0x37925614, "");
SYMBOL_CRC(mpt_print_ioc_summary, 0x8370f9b7, "");
SYMBOL_CRC(mpt_HardResetHandler, 0xa90bcaa9, "");
SYMBOL_CRC(mpt_config, 0x3354dc96, "");
SYMBOL_CRC(mpt_findImVolumes, 0xe695d921, "");
SYMBOL_CRC(mpt_alloc_fw_memory, 0xcc19b209, "");
SYMBOL_CRC(mpt_free_fw_memory, 0x311322e8, "");
SYMBOL_CRC(mptbase_sas_persist_operation, 0x8f19933c, "");
SYMBOL_CRC(mpt_raid_phys_disk_pg0, 0x2984db17, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x92997ed8, "_printk" },
	{ 0x66454354, "seq_printf" },
	{ 0xd992e53c, "pci_stop_and_remove_bus_device_locked" },
	{ 0xb9a8df7b, "dma_alloc_attrs" },
	{ 0x18095330, "dma_free_attrs" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x1ad2ea52, "pci_select_bars" },
	{ 0x235c912a, "pci_enable_device_mem" },
	{ 0x94b3886f, "pci_request_selected_regions" },
	{ 0x420cf2a9, "dma_get_required_mask" },
	{ 0xa19437c, "dma_set_mask" },
	{ 0x35ffdce, "dma_set_coherent_mask" },
	{ 0xde80cd09, "ioremap" },
	{ 0xee06f46d, "pci_release_selected_regions" },
	{ 0xdfbd1921, "pci_disable_device" },
	{ 0xfb578fc5, "memset" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x660ac86c, "remove_proc_entry" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37a0cba, "kfree" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf1e046cc, "panic" },
	{ 0x5c8c86b1, "param_set_int" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xa6257a2f, "complete" },
	{ 0xa37dd1ad, "seq_putc" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0xf9a482f9, "msleep" },
	{ 0x1c60c615, "pci_choose_state" },
	{ 0xc1514a3b, "free_irq" },
	{ 0xd556d663, "pci_disable_msi" },
	{ 0xa5df4a90, "pci_save_state" },
	{ 0xf7149c5, "pci_set_power_state" },
	{ 0x7c7f0059, "proc_mkdir" },
	{ 0xbf32914b, "proc_create_single_data" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x77d8c4c3, "pci_read_config_word" },
	{ 0x6f2ec742, "pci_write_config_word" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xe523ad75, "synchronize_irq" },
	{ 0xedc03953, "iounmap" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xe66a7db0, "pci_enable_device" },
	{ 0xe7b5f9c0, "pci_enable_msi" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0xd5dc5f74, "pci_set_master" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xed21fc61, "kthread_create_on_node" },
	{ 0xd8def94b, "wake_up_process" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xfa63cf30, "pci_read_config_byte" },
	{ 0x30d3b86c, "pci_write_config_byte" },
	{ 0x1f1387e, "pci_get_slot" },
	{ 0xbfe2b042, "pci_dev_put" },
	{ 0xd4308185, "pci_enable_wake" },
	{ 0x14646161, "pci_restore_state" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0x228ab201, "param_get_int" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "A9A75BA26A33B1F6BDD06DC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
