#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(m_can_check_mram_cfg, "_gpl", "");
KSYMTAB_FUNC(m_can_init_ram, "_gpl", "");
KSYMTAB_FUNC(m_can_class_get_clocks, "_gpl", "");
KSYMTAB_FUNC(m_can_class_allocate_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_free_dev, "_gpl", "");
KSYMTAB_FUNC(m_can_class_register, "_gpl", "");
KSYMTAB_FUNC(m_can_class_unregister, "_gpl", "");
KSYMTAB_FUNC(m_can_class_suspend, "_gpl", "");
KSYMTAB_FUNC(m_can_class_resume, "_gpl", "");

SYMBOL_CRC(m_can_check_mram_cfg, 0x5498db62, "_gpl");
SYMBOL_CRC(m_can_init_ram, 0xb9bb865a, "_gpl");
SYMBOL_CRC(m_can_class_get_clocks, 0x1d9504f4, "_gpl");
SYMBOL_CRC(m_can_class_allocate_dev, 0xb6fbdbbb, "_gpl");
SYMBOL_CRC(m_can_class_free_dev, 0x0f687bf6, "_gpl");
SYMBOL_CRC(m_can_class_register, 0xa224f39d, "_gpl");
SYMBOL_CRC(m_can_class_unregister, 0x0f41c37b, "_gpl");
SYMBOL_CRC(m_can_class_suspend, 0x66c73a9d, "_gpl");
SYMBOL_CRC(m_can_class_resume, 0xcf95fffc, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x373b0d5, "dql_reset" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8eabae6, "unregister_candev" },
	{ 0x5d64c5f2, "can_rx_offload_del" },
	{ 0x9504df26, "irq_wake_thread" },
	{ 0xa5040ad5, "devm_clk_get" },
	{ 0x1c6c04bc, "__pm_runtime_resume" },
	{ 0x1f7155cb, "dql_completed" },
	{ 0x2ef3ee43, "netif_tx_wake_queue" },
	{ 0x7fa0e5c, "netif_schedule_queue" },
	{ 0xe4d16810, "__pm_runtime_idle" },
	{ 0x85e2d1d4, "can_skb_get_frame_len" },
	{ 0x6047ede6, "can_fd_len2dlc" },
	{ 0x697ed5f0, "memcpy_and_pad" },
	{ 0x9e5cc7d0, "can_put_echo_skb" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x102fe6de, "hrtimer_cancel" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2155f701, "hrtimer_try_to_cancel" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0xc0b7c197, "hrtimer_start_range_ns" },
	{ 0x9a386732, "netdev_warn" },
	{ 0x28893a02, "phy_power_on" },
	{ 0x78f46a3, "open_candev" },
	{ 0x9afd5577, "napi_enable" },
	{ 0x7c4cafca, "phy_power_off" },
	{ 0x7bbb5f07, "can_rx_offload_enable" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x92d5838e, "request_threaded_irq" },
	{ 0x48593770, "napi_disable" },
	{ 0x3c9e4b69, "close_candev" },
	{ 0xc1514a3b, "free_irq" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xcf43a647, "sk_skb_reason_drop" },
	{ 0x33c17def, "can_dropped_invalid_skb" },
	{ 0x35a32e14, "softnet_data" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x668361e1, "netdev_printk" },
	{ 0x62362544, "pinctrl_pm_select_default_state" },
	{ 0x89911086, "netif_device_attach" },
	{ 0xea82d349, "hrtimer_init" },
	{ 0xcb1ac21c, "register_candev" },
	{ 0xd31a1296, "devm_kmalloc" },
	{ 0x4cf0a5d4, "can_rx_offload_add_manual" },
	{ 0x120e5a8b, "netif_napi_add_weight" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0x7a26e36b, "alloc_can_err_skb" },
	{ 0x991d52a7, "can_rx_offload_queue_timestamp" },
	{ 0xb9bb4ed8, "netif_receive_skb" },
	{ 0x6fe80bd5, "__dynamic_netdev_dbg" },
	{ 0xccf2205d, "pinctrl_pm_select_sleep_state" },
	{ 0x617935a2, "netif_device_detach" },
	{ 0xa69ca373, "can_bus_off" },
	{ 0x58fc2da1, "alloc_canfd_skb" },
	{ 0x2751212a, "alloc_can_skb" },
	{ 0xf12d9387, "can_fd_dlc2len" },
	{ 0xf6084620, "napi_complete_done" },
	{ 0xcb2e80c6, "hrtimer_active" },
	{ 0x713d4240, "napi_schedule_prep" },
	{ 0x15d43569, "can_rx_offload_threaded_irq_finish" },
	{ 0xd6e37b76, "__napi_schedule" },
	{ 0x135bb7ec, "hrtimer_forward" },
	{ 0xa6b2028c, "ethtool_op_get_ts_info" },
	{ 0x74751ee7, "can_change_mtu" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x90f50aea, "_dev_err" },
	{ 0xba27fafb, "__dev_fwnode" },
	{ 0x82916bb5, "fwnode_property_read_u32_array" },
	{ 0x469e94d, "alloc_candev_mqs" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0x59863733, "free_candev" },
	{ 0x7312a503, "netdev_err" },
	{ 0xdfe0b431, "can_rx_offload_get_echo_skb_queue_timestamp" },
	{ 0xb9f168b, "can_get_echo_skb" },
	{ 0x692b8d96, "can_free_echo_skb" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "can-dev");


MODULE_INFO(srcversion, "91F07721A1A9F5A18888370");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
