#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x4d8457c9, "genphy_read_mmd_unsupported" },
	{ 0x7077fee5, "genphy_write_mmd_unsupported" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb09175d7, "phy_drivers_register" },
	{ 0x19b4175, "mdiobus_read" },
	{ 0x1f678797, "mdiobus_write" },
	{ 0x332c0571, "genphy_read_status" },
	{ 0x232d3e33, "phy_modify" },
	{ 0xc4c0fc77, "genphy_read_abilities" },
	{ 0x8dbbaf1, "phy_read_mmd" },
	{ 0x4855b7f4, "phy_write_mmd" },
	{ 0xe55c8e15, "genphy_restart_aneg" },
	{ 0x30387cb, "phy_trigger_machine" },
	{ 0x901a2c44, "phy_error" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x14ec375d, "ptp_classify_raw" },
	{ 0x40c6db6d, "ptp_parse_header" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xe31616c5, "skb_complete_tx_timestamp" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x24a15c48, "__mdiobus_write" },
	{ 0x6d3d8c01, "__mdiobus_read" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xb43f9365, "ktime_get" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x90f50aea, "_dev_err" },
	{ 0xa7af3f27, "ethnl_cable_test_result_with_src" },
	{ 0xa6783920, "ethnl_cable_test_fault_length_with_src" },
	{ 0xf9a482f9, "msleep" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x878529e1, "phy_drivers_unregister" },
	{ 0x2744c4ab, "genphy_resume" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x6b879e4e, "__genphy_config_aneg" },
	{ 0x1479a216, "phy_eee_cap1_features" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x836724c6, "phy_init_hw" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xce7dbef5, "phy_modify_mmd" },
	{ 0x3422f45c, "skb_queue_purge_reason" },
	{ 0x4ccd689f, "ptp_find_pin_unlocked" },
	{ 0xb7260cf, "ptp_clock_event" },
	{ 0x756baec9, "ptp_find_pin" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xd31a1296, "devm_kmalloc" },
	{ 0x9e30f474, "devm_phy_package_join" },
	{ 0x671cebb5, "devm_gpiod_get_optional" },
	{ 0x2fcbb078, "gpiod_set_consumer_name" },
	{ 0x4522df80, "gpiod_set_value_cansleep" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x693d3f83, "ptp_clock_register" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0xd2bc8c59, "genphy_suspend" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x815588a6, "clk_enable" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xbeb34e81, "skb_push" },
	{ 0x191927b1, "netif_rx" },
	{ 0x37a0cba, "kfree" },
	{ 0xbd584628, "devm_clk_get_optional_enabled" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x56f729a7, "ptp_cancel_worker_sync" },
	{ 0x94e85ad4, "genphy_soft_reset" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "libphy");

MODULE_ALIAS("mdio:????????????0010000101100001000?");
MODULE_ALIAS("mdio:????????00100010000101100010????");
MODULE_ALIAS("mdio:????????00100010000101100100????");
MODULE_ALIAS("mdio:????????0010001000010110000110??");
MODULE_ALIAS("mdio:????????00100010000101110010????");
MODULE_ALIAS("mdio:????????001000100001010101010101");
MODULE_ALIAS("mdio:????????001000100001010101010110");
MODULE_ALIAS("mdio:????????00100010000101010001????");
MODULE_ALIAS("mdio:????????00100010000101010101????");
MODULE_ALIAS("mdio:????????00100010000101010111????");
MODULE_ALIAS("mdio:????????00100010000101010110????");
MODULE_ALIAS("mdio:????????00001110011100100011????");
MODULE_ALIAS("mdio:????????00100010000101000011????");
MODULE_ALIAS("mdio:????????00100010000101100011????");
MODULE_ALIAS("mdio:????????00100010000101100110????");
MODULE_ALIAS("mdio:????????00100010000101100111????");
MODULE_ALIAS("mdio:????????00100010000101100101????");

MODULE_INFO(srcversion, "45654D8BF8B980BECAE7598");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
