#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x7743a2cd, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0xf4638680, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x631f0ab6, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xa767ffe2, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0xd6353061, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x00a91392, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x57df1f85, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x9dabab12, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0x25fe55a4, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x33842352, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0x9a05c8cf, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0x8041e69a, "_gpl");
SYMBOL_CRC(usbnet_stop, 0x43d33073, "_gpl");
SYMBOL_CRC(usbnet_open, 0xb0fbbebb, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0xfab9ca00, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x5d42eff2, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0xd877e0b2, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0x3b7cdb15, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0x3958753e, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xf9f8d0d8, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xbb5c2d1b, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0xe3ee6151, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x3ab81a21, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0xb2703656, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x0ef8e790, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x64997606, "_gpl");
SYMBOL_CRC(usbnet_probe, 0xba66ce07, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0xee2b8bae, "_gpl");
SYMBOL_CRC(usbnet_resume, 0x71b86ac6, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x0fd02bbb, "");
SYMBOL_CRC(usbnet_manage_power, 0xa9c8f4c7, "");
SYMBOL_CRC(usbnet_link_change, 0x2db2f95a, "");
SYMBOL_CRC(usbnet_read_cmd, 0x3664b6ac, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0x94273229, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0x9ef87bc5, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x095d1669, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0xfd375fca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x50d8b52c, "usb_set_interface" },
	{ 0x13ed66ec, "usb_string" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0x10fc91e1, "dev_addr_mod" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x191927b1, "netif_rx" },
	{ 0x49413f93, "eth_type_trans" },
	{ 0x126fd3de, "skb_queue_tail" },
	{ 0x6fe80bd5, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x3422f45c, "skb_queue_purge_reason" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xa47133e8, "usb_get_urb" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd9c49914, "usb_unlink_urb" },
	{ 0x98c88c1b, "usb_free_urb" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x4afb2238, "add_wait_queue" },
	{ 0x37110088, "remove_wait_queue" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x736f1f6a, "usb_submit_urb" },
	{ 0x7312a503, "netdev_err" },
	{ 0xfedcf11a, "mii_ethtool_get_link_ksettings" },
	{ 0x17f949aa, "mii_ethtool_set_link_ksettings" },
	{ 0x57a2c884, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x40bb9b7f, "unregister_netdev" },
	{ 0x4a4ffdbe, "consume_skb" },
	{ 0x7cc01d0d, "usb_get_from_anchor" },
	{ 0x9a1e5581, "usb_kill_urb" },
	{ 0x1fe5da2b, "free_netdev" },
	{ 0x6e433aa6, "netdev_info" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x617935a2, "netif_device_detach" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x89911086, "netif_device_attach" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xae7e74ce, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xfd620cbb, "usb_autopm_get_interface" },
	{ 0x6078ece4, "usb_autopm_put_interface" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x21344796, "usb_alloc_urb" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xcfa34412, "mii_link_ok" },
	{ 0x38906e2d, "ethtool_op_get_link" },
	{ 0xa1d811ea, "usb_autopm_put_interface_async" },
	{ 0xcbf63e7d, "netif_carrier_on" },
	{ 0xac6519d, "netif_carrier_off" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x5112dfdd, "skb_dequeue" },
	{ 0x61179ad6, "alloc_etherdev_mqs" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xbba7d99d, "register_netdev" },
	{ 0xc21b200e, "pm_runtime_enable" },
	{ 0xf7f2ceff, "usb_check_bulk_endpoints" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0xbebbf04f, "usb_autopm_get_interface_async" },
	{ 0x3c0252b7, "skb_tstamp_tx" },
	{ 0xb5b06095, "dev_kfree_skb_any_reason" },
	{ 0xe0fb7059, "usb_anchor_urb" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x303a9378, "__netdev_alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2964344, "__wake_up" },
	{ 0x2ef3ee43, "netif_tx_wake_queue" },
	{ 0xaa7253bf, "usb_autopm_get_interface_no_resume" },
	{ 0xfbd7c139, "skb_put" },
	{ 0xf3a7bb3b, "usb_clear_halt" },
	{ 0x8519315d, "eth_mac_addr" },
	{ 0x4c0d8aa6, "eth_validate_addr" },
	{ 0xa6b2028c, "ethtool_op_get_ts_info" },
	{ 0xfa654c56, "param_ops_int" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "usbcore,mii");


MODULE_INFO(srcversion, "17BD597195840FF5B32BAEB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
