#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cxgbi_device_portmap_create, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_portmap_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_register, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_unregister_all, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_lldev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev, "_gpl", "");
KSYMTAB_FUNC(cxgbi_device_find_by_netdev_rcu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_remove, "_gpl", "");
KSYMTAB_FUNC(cxgbi_hbas_add, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_free_cpl_skbs, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_established, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_closed, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_fail_act_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_act_open_req_arp_failure, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_abort_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_peer_close, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_close_conn_rpl, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_rcv_wr_ack, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_select_mss, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_skb_entail, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_purge_wr_queue, "_gpl", "");
KSYMTAB_FUNC(cxgbi_sock_check_wr_invariants, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_set_one_ppod, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ddp_ppm_setup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_parse_pdu_itt, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_tx_open, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_pdu_ready, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_alloc_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_init_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_conn_xmit_pdu, "_gpl", "");
KSYMTAB_FUNC(cxgbi_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_conn_stats, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_conn_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_ep_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_bind_conn, "_gpl", "");
KSYMTAB_FUNC(cxgbi_create_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_destroy_session, "_gpl", "");
KSYMTAB_FUNC(cxgbi_set_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_get_host_param, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_connect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_poll, "_gpl", "");
KSYMTAB_FUNC(cxgbi_ep_disconnect, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_init, "_gpl", "");
KSYMTAB_FUNC(cxgbi_iscsi_cleanup, "_gpl", "");
KSYMTAB_FUNC(cxgbi_attr_is_visible, "_gpl", "");

SYMBOL_CRC(cxgbi_device_portmap_create, 0xdab460a9, "_gpl");
SYMBOL_CRC(cxgbi_device_portmap_cleanup, 0xe3004dc2, "_gpl");
SYMBOL_CRC(cxgbi_device_register, 0x681decd9, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister, 0xd27c9cf0, "_gpl");
SYMBOL_CRC(cxgbi_device_unregister_all, 0x7fdb6004, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_lldev, 0x929597f8, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev, 0x6b4aef9d, "_gpl");
SYMBOL_CRC(cxgbi_device_find_by_netdev_rcu, 0x02196bef, "_gpl");
SYMBOL_CRC(cxgbi_hbas_remove, 0x933f6a67, "_gpl");
SYMBOL_CRC(cxgbi_hbas_add, 0x6b855f89, "_gpl");
SYMBOL_CRC(cxgbi_sock_free_cpl_skbs, 0x7c055a59, "_gpl");
SYMBOL_CRC(cxgbi_sock_established, 0x613bb76f, "_gpl");
SYMBOL_CRC(cxgbi_sock_closed, 0xfd157611, "_gpl");
SYMBOL_CRC(cxgbi_sock_fail_act_open, 0x0e861c33, "_gpl");
SYMBOL_CRC(cxgbi_sock_act_open_req_arp_failure, 0xe0dc75a3, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_abort_rpl, 0x53f2931a, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_peer_close, 0x4ea666fe, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_close_conn_rpl, 0x605892e3, "_gpl");
SYMBOL_CRC(cxgbi_sock_rcv_wr_ack, 0x607caeba, "_gpl");
SYMBOL_CRC(cxgbi_sock_select_mss, 0x53bc8776, "_gpl");
SYMBOL_CRC(cxgbi_sock_skb_entail, 0xe559af9a, "_gpl");
SYMBOL_CRC(cxgbi_sock_purge_wr_queue, 0x90515a63, "_gpl");
SYMBOL_CRC(cxgbi_sock_check_wr_invariants, 0xf0ca1871, "_gpl");
SYMBOL_CRC(cxgbi_ddp_set_one_ppod, 0x8319f739, "_gpl");
SYMBOL_CRC(cxgbi_ddp_ppm_setup, 0xf7535db6, "_gpl");
SYMBOL_CRC(cxgbi_parse_pdu_itt, 0x09aa246e, "_gpl");
SYMBOL_CRC(cxgbi_conn_tx_open, 0x64f68780, "_gpl");
SYMBOL_CRC(cxgbi_conn_pdu_ready, 0x23785346, "_gpl");
SYMBOL_CRC(cxgbi_conn_alloc_pdu, 0x9f7cd304, "_gpl");
SYMBOL_CRC(cxgbi_conn_init_pdu, 0xc114dcb6, "_gpl");
SYMBOL_CRC(cxgbi_conn_xmit_pdu, 0x8f3ae05a, "_gpl");
SYMBOL_CRC(cxgbi_cleanup_task, 0xc09647ca, "_gpl");
SYMBOL_CRC(cxgbi_get_conn_stats, 0x0bdc5b32, "_gpl");
SYMBOL_CRC(cxgbi_set_conn_param, 0xa1079c40, "_gpl");
SYMBOL_CRC(cxgbi_get_ep_param, 0x5784ee8d, "_gpl");
SYMBOL_CRC(cxgbi_create_conn, 0x07a738f2, "_gpl");
SYMBOL_CRC(cxgbi_bind_conn, 0x16e081a5, "_gpl");
SYMBOL_CRC(cxgbi_create_session, 0xc635dd45, "_gpl");
SYMBOL_CRC(cxgbi_destroy_session, 0xade4d522, "_gpl");
SYMBOL_CRC(cxgbi_set_host_param, 0x7102ed68, "_gpl");
SYMBOL_CRC(cxgbi_get_host_param, 0x48362a6d, "_gpl");
SYMBOL_CRC(cxgbi_ep_connect, 0xc0bb4f83, "_gpl");
SYMBOL_CRC(cxgbi_ep_poll, 0x5def1576, "_gpl");
SYMBOL_CRC(cxgbi_ep_disconnect, 0x1400fc03, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_init, 0x576efbc4, "_gpl");
SYMBOL_CRC(cxgbi_iscsi_cleanup, 0xa79d14e6, "_gpl");
SYMBOL_CRC(cxgbi_attr_is_visible, 0xef346615, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x92997ed8, "_printk" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x1fd2cbad, "vlan_dev_real_dev" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xd498f037, "iscsi_host_remove" },
	{ 0xbfe2b042, "pci_dev_put" },
	{ 0xe971c611, "iscsi_host_free" },
	{ 0xd601c614, "iscsi_host_alloc" },
	{ 0x6bd4e8f5, "pci_dev_get" },
	{ 0x4b6ce7c2, "iscsi_host_add" },
	{ 0x29f49f01, "scsi_host_put" },
	{ 0xcf43a647, "sk_skb_reason_drop" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4e58d9f5, "cxgbi_ppm_init" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x96476ac6, "iscsi_conn_queue_xmit" },
	{ 0x88dbd57c, "__kfree_skb" },
	{ 0xa92b02be, "iscsi_tcp_cleanup_task" },
	{ 0xe59012e5, "cxgbi_ppm_ppod_release" },
	{ 0x609ca8d8, "dma_unmap_sg_attrs" },
	{ 0x37a0cba, "kfree" },
	{ 0xeab9cbd5, "iscsi_conn_get_addr_param" },
	{ 0xd3d1560, "iscsi_tcp_conn_setup" },
	{ 0xb2b71181, "iscsi_session_setup" },
	{ 0xa9c6327, "iscsi_tcp_r2tpool_alloc" },
	{ 0x217a38c6, "iscsi_session_teardown" },
	{ 0x1ee8b399, "iscsi_tcp_r2tpool_free" },
	{ 0x4ba656ae, "iscsi_host_set_param" },
	{ 0x1b6314fd, "in_aton" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4b43ac46, "_dev_printk" },
	{ 0x81533963, "sysfs_format_mac" },
	{ 0xc3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7d32d13c, "iscsi_host_get_param" },
	{ 0xd527e4d4, "iscsi_unregister_transport" },
	{ 0x948d21e0, "alloc_pages_noprof" },
	{ 0x31f2a14c, "__kvmalloc_node_noprof" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x19cd35ae, "iscsi_conn_failure" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0xfe6605cc, "iscsi_register_transport" },
	{ 0xa244a8e, "init_net" },
	{ 0xa6f89d33, "ip6_route_output_flags" },
	{ 0x5d1035c9, "iscsi_tcp_set_max_r2t" },
	{ 0x78da3e82, "iscsi_set_param" },
	{ 0x4f553031, "__alloc_skb" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe0f73f1a, "cxgbi_ppm_ppods_reserve" },
	{ 0x6d3f3b6d, "dma_map_sg_attrs" },
	{ 0xb80fb413, "cxgbi_ppm_make_ppod_hdr" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x8c147e2a, "iscsi_tcp_recv_segment_is_hdr" },
	{ 0xc29d493b, "iscsi_tcp_recv_skb" },
	{ 0x8a42c636, "iscsi_lookup_endpoint" },
	{ 0x9d9738f0, "iscsi_conn_bind" },
	{ 0x51a511eb, "_raw_write_lock_bh" },
	{ 0xe7ab1ecc, "_raw_write_unlock_bh" },
	{ 0x12094fe6, "iscsi_tcp_hdr_recv_prep" },
	{ 0x7e989f34, "iscsi_put_endpoint" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0xf48a93b8, "dst_release" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xa88bcccf, "cxgbi_ppm_release" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x587f22d7, "devmap_managed_key" },
	{ 0xdc1d3f03, "__folio_put" },
	{ 0x430d8bc0, "__put_devmap_managed_folio_refs" },
	{ 0x968b9681, "module_put" },
	{ 0xfae7e5f3, "iscsi_destroy_endpoint" },
	{ 0xea9ed8e6, "ipv6_dev_get_saddr" },
	{ 0x85a2712, "neigh_destroy" },
	{ 0xc0352b42, "make_kuid" },
	{ 0x60077cd8, "ip_route_output_flow" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xa5a3778, "iscsi_create_endpoint" },
	{ 0x5c5c4a24, "__ip_dev_find" },
	{ 0xfbd7c139, "skb_put" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x69acdf38, "memcpy" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0x8efb9c67, "iscsi_itt_to_ctask" },
	{ 0x9c3fa204, "param_ops_uint" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "libiscsi,scsi_mod,libcxgb,libiscsi_tcp,scsi_transport_iscsi");


MODULE_INFO(srcversion, "A1FE6C08DA5E47540AE3FD6");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
