#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ufshcd_dump_regs, "_gpl", "");
KSYMTAB_FUNC(ufshcd_enable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_disable_irq, "_gpl", "");
KSYMTAB_FUNC(ufshcd_delay_us, "_gpl", "");
KSYMTAB_FUNC(ufshcd_is_hba_active, "_gpl", "");
KSYMTAB_FUNC(ufshcd_opp_config_clks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hold, "_gpl", "");
KSYMTAB_FUNC(ufshcd_release, "_gpl", "");
KSYMTAB_FUNC(ufshcd_clkgate_delay_set, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_configure_adapt, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_set_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_dme_get_attr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_change_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_link_recovery, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_enter, "_gpl", "");
KSYMTAB_FUNC(ufshcd_uic_hibern8_exit, "_gpl", "");
KSYMTAB_FUNC(ufshcd_auto_hibern8_update, "_gpl", "");
KSYMTAB_FUNC(ufshcd_config_pwr_mode, "_gpl", "");
KSYMTAB_FUNC(ufshcd_make_hba_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_stop, "_gpl", "");
KSYMTAB_FUNC(ufshcd_hba_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_update_evt_hist, "_gpl", "");
KSYMTAB_FUNC(ufshcd_fixup_dev_quirks, "_gpl", "");
KSYMTAB_FUNC(ufshcd_get_vreg, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_suspend, "", "");
KSYMTAB_FUNC(ufshcd_system_resume, "", "");
KSYMTAB_FUNC(ufshcd_runtime_suspend, "", "");
KSYMTAB_FUNC(ufshcd_runtime_resume, "", "");
KSYMTAB_FUNC(ufshcd_remove, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_freeze, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_restore, "_gpl", "");
KSYMTAB_FUNC(ufshcd_system_thaw, "_gpl", "");
KSYMTAB_FUNC(ufshcd_alloc_host, "", "");
KSYMTAB_FUNC(ufshcd_init, "_gpl", "");
KSYMTAB_FUNC(ufshcd_resume_complete, "_gpl", "");
KSYMTAB_FUNC(__ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_suspend_prepare, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_mac, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_queue_cfg_addr, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_read_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_write_cqis, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_poll_cqe_lock, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_make_queues_operational, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable_esi, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_enable, "_gpl", "");
KSYMTAB_FUNC(ufshcd_mcq_config_esi, "_gpl", "");

SYMBOL_CRC(ufshcd_dump_regs, 0x286dd0d7, "_gpl");
SYMBOL_CRC(ufshcd_enable_irq, 0x3d088edc, "_gpl");
SYMBOL_CRC(ufshcd_disable_irq, 0x1d77f116, "_gpl");
SYMBOL_CRC(ufshcd_delay_us, 0x723b1abf, "_gpl");
SYMBOL_CRC(ufshcd_is_hba_active, 0x5cb83a13, "_gpl");
SYMBOL_CRC(ufshcd_opp_config_clks, 0xd895af88, "_gpl");
SYMBOL_CRC(ufshcd_hold, 0x86a9db20, "_gpl");
SYMBOL_CRC(ufshcd_release, 0xcf648d3e, "_gpl");
SYMBOL_CRC(ufshcd_clkgate_delay_set, 0x17b68937, "_gpl");
SYMBOL_CRC(ufshcd_dme_configure_adapt, 0x560fa12d, "_gpl");
SYMBOL_CRC(ufshcd_dme_set_attr, 0xcc9573ac, "_gpl");
SYMBOL_CRC(ufshcd_dme_get_attr, 0xeeb22353, "_gpl");
SYMBOL_CRC(ufshcd_uic_change_pwr_mode, 0xc4f445ff, "_gpl");
SYMBOL_CRC(ufshcd_link_recovery, 0x60036f85, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_enter, 0xa3ac3f09, "_gpl");
SYMBOL_CRC(ufshcd_uic_hibern8_exit, 0x6f7404b8, "_gpl");
SYMBOL_CRC(ufshcd_auto_hibern8_update, 0x704b7bb9, "_gpl");
SYMBOL_CRC(ufshcd_config_pwr_mode, 0x3bf494e5, "_gpl");
SYMBOL_CRC(ufshcd_make_hba_operational, 0xbb66ad63, "_gpl");
SYMBOL_CRC(ufshcd_hba_stop, 0x4d2cd26e, "_gpl");
SYMBOL_CRC(ufshcd_hba_enable, 0x2a809710, "_gpl");
SYMBOL_CRC(ufshcd_update_evt_hist, 0x64776b73, "_gpl");
SYMBOL_CRC(ufshcd_fixup_dev_quirks, 0xf0a3041b, "_gpl");
SYMBOL_CRC(ufshcd_get_vreg, 0xbe9320fd, "_gpl");
SYMBOL_CRC(ufshcd_system_suspend, 0xc70de8e3, "");
SYMBOL_CRC(ufshcd_system_resume, 0x9ff3441c, "");
SYMBOL_CRC(ufshcd_runtime_suspend, 0xfc4c5981, "");
SYMBOL_CRC(ufshcd_runtime_resume, 0xb062ee3c, "");
SYMBOL_CRC(ufshcd_remove, 0x5727dc21, "_gpl");
SYMBOL_CRC(ufshcd_system_freeze, 0x0fe084c5, "_gpl");
SYMBOL_CRC(ufshcd_system_restore, 0x58ba44ed, "_gpl");
SYMBOL_CRC(ufshcd_system_thaw, 0x0f028a60, "_gpl");
SYMBOL_CRC(ufshcd_alloc_host, 0xf4365294, "");
SYMBOL_CRC(ufshcd_init, 0xd1923039, "_gpl");
SYMBOL_CRC(ufshcd_resume_complete, 0xaa6c8561, "_gpl");
SYMBOL_CRC(__ufshcd_suspend_prepare, 0x04e59b50, "_gpl");
SYMBOL_CRC(ufshcd_suspend_prepare, 0x574f0a5d, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_mac, 0x24f02024, "_gpl");
SYMBOL_CRC(ufshcd_mcq_queue_cfg_addr, 0xbb37cd09, "_gpl");
SYMBOL_CRC(ufshcd_mcq_read_cqis, 0x40f78db6, "_gpl");
SYMBOL_CRC(ufshcd_mcq_write_cqis, 0x1aaf239b, "_gpl");
SYMBOL_CRC(ufshcd_mcq_poll_cqe_lock, 0xbeb55c57, "_gpl");
SYMBOL_CRC(ufshcd_mcq_make_queues_operational, 0x085dd7da, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable_esi, 0xce1d8c40, "_gpl");
SYMBOL_CRC(ufshcd_mcq_enable, 0x3d94503f, "_gpl");
SYMBOL_CRC(ufshcd_mcq_config_esi, 0xb0ca7f68, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb116523e, "device_link_add" },
	{ 0x815588a6, "clk_enable" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0x16f123e, "sg_copy_to_buffer" },
	{ 0x53b954a2, "up_read" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x9e42c261, "scsi_change_queue_depth" },
	{ 0xe4d16810, "__pm_runtime_idle" },
	{ 0xf9a482f9, "msleep" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x7ac1254b, "local_clock" },
	{ 0x73e90460, "device_remove_file" },
	{ 0x6d3f3b6d, "dma_map_sg_attrs" },
	{ 0x5c26a53b, "wait_for_completion_io_timeout" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3ce4ca6f, "disable_irq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xb077e70a, "clk_unprepare" },
	{ 0x22ec5205, "cpu_latency_qos_remove_request" },
	{ 0x5b2021bb, "scsi_dma_map" },
	{ 0xfe5c5252, "scsi_print_sense_hdr" },
	{ 0x38fa4b13, "regulator_enable" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x25d63205, "blk_crypto_reprogram_all_keys" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x7bad74cf, "simple_attr_open" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xbad9ebaf, "bpf_trace_run4" },
	{ 0x5ba9c87f, "blk_crypto_keyslot_index" },
	{ 0x3a5be03, "devm_request_threaded_irq" },
	{ 0xeebf3796, "debugfs_attr_write" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4a3ad70e, "wait_for_completion_timeout" },
	{ 0xd31a1296, "devm_kmalloc" },
	{ 0xa6822be3, "bsg_setup_queue" },
	{ 0xfbc4f89e, "io_schedule_timeout" },
	{ 0xd514308a, "scsi_autopm_put_device" },
	{ 0x7dbb16d8, "scsi_device_get" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0xe65a0652, "bsg_remove_queue" },
	{ 0x5cdfc4f2, "dev_set_name" },
	{ 0xbea1dac7, "bsg_job_done" },
	{ 0xa6257a2f, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xc1216f, "dmam_alloc_attrs" },
	{ 0x2a4b131e, "trace_raw_output_prep" },
	{ 0x34cccd31, "scsi_remove_host" },
	{ 0xed40d093, "bpf_trace_run6" },
	{ 0x97af1219, "pm_runtime_set_autosuspend_delay" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x608741b5, "__init_swait_queue_head" },
	{ 0x2a11073e, "__trace_trigger_soft_disabled" },
	{ 0xfb912271, "blk_pm_runtime_init" },
	{ 0x3b0be8d6, "trace_event_printf" },
	{ 0x4fd15c35, "scsi_report_bus_reset" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x5b25e29d, "sysfs_remove_groups" },
	{ 0xd540a33b, "hwmon_notify_event" },
	{ 0x8769acac, "pm_runtime_get_if_active" },
	{ 0x1864e9c4, "dev_pm_opp_find_freq_floor_indexed" },
	{ 0xcf2a6966, "up" },
	{ 0x28aaef01, "device_initialize" },
	{ 0x403c48a7, "devfreq_recommended_opp" },
	{ 0xd17088be, "sysfs_create_groups" },
	{ 0x9eec5d0c, "trace_event_raw_init" },
	{ 0x8900d05a, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0xb2d45528, "scsi_dma_unmap" },
	{ 0x28afbb08, "cpu_latency_qos_add_request" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x37a0cba, "kfree" },
	{ 0xfcec0987, "enable_irq" },
	{ 0xae1d72eb, "pcpu_hot" },
	{ 0xc2fef6ed, "seq_lseek" },
	{ 0xdf0ca3f4, "cpu_latency_qos_request_active" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0xb8b7ef2f, "bpf_trace_run2" },
	{ 0xe2450c58, "__scsi_iterate_devices" },
	{ 0x76d9b876, "clk_set_rate" },
	{ 0x7f25d639, "get_device" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0x5e651d9f, "trace_print_hex_seq" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xa5040ad5, "devm_clk_get" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x4d05f9b3, "blk_mq_alloc_tag_set" },
	{ 0x997cab8b, "scsi_device_set_state" },
	{ 0xe0c6d22a, "devfreq_add_device" },
	{ 0xd5fda699, "dev_driver_string" },
	{ 0x6e97ec1, "trace_event_buffer_commit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x4e5d8063, "__pm_runtime_set_status" },
	{ 0xf5f370e0, "async_schedule_node" },
	{ 0x7c9a7371, "clk_prepare" },
	{ 0x92997ed8, "_printk" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0xd1c3f3c3, "blk_crypto_register" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x95c8bb66, "param_get_uint" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0xe2d187d9, "put_device" },
	{ 0x7541fa2b, "blk_mq_unquiesce_tagset" },
	{ 0x5bd829f8, "dev_pm_opp_put" },
	{ 0x1e6e20e4, "blk_mq_free_request" },
	{ 0x3f0b2ac7, "device_property_read_u32_array" },
	{ 0x3212e1eb, "devm_regulator_get" },
	{ 0x8c14d115, "dev_pm_opp_get_freq_indexed" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0x43f81957, "clk_round_rate" },
	{ 0x167c5967, "print_hex_dump" },
	{ 0x535ff551, "scsi_device_put" },
	{ 0x1d788112, "device_create_file" },
	{ 0x688fceb3, "blk_mq_quiesce_tagset" },
	{ 0x37453fd9, "debugfs_attr_read" },
	{ 0x98c76251, "regulator_set_load" },
	{ 0x8b38092, "perf_trace_buf_alloc" },
	{ 0x611e5d3c, "perf_trace_run_bpf_submit" },
	{ 0x57bc19d2, "down_write" },
	{ 0xde5430f1, "devm_kfree" },
	{ 0x90f50aea, "_dev_err" },
	{ 0xaec3a246, "devfreq_remove_device" },
	{ 0x29f49f01, "scsi_host_put" },
	{ 0xce807a25, "up_write" },
	{ 0xd8c270ba, "device_add" },
	{ 0xd4034828, "system_freezable_wq" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0xed6c91f9, "simple_attr_release" },
	{ 0x4a6e6e8d, "hwmon_device_register_with_info" },
	{ 0xf4efcc37, "dev_pm_opp_add_dynamic" },
	{ 0x6626afca, "down" },
	{ 0xaa7467e0, "bpf_trace_run5" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0xdd0dde5e, "dev_pm_opp_remove" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x37169f79, "cpu_latency_qos_update_request" },
	{ 0x96348654, "sdev_prefix_printk" },
	{ 0x8b65e333, "scsi_scan_host" },
	{ 0x91d3b7e4, "debugfs_remove" },
	{ 0x5a921311, "strncmp" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0x1d304fe4, "trace_event_reg" },
	{ 0xe3d46f3c, "device_link_remove" },
	{ 0x6c4808ea, "blk_mq_alloc_request" },
	{ 0xbb05ce9, "driver_unregister" },
	{ 0xe16f783e, "blk_mq_free_tag_set" },
	{ 0x9ec6ca96, "ktime_get_real_ts64" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xd2331afc, "blk_put_queue" },
	{ 0x9076d124, "device_del" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb3184553, "dev_pm_opp_set_opp" },
	{ 0xd673cdca, "dmam_free_coherent" },
	{ 0xfb578fc5, "memset" },
	{ 0xf88f9ee3, "_dev_warn" },
	{ 0x31549b2a, "__x86_indirect_thunk_r10" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xd01a0705, "regulator_count_voltages" },
	{ 0x2744601c, "scsi_is_host_device" },
	{ 0xa7485c74, "blk_mq_wait_quiesce_done" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe6ab955b, "debugfs_create_u32" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0xba17d02a, "bpf_trace_run10" },
	{ 0x9a24ab7e, "scsi_host_busy" },
	{ 0xca7a00a8, "scsi_device_quiesce" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4efef937, "scsi_autopm_get_device" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x35ffdce, "dma_set_coherent_mask" },
	{ 0x9016ff88, "scsi_print_command" },
	{ 0x85bb2849, "seq_read" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0x8f9286e, "__scsi_register_driver" },
	{ 0x68dec568, "pm_runtime_forbid" },
	{ 0xeb48b6ce, "debugfs_create_file" },
	{ 0xad516cd4, "param_set_uint_minmax" },
	{ 0xf7543747, "blk_mq_freeze_queue" },
	{ 0x5b69bbe4, "pm_runtime_allow" },
	{ 0xa7a48e, "trace_event_buffer_reserve" },
	{ 0x1c6c04bc, "__pm_runtime_resume" },
	{ 0xb34ce641, "devfreq_suspend_device" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xfb2f8a4, "mktime64" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe84d4424, "param_ops_bool" },
	{ 0xb6ae993e, "blk_mq_destroy_queue" },
	{ 0xf30b6484, "scsi_execute_cmd" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3b2e10f, "blk_mq_alloc_queue" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x66454354, "seq_printf" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xb2fa093e, "blk_mq_map_queues" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x98029ae0, "devm_blk_crypto_profile_init" },
	{ 0x9819e7bb, "hwmon_device_unregister" },
	{ 0xd14e579a, "blk_mq_unfreeze_queue" },
	{ 0xb6e6d99d, "clk_disable" },
	{ 0x9f8f956d, "blk_mq_tagset_busy_iter" },
	{ 0xbf32887c, "scsi_done" },
	{ 0xd4496f5b, "single_release" },
	{ 0x968953fc, "scsi_unblock_requests" },
	{ 0xdcbeba1d, "sg_copy_from_buffer" },
	{ 0xa19437c, "dma_set_mask" },
	{ 0x233622c7, "sbitmap_weight" },
	{ 0x44ee048e, "regulator_disable" },
	{ 0x6f8cc3a3, "dev_err_probe" },
	{ 0x609ca8d8, "dma_unmap_sg_attrs" },
	{ 0x6aea64a7, "__devm_add_action" },
	{ 0x430dd0bc, "scsi_remove_device" },
	{ 0x70c16587, "scsi_block_requests" },
	{ 0x4bae045a, "scsi_add_host_with_dma" },
	{ 0x754d539c, "strlen" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0xb80a8a8c, "single_open" },
	{ 0x483a8bb0, "scsi_host_alloc" },
	{ 0xd2af8b71, "__scsi_add_device" },
	{ 0xe2627455, "devfreq_resume_device" },
	{ 0x9eecd57c, "debugfs_create_dir" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "scsi_mod");


MODULE_INFO(srcversion, "712886348D9A7A3EF4077C1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
