#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(configfs_remove_default_groups, "", "");
KSYMTAB_FUNC(configfs_depend_item, "", "");
KSYMTAB_FUNC(configfs_undepend_item, "", "");
KSYMTAB_FUNC(configfs_depend_item_unlocked, "", "");
KSYMTAB_FUNC(configfs_register_group, "", "");
KSYMTAB_FUNC(configfs_unregister_group, "", "");
KSYMTAB_FUNC(configfs_register_default_group, "", "");
KSYMTAB_FUNC(configfs_unregister_default_group, "", "");
KSYMTAB_FUNC(configfs_register_subsystem, "", "");
KSYMTAB_FUNC(configfs_unregister_subsystem, "", "");
KSYMTAB_FUNC(config_item_set_name, "", "");
KSYMTAB_FUNC(config_item_init_type_name, "", "");
KSYMTAB_FUNC(config_group_init_type_name, "", "");
KSYMTAB_FUNC(config_item_get, "", "");
KSYMTAB_FUNC(config_item_get_unless_zero, "", "");
KSYMTAB_FUNC(config_item_put, "", "");
KSYMTAB_FUNC(config_group_init, "", "");
KSYMTAB_FUNC(config_group_find_item, "", "");

SYMBOL_CRC(configfs_remove_default_groups, 0x86b0904d, "");
SYMBOL_CRC(configfs_depend_item, 0x6351ba92, "");
SYMBOL_CRC(configfs_undepend_item, 0x18773666, "");
SYMBOL_CRC(configfs_depend_item_unlocked, 0xd47d07fd, "");
SYMBOL_CRC(configfs_register_group, 0x71b12aef, "");
SYMBOL_CRC(configfs_unregister_group, 0x396b4d00, "");
SYMBOL_CRC(configfs_register_default_group, 0x5970c8fa, "");
SYMBOL_CRC(configfs_unregister_default_group, 0xe9d736ee, "");
SYMBOL_CRC(configfs_register_subsystem, 0xe667fefe, "");
SYMBOL_CRC(configfs_unregister_subsystem, 0x2dd1f552, "");
SYMBOL_CRC(config_item_set_name, 0x44441a7e, "");
SYMBOL_CRC(config_item_init_type_name, 0xe9056a92, "");
SYMBOL_CRC(config_group_init_type_name, 0x8197e195, "");
SYMBOL_CRC(config_item_get, 0x4d4e76fd, "");
SYMBOL_CRC(config_item_get_unless_zero, 0x03d5eea1, "");
SYMBOL_CRC(config_item_put, 0x40f5a6c9, "");
SYMBOL_CRC(config_group_init, 0xc9829a54, "");
SYMBOL_CRC(config_group_find_item, 0xd88661d4, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xe9666316, "path_put" },
	{ 0x3a6a9725, "simple_get_link" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x896f1ced, "simple_inode_init_ts" },
	{ 0x284faa6b, "__x86_indirect_thunk_r11" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x1601c8df, "d_drop" },
	{ 0x8b8059bd, "in_group_p" },
	{ 0x92997ed8, "_printk" },
	{ 0x8f786bee, "fs_umode_to_dtype" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xac44139a, "simple_setattr" },
	{ 0xf15fc646, "simple_unlink" },
	{ 0xc6cbbc89, "capable" },
	{ 0x968b9681, "module_put" },
	{ 0x8f14d45b, "get_zeroed_page_noprof" },
	{ 0x57bc19d2, "down_write" },
	{ 0xce807a25, "up_write" },
	{ 0x587b0954, "kvasprintf" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x1b2fa1a9, "vmalloc_noprof" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xc49ef6dc, "kmem_cache_free" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xe63ec2d1, "kill_litter_super" },
	{ 0xfb578fc5, "memset" },
	{ 0x1e61231e, "kern_path" },
	{ 0xfd222555, "sysfs_remove_mount_point" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x87a3b16f, "kmem_cache_alloc_noprof" },
	{ 0x67b6b597, "ram_aops" },
	{ 0x8c5cd113, "d_delete" },
	{ 0x95829d0f, "__kmem_cache_create_args" },
	{ 0x668b19a1, "down_read" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x999e8297, "vfree" },
	{ 0xbb032e1f, "generic_read_dir" },
	{ 0x2ccb144b, "d_add" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x364850b1, "down_write_killable" },
	{ 0xcbb4e8d6, "inode_set_ctime_current" },
	{ 0x816acacf, "inc_nlink" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0xfeab5338, "dput" },
	{ 0xd9b85ef6, "lockref_get" },
	{ 0xdd93e51e, "generic_delete_inode" },
	{ 0xcd325556, "_copy_from_iter" },
	{ 0x8c44f5a0, "simple_release_fs" },
	{ 0xd4c435d9, "d_parent_ino" },
	{ 0xf017d818, "get_tree_single" },
	{ 0x754d539c, "strlen" },
	{ 0xc27d7f8b, "inode_permission" },
	{ 0xa82b91e3, "generic_file_llseek" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0x53b954a2, "up_read" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x9b74adb5, "simple_pin_fs" },
	{ 0x3e3623c4, "kmem_cache_destroy" },
	{ 0xbc314156, "nop_mnt_idmap" },
	{ 0x651e76ca, "__d_drop" },
	{ 0x847e31a3, "simple_rmdir" },
	{ 0xc5aaf695, "try_module_get" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x7b4da6ff, "__init_rwsem" },
	{ 0x87937b3b, "d_instantiate" },
	{ 0xd2c9ae9a, "_copy_to_iter" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x5635523b, "free_inode_nonrcu" },
	{ 0xc1b05df8, "new_inode" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x2285d67c, "unregister_filesystem" },
	{ 0x9d786f0e, "d_alloc_name" },
	{ 0xc1ad1c7f, "simple_statfs" },
	{ 0x1dfaa40b, "d_make_root" },
	{ 0x478b2b0d, "always_delete_dentry" },
	{ 0xa7144cc4, "fsnotify" },
	{ 0x15cc4413, "current_time" },
	{ 0x69acdf38, "memcpy" },
	{ 0x978a24b7, "iunique" },
	{ 0x37a0cba, "kfree" },
	{ 0x9613fe92, "iput" },
	{ 0x32d2398d, "kernel_kobj" },
	{ 0xe953b21f, "get_next_ino" },
	{ 0x2b21dffa, "sysfs_create_mount_point" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x148653, "vsnprintf" },
	{ 0xefef440c, "register_filesystem" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "502276C05E849C09BC8EBCC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
