#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(cs35l56_set_patch, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_mbox_send, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_firmware_shutdown, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_for_firmware_boot, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_control_port_ready, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_wait_min_reset_pulse, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_system_reset, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq_request, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_irq, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_is_fw_reload_needed, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_suspend_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_runtime_resume_common, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_init_cs_dsp, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_calibration_controls, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_calibration, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_read_prot_status, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_hw_init, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_speaker_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_get_bclk_freq_id, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_FUNC(cs35l56_fill_supply_names, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_texts, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_tx_input_values, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_i2c, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_spi, "_gpl", "SND_SOC_CS35L56_SHARED");
KSYMTAB_DATA(cs35l56_regmap_sdw, "_gpl", "SND_SOC_CS35L56_SHARED");

SYMBOL_CRC(cs35l56_set_patch, 0x772dd8e1, "_gpl");
SYMBOL_CRC(cs35l56_mbox_send, 0x0aeb0f4f, "_gpl");
SYMBOL_CRC(cs35l56_firmware_shutdown, 0x5c501f9b, "_gpl");
SYMBOL_CRC(cs35l56_wait_for_firmware_boot, 0xd8cc1708, "_gpl");
SYMBOL_CRC(cs35l56_wait_control_port_ready, 0xad591ce8, "_gpl");
SYMBOL_CRC(cs35l56_wait_min_reset_pulse, 0x810124fe, "_gpl");
SYMBOL_CRC(cs35l56_system_reset, 0xde994b2e, "_gpl");
SYMBOL_CRC(cs35l56_irq_request, 0x58aa3d67, "_gpl");
SYMBOL_CRC(cs35l56_irq, 0x05482545, "_gpl");
SYMBOL_CRC(cs35l56_is_fw_reload_needed, 0x01d566f6, "_gpl");
SYMBOL_CRC(cs35l56_runtime_suspend_common, 0x8c957bea, "_gpl");
SYMBOL_CRC(cs35l56_runtime_resume_common, 0x627095f7, "_gpl");
SYMBOL_CRC(cs35l56_init_cs_dsp, 0x59f7cbe8, "_gpl");
SYMBOL_CRC(cs35l56_calibration_controls, 0x0fa4d22d, "_gpl");
SYMBOL_CRC(cs35l56_get_calibration, 0xf2f41a52, "_gpl");
SYMBOL_CRC(cs35l56_read_prot_status, 0x11ad1e0c, "_gpl");
SYMBOL_CRC(cs35l56_hw_init, 0xa04fe594, "_gpl");
SYMBOL_CRC(cs35l56_get_speaker_id, 0x1d9921d9, "_gpl");
SYMBOL_CRC(cs35l56_get_bclk_freq_id, 0x88762c92, "_gpl");
SYMBOL_CRC(cs35l56_fill_supply_names, 0x01d4878b, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_texts, 0x64e759e4, "_gpl");
SYMBOL_CRC(cs35l56_tx_input_values, 0x05c2529e, "_gpl");
SYMBOL_CRC(cs35l56_regmap_i2c, 0x36828fdf, "_gpl");
SYMBOL_CRC(cs35l56_regmap_spi, 0x80d78900, "_gpl");
SYMBOL_CRC(cs35l56_regmap_sdw, 0x4fb9bd73, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x3a5be03, "devm_request_threaded_irq" },
	{ 0x63b3c479, "cs_amp_get_efi_calibration_data" },
	{ 0xb122db91, "regmap_raw_read" },
	{ 0x6dc3e74, "regcache_mark_dirty" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5eb52642, "gpiod_get_array_optional" },
	{ 0x4e99e77a, "spi_bus_lock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x3f0b2ac7, "device_property_read_u32_array" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0xa8290e5c, "regmap_multi_reg_write_bypassed" },
	{ 0x90f50aea, "_dev_err" },
	{ 0xe2b17f9f, "gpiod_put_array" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xf88f9ee3, "_dev_warn" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ccbb45, "regmap_read_bypassed" },
	{ 0x155f970f, "regmap_read" },
	{ 0x1c6c04bc, "__pm_runtime_resume" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x83448f9, "spi_sync_locked" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x9e2e4def, "_dev_crit" },
	{ 0x6d249741, "regmap_update_bits_base" },
	{ 0x6f8cc3a3, "dev_err_probe" },
	{ 0x46d2f348, "__pm_runtime_suspend" },
	{ 0x73cb9ad0, "regmap_register_patch" },
	{ 0xe4d16810, "__pm_runtime_idle" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xc9570871, "gpiod_get_value_cansleep" },
	{ 0x88e0567d, "spi_bus_unlock" },
	{ 0xfb4d32fb, "regcache_cache_only" },
	{ 0xcf2b12b7, "regcache_sync" },
	{ 0xbe498d90, "regmap_write" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "snd-soc-cs-amp-lib");


MODULE_INFO(srcversion, "A03F0CDDB6749C2C60A4CF1");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
