#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(line6_midi_id, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message, "_gpl", "");
KSYMTAB_FUNC(line6_send_raw_message_async, "_gpl", "");
KSYMTAB_FUNC(line6_version_request_async, "_gpl", "");
KSYMTAB_FUNC(line6_send_sysex_message, "_gpl", "");
KSYMTAB_FUNC(line6_alloc_sysex_buffer, "_gpl", "");
KSYMTAB_FUNC(line6_read_data, "_gpl", "");
KSYMTAB_FUNC(line6_write_data, "_gpl", "");
KSYMTAB_FUNC(line6_read_serial_number, "_gpl", "");
KSYMTAB_FUNC(line6_probe, "_gpl", "");
KSYMTAB_FUNC(line6_disconnect, "_gpl", "");
KSYMTAB_FUNC(line6_suspend, "_gpl", "");
KSYMTAB_FUNC(line6_resume, "_gpl", "");
KSYMTAB_FUNC(line6_init_midi, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_acquire, "_gpl", "");
KSYMTAB_FUNC(line6_pcm_release, "_gpl", "");
KSYMTAB_FUNC(line6_init_pcm, "_gpl", "");

SYMBOL_CRC(line6_midi_id, 0x202a1b1b, "_gpl");
SYMBOL_CRC(line6_send_raw_message, 0xdd62fe51, "_gpl");
SYMBOL_CRC(line6_send_raw_message_async, 0xf6e045f0, "_gpl");
SYMBOL_CRC(line6_version_request_async, 0xec69d922, "_gpl");
SYMBOL_CRC(line6_send_sysex_message, 0xaecc4894, "_gpl");
SYMBOL_CRC(line6_alloc_sysex_buffer, 0xe485268a, "_gpl");
SYMBOL_CRC(line6_read_data, 0x50633370, "_gpl");
SYMBOL_CRC(line6_write_data, 0xf243eaff, "_gpl");
SYMBOL_CRC(line6_read_serial_number, 0x9ba6ac5f, "_gpl");
SYMBOL_CRC(line6_probe, 0xe5c0ec9e, "_gpl");
SYMBOL_CRC(line6_disconnect, 0x5ac1c9e5, "_gpl");
SYMBOL_CRC(line6_suspend, 0xdbf01149, "_gpl");
SYMBOL_CRC(line6_resume, 0xfe18a008, "_gpl");
SYMBOL_CRC(line6_init_midi, 0x6c3dedb9, "_gpl");
SYMBOL_CRC(line6_pcm_acquire, 0x03742afc, "_gpl");
SYMBOL_CRC(line6_pcm_release, 0xd26c6863, "_gpl");
SYMBOL_CRC(line6_init_pcm, 0x677aeed6, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x60f22bbc, "usb_urb_ep_type_check" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x90f50aea, "_dev_err" },
	{ 0xa6e0c7eb, "snd_hwdep_new" },
	{ 0x7c010e2f, "snd_rawmidi_transmit_peek" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xd1646e29, "snd_card_free_when_closed" },
	{ 0x50d8b52c, "usb_set_interface" },
	{ 0xf2f97eac, "snd_pcm_set_ops" },
	{ 0xcefb0c9f, "__mutex_init" },
	{ 0x89940875, "mutex_lock_interruptible" },
	{ 0x75ca79b5, "__fortify_panic" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0x943cf483, "snd_pcm_set_managed_buffer_all" },
	{ 0xfb578fc5, "memset" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xa8ade12b, "kmemdup_noprof" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0xc6cb465a, "__kfifo_max_r" },
	{ 0xf617716e, "snd_rawmidi_new" },
	{ 0xb32796a0, "snd_card_disconnect" },
	{ 0xd9c49914, "usb_unlink_urb" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xfe21e75f, "snd_rawmidi_set_ops" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x2484adc3, "__kfifo_to_user_r" },
	{ 0x92ff9e6c, "__kmalloc_cache_noprof" },
	{ 0x9a1e5581, "usb_kill_urb" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x97e979f9, "snd_pcm_period_elapsed" },
	{ 0x7846af3e, "__kfifo_len_r" },
	{ 0x754d539c, "strlen" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xe2c17b5d, "__SCT__might_resched" },
	{ 0xcb55e448, "kmalloc_caches" },
	{ 0x21344796, "usb_alloc_urb" },
	{ 0x24423737, "snd_rawmidi_receive" },
	{ 0x98c88c1b, "usb_free_urb" },
	{ 0xd3e1f264, "usb_control_msg_send" },
	{ 0x52c5c991, "__kmalloc_noprof" },
	{ 0x6bd9d546, "snd_ctl_add" },
	{ 0x623f0329, "snd_pcm_new" },
	{ 0x9291cd3b, "memdup_user" },
	{ 0xa9488a2f, "usb_control_msg_recv" },
	{ 0x92540fbf, "finish_wait" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x8c26d495, "prepare_to_wait_event" },
	{ 0xe2964344, "__wake_up" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0x35d12fa9, "__dynamic_dev_dbg" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xedc919, "usb_interrupt_msg" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x3955fcf6, "__kfifo_in_r" },
	{ 0x378ea0b7, "snd_ctl_new1" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x1000e51, "schedule" },
	{ 0x92315983, "usb_put_dev" },
	{ 0xe79490e8, "usb_bulk_msg" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf6f34964, "snd_rawmidi_transmit_ack" },
	{ 0xf0ef5247, "usb_get_dev" },
	{ 0x839736b5, "const_pcpu_hot" },
	{ 0x736f1f6a, "usb_submit_urb" },
	{ 0xc57fdd29, "_dev_info" },
	{ 0x6b18f0b5, "snd_pcm_hw_constraint_ratdens" },
	{ 0xe231b943, "snd_card_new" },
	{ 0xb4ba362a, "module_layout" },
};

MODULE_INFO(depends, "usbcore,snd-hwdep,snd-rawmidi,snd,snd-pcm");


MODULE_INFO(srcversion, "7DD4A530BEBC54D6137E74E");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
